﻿module("VOICE")

----------------------------------------------------------------------------------------------------
---------------------------|  V O I C E   T R A N S F O R M   U T I L S  |--------------------------
----------------------------------------------------------------------------------------------------

-----------------------------------------------
-- ASSERT a konyvtari transform fuggvenyekre --
-----------------------------------------------

assert(type(transform_and_format) == "function")
assert(type(transform_pattern_match) == "function")
assert(type(transform_chain) == "function")
assert(type(transform_format_roadnumber_eu) == "function")

local preposition_tbl = {L"через",L"в направление на"}

local preposition_insert_tbl = {
	{L"в ",{L"переулок",L"проезд",L"тупик"}},
	{L"на ",{L""}},
}

local traffic_preposition_insert_tbl = {
	{L"в ",{L"переулок",L"проезд",L"тупик"}},
	{L"на ",{L""}},
}

local settlement_preposition = L"в направлении на"
local replace_roadnumber = {
	{L"[еEЕ][%-%s]?40",L"Трасса Львов Киев Харьков Луганск"},
	{L"[еEЕ][%-%s]?50",L"Трасса Ужгород Винница Кировоград Донецк"},
	{L"[еEЕ][%-%s]?58",L"Трасса Ужгород Одесса Херсон Мелитополь"},
	{L"[еEЕ][%-%s]?81",L"Трасса Константа Мукачево"},
	{L"[еEЕ][%-%s]?85",L"Трасса Луцк Тернополь Черновцы"},
	{L"[еEЕ][%-%s]?87",L"Трасса Одесса Измаил Рени"},
	{L"[еEЕ][%-%s]?95",L"Трасса Киев Умань Одесса"},
	{L"[еEЕ][%-%s]?97",L"Трасса Херсон Джанкой"},
	{L"[еEЕ][%-%s]?101",L"Трасса Киев Глухов Москва"},
	{L"[еEЕ][%-%s]?105",L"Трасса Харьков Симферополь Ялта"},
	{L"[еEЕ][%-%s]?372",L"Трасса Люблин Львов"},
	{L"[еEЕ][%-%s]?373",L"Трасса Ковель Ровно Киев"},
	{L"[еEЕ][%-%s]?471",L"Трасса Мукачево Львов"},
	{L"[еEЕ][%-%s]?573",L"Трасса Чоп Ужгород"},
	{L"[еEЕ][%-%s]?581",L"Трасса Кишинёв Одесса"},
	{L"[еEЕ][%-%s]?583",L"Трасса Могилёв-Подольский Винница Житомир"},
	{L"[еEЕ][%-%s]?584",L"Полтава Кировоград Кишинёв"},
	{L"[MМ][%-%s]?01",L"Трасса Киев Чернигов Новые Яриловичи"},
	{L"[MМ][%-%s]?02",L"Трасса Кипти Глухов Бачевск"},
	{L"[MМ][%-%s]?03",L"Трасса Киев Харьков Должанский"},
	{L"[MМ][%-%s]?04",L"Трасса Знаменка Луганск Изварино"},
	{L"[MМ][%-%s]?05",L"Трасса Киев Умань Одесса"},
	{L"[MМ][%-%s]?06",L"Трасса Киев Львов Чоп"},
	{L"[MМ][%-%s]?07",L"Трасса Киев Ковель Ягодин"},
	{L"[MМ][%-%s]?08",L"Трасса Объезд Ужгород КПП"},
	{L"[MМ][%-%s]?09",L"Трасса Львов Рава-Русская"},
	{L"[MМ][%-%s]?10",L"Трасса Львов Краковец"},
	{L"[MМ][%-%s]?11",L"Трасса Львов Шегини"},
	{L"[MМ][%-%s]?12",L"Трасса Стрый Тернополь Кировоград Знаменка"},
	{L"[MМ][%-%s]?13",L"Трасса Кировоград Платоново"},
	{L"[MМ][%-%s]?14",L"Трасса Одесса Мелитополь Новоазовск"},
	{L"[MМ][%-%s]?15",L"Трасса Одесса Рени"},
	{L"[MМ][%-%s]?16",L"Трасса Одесса Кучурган"},
	{L"[MМ][%-%s]?17",L"Трасса Херсон Феодосия Керч"},
	{L"[MМ][%-%s]?18",L"Трасса Харьков Симферополь Ялта"},
	{L"[MМ][%-%s]?19",L"Трасса Доманово Черновцы Тереблече"},
	{L"[MМ][%-%s]?20",L"Трасса Харьков Щербаковка"},
	{L"[MМ][%-%s]?21",L"Трасса Житомир Могилев-Подольский"},
	{L"[MМ][%-%s]?22",L"Трасса Полтава Александрия"},
	{L"[MМ][%-%s]?23",L"Трасса Береговое Великая Копаня"},
	{L"[NН][%-%s]?01",L"Трасса Киев Знаменка"},
	{L"[NН][%-%s]?02",L"Трасса Львов Тернополь"},
	{L"[NН][%-%s]?03",L"Трасса Житомир Черновцы"},
	{L"[NН][%-%s]?04",L"Трасса Одесса Ильичёвск"},
	{L"[NН][%-%s]?05",L"Трасса Красноперекопск Симферополь"},
	{L"[NН][%-%s]?06",L"Трасса Симферополь Бахчисарай Севастополь"},
	{L"[NН][%-%s]?07",L"Трасса Киев Сумы Юнаковка"},
	{L"[NН][%-%s]?08",L"Трасса Борисполь Днепропетр^овск Запорожье"},
	{L"[NН][%-%s]?09",L"Трасса Мукачево Ивано-Франковск Львов"},
	{L"[NН][%-%s]?10",L"Трасса Стрый Черновцы Мамалыга"},
	{L"[NН][%-%s]?11",L"Трасса Днепропетровск Николаев"},
	{L"[NН][%-%s]?12",L"Трасса Сумы Полтава"},
	{L"[NН][%-%s]?13",L"Трасса Львов Самбор Ужгород"},
	{L"[NН][%-%s]?14",L"Трасса Александровка Кировоград Николаев"},
	{L"[NН][%-%s]?15",L"Трасса Запорожье Донецк"},
	{L"[NН][%-%s]?16",L"Трасса Золотоноша Черкассы Умань"},
	{L"[NН][%-%s]?17",L"Трасса Львов Радехов Луцк"},
	{L"[NН][%-%s]?18",L"Трасса Ивано-Франковск Тернополь"},
	{L"[NН][%-%s]?19",L"Трасса Ялта Севастополь"},
	{L"[NН][%-%s]?20",L"Трасса Славянск Донецк Мариуполь"},
	{L"[NН][%-%s]?21",L"Трасса Старобельск Луганск Донецк"},
	{L"[NН][%-%s]?22",L"Трасса Устилуг Луцк Ровно"},
	{L"[NН][%-%s]?23",L"Трасса Кировоград Кривой Рог Запорожье"},
	{L"[RР][%-%s]?01",L"Дорога Киев Обухов"},
	{L"[RР][%-%s]?02",L"Дорога Киев Иванков Овруч"},
	{L"[RР][%-%s]?03",L"Дорога объезд города Киев"},
	{L"[RР][%-%s]?04",L"Дорога Киев Белая Церковь Звенигородка"},
	{L"[RР][%-%s]?05",L"Дорога Городище Ровно Староконстантинов"},
	{L"[RР][%-%s]?06",L"Дорога Ульяновка Вознесенск Николаев"},
	{L"[RР][%-%s]?07",L"Дорога Чугуев Старобельск Меловое"},
	{L"[RР][%-%s]?08",L"Дорога Немиров Ямполь"},
	{L"[RР][%-%s]?09",L"Дорога Мироновка Канев Софиевка"},
	{L"[RР][%-%s]?10",L"Дорога Канев Чигирин Кременчуг"},
	{L"[RР][%-%s]?11",L"Дорога Полтава Красноград"},	
	{L"[RР][%-%s]?12",L"Дорога Чернигов Мена Гремяч"},
	{L"[RР][%-%s]?13",L"Дорога Чернигов Городня Сеньковка"},
	{L"[RР][%-%s]?14",L"Дорога Луцк Маневичи Дольск"},
	{L"[RР][%-%s]?15",L"Дорога Ковель Владимир-Волынский Жолква"},
	{L"[RР][%-%s]?16",L"Подъезды к спецобъектам Крыма"},
	{L"[RР][%-%s]?17",L"Дорога Белая Церковь Липовец Гуменное"},
	{L"[RР][%-%s]?18",L"Дорога Житомир Сквира Володарка"},
	{L"[RР][%-%s]?19",L"Дорога Фастов Обухов Канев"},
	{L"[RР][%-%s]?20",L"Дорога Снятын Тязев"},
	{L"[RР][%-%s]?21",L"Дорога Долина Хуст"},
	{L"[RР][%-%s]?22",L"Дорога Красная Таловка Луганск"},
	{L"[RР][%-%s]?23",L"Дорога Симферополь Феодосия"},
	{L"[RР][%-%s]?24",L"Дорога Татаров Коломыя Каменец-Подольский"},
	{L"[RР][%-%s]?25",L"Дорога Симферополь Евпатория"},
	{L"[RР][%-%s]?26",L"Дорога Острог Кременец Почаев Радивилев"},
	{L"[RР][%-%s]?27",L"Дорога Севастополь Инкерман"},	
	{L"[RР][%-%s]?28",L"Дорога Выступовичи Овруч Житомир"},	
	{L"[RР][%-%s]?29",L"Дорога Алушта Судак Феодосия"},	
	{L"[RР][%-%s]?30",L"подъезд к городу Ирпень"},	
	{L"[RР][%-%s]?31",L"Дорога Бердичев Хмельник Летин"},
	{L"[RР][%-%s]?32",L"Дорога Кременец Белая Церковь Ржищев"},
	{L"[RР][%-%s]?33",L"Дорога Рени Орловка Измаил"},	
	{L"[RР][%-%s]?34",L"Дорога Ялта Алушта"},
	{L"[RР][%-%s]?35",L"Дорога Грушевка Судак"},
	{L"[RР][%-%s]?36",L"Дорога Немиров Могилёв-Подольский"},
	{L"[RР][%-%s]?37",L"Дорога Энергодар Васильевка Бердянск"},
	{L"[RР][%-%s]?38",L"Дорога Богородчаны Гута"},
	{L"[RР][%-%s]?39",L"Дорога Броды Тернополь"},
	{L"[RР][%-%s]?40",L"Дорога Рава-Русская Яворов Вишня"},
	{L"[RР][%-%s]?41",L"обход города Тернополь"},
	{L"[RР][%-%s]?42",L"Дорога Лубны Миргород Опошня"},
	{L"[RР][%-%s]?43",L"Дорога Тернополь Лановцы"},
	{L"[RР][%-%s]?44",L"Дорога Сумы Путивль Глухов"},
	{L"[RР][%-%s]?45",L"Дорога Сумы Краснополье Богодухов"},
	{L"[RР][%-%s]?46",L"Дорога Харьков Ахтырка"},
	{L"[RР][%-%s]?47",L"Дорога Херсон Новая Каховка Геническ"},
	{L"[RР][%-%s]?48",L"Дорога Каменец-Подольский Белогорье"},
	{L"[RР][%-%s]?49",L"Дорога Васьковичи Шепетовка"},
	{L"[RР][%-%s]?50",L"Дорога Ярмолинцы Сатанов"},
	{L"[RР][%-%s]?51",L"Дорога Харьков Красноград Перещепино"},	
	{L"[RР][%-%s]?52",L"Дорога Днепропетр^овск Кобеляки Решетиловка"},
	{L"[RР][%-%s]?53",L"Дорога Малый Березной КПП"},
	{L"[RР][%-%s]?54",L"Дорога Мукачево Береговое КПП Лужанка"},
	{L"[RР][%-%s]?55",L"Дорога Вылок Дяково"},
	{L"[RР][%-%s]?56",L"Дорога Чернигов Славутич Чернобыль"},
	{L"[RР][%-%s]?57",L"Дорога Цюрупинск Скадовск"},
	{L"[RР][%-%s]?58",L"Дорога Севастополь порт Камышовая бухта"},
	{L"[RР][%-%s]?59",L"подъезд к спецобъектам города Севастополь"},
	{L"[RР][%-%s]?60",L"Дорога Кролевец Конотоп Пирятин"},
	{L"[RР][%-%s]?61",L"Дорога Батурин Конотоп Сумы"},
	{L"[RР][%-%s]?62",L"Дорога Криворовня Сторожинец Черновцы"},
	{L"[RР][%-%s]?63",L"Дорога Данковцы Вартиковцы Сокиряны"},
	{L"[RР][%-%s]?64",L"Дорога Ковшеватая Шушковка Шевченково Тарасовка"},
	{L"[RР][%-%s]?65",L"Дорога Николаевка Глухов Катериновка"},
	{L"[RР][%-%s]?66",L"Дорога КПП Демино-Александровка Лисичанск Луганск"},
	{L"[RР][%-%s]?67",L"Дорога Чернигов Прилуки Пирятин"},
	{L"[RР][%-%s]?68",L"Дорога Талалаевка Тростянец Сокирницы"},
	{L"1[рRPР][%-%s]?92",L"Дорога Калуга Орел"},
	{L"1[рRPР][%-%s]?119",L"Трасса Орел Тамбов"},
	{L"1[рRPР][%-%s]?132",L"Дорога Калуга Рязань"},
	{L"1[рRPР][%-%s]?158",L"Дорога Нижний Новгород Саранск"},
	{L"1[рRPР][%-%s]?158",L"Дорога Пенза Саратов"},
	{L"1[рRPР][%-%s]?175",L"Дорога Йошкар-Ола Зеленодольск"},
	{L"1[рRPР][%-%s]?178",L"Дорога Саранск Ульяновск"},
	{L"1[рRPР][%-%s]?193",L"Дорога Воронеж Тамбов"},
	{L"1[рRPР][%-%s]?208",L"Дорога Тамбов Пенза"},
	{L"1[рRPР][%-%s]?209",L"Дорога Тамбов Пенза"},
	{L"1[рRPР][%-%s]?228",L"Дорога Сызрань Волгоград"},
	{L"1[рRPР][%-%s]?241",L"Дорога Казань Ульяновск"},
	{L"1[рRPР][%-%s]?242",L"Дорога Пермь Екатеринбург"},
	{L"1[рRPР][%-%s]?253",L"Дорога Майкоп Кореновск"},
	{L"1[рRPР][%-%s]?335",L"Дорога Оренбург Илек"},
	{L"1[рRPР][%-%s]?344",L"Дорога Нытва Кудымкар"},
	{L"1[рRPР][%-%s]?351",L"Дорога Екатеринбург Тюмень"},
	{L"1[рRPР][%-%s]?354",L"Дорога Екатеринбург Курган"},
	{L"1[рRPР][%-%s]?402",L"Дорога Тюмень Омск"},
	{L"1[рRPР][%-%s]?418",L"Дорога Иркутск Усть-Ордынский"},
	{L"1[рRPР][%-%s]?488",L"Дорога Южно-Сахалинск Корсаков"},
	{L"[аAА][%-%s]?100",L"Дорога Москва Бородино"},
	{L"[аAА][%-%s]?101",L"Дорога Москва Рославль"},
	{L"[аAА][%-%s]?102",L"Рязанское шоссе"},
	{L"[аAА][%-%s]?103",L"Щёлковское шоссе"},
	{L"[аAА][%-%s]?104",L"Дмитровское шоссе"},
	{L"[аAА][%-%s]?105",L"Успенское шоссе"},
	{L"[аAА][%-%s]?106",L"Ильинское шоссе"},
	{L"[аAА][%-%s]?107",L"Московское малое кольцо"},
	{L"[аAА][%-%s]?108",L"Московское большое кольцо"},
	{L"[аAА][%-%s]?111",L"Дорога Торжок Осташков"},
	{L"[аAА][%-%s]?112",L"Дорога Тверь Ржев"},
	{L"[аAА][%-%s]?113",L"Дорога Кострома Иваново"},
	{L"[аAА][%-%s]?114",L"Дорога Вологда Новая Ладога"},
	{L"[аAА][%-%s]?116",L"Дорога Порхов Остров"},
	{L"[аAА][%-%s]?117",L"Дорога Опочка граница с Белоруссией"},
	{L"[аAА][%-%s]?121",L"Дорога Санкт-Петербург Ропша"},
	{L"[аAА][%-%s]?122",L"Дорога Санкт-Петербург Огоньки"},
	{L"[аAА][%-%s]?123",L"Дорога Зеленогорск Выборг"},
	{L"[аAА][%-%s]?124",L"Дорога Выборг Приозерск"},
	{L"[аAА][%-%s]?125",L"Дорога Молодежное Череасово"},
	{L"[аAА][%-%s]?126",L"Дорога Дубки граница с Финляндией"},
	{L"[аAА][%-%s]?127",L"Дорога Зверево граница с Финляндией"},
	{L"[аAА][%-%s]?128",L"Дорога Санкт-Петербург Морье"},
	{L"[аAА][%-%s]?129",L"Дорога Зеленогорск Выборг"},
	{L"[аAА][%-%s]?130",L"Дорога Олонец Сортавала"},
	{L"[аAА][%-%s]?131",L"Дорога Суоярви Койриноя"},
	{L"[аAА][%-%s]?132",L"Дорога Суоярви Юстозеро"},
	{L"[аAА][%-%s]?133",L"Дорога Петрозаводск Суоярви"},
	{L"[аAА][%-%s]?134",L"Дорога Кочкома Реболы"},
	{L"[аAА][%-%s]?135",L"Дорога Кемь Лонка"},
	{L"[аAА][%-%s]?136",L"Дорога Лоухи Суоперя"},
	{L"[аAА][%-%s]?137",L"Дорога Тунгозеро Калевала"},
	{L"[аAА][%-%s]?138",L"Дорога Кола Печенга"},
	{L"[аAА][%-%s]?141",L"Дорога Орел Смоленск"},
	{L"[аAА][%-%s]?142",L"Дорога Тросна Калиновка"},
	{L"[аAА][%-%s]?144",L"Дорога Курск Борисоглебск"},
	{L"[аAА][%-%s]?146",L"Дорога Краснодар Новоросийск"},
	{L"[аAА][%-%s]?147",L"Дорога Краснодар Джубга"},
	{L"[аAА][%-%s]?148",L"Дорога Адлер Красная Поляна"},
	{L"[аAА][%-%s]?151",L"Дорога Цивильск Ульяновск"},
	{L"[аAА][%-%s]?153",L"Дорога Волгоград Мариновка"},
	{L"[аAА][%-%s]?154",L"Дорога Астрахань Ставрополь"},
	{L"[аAА][%-%s]?155",L"Дорога Черкесск Домбай"},
	{L"[аAА][%-%s]?156",L"Дорога Лермонтов Черкесск"},
	{L"[аAА][%-%s]?157",L"Дорога Минеральные Воды Кисловодск"},
	{L"[аAА][%-%s]?158",L"Дорога Прохладный Баксан Эльбрус"},
	{L"[аAА][%-%s]?166",L"Дорога Чита Забайкальск"},
	{L"[аAА][%-%s]?190",L"Дорога Калининград Полесск"},
	{L"[аAА][%-%s]?191",L"Дорога Калининград Зеленоградск"},
	{L"[аAА][%-%s]?192",L"Дорога Зеленоградск Приморск"},
	{L"[аAА][%-%s]?193",L"Дорога Калининград Балтийск"},
	{L"[аAА][%-%s]?194",L"Дорога Калининград Мамоново"},
	{L"[аAА][%-%s]?195",L"Дорога Калининград Долгоруково"},
	{L"[аAА][%-%s]?196",L"Дорога Калининград Крылово"},
	{L"[аAА][%-%s]?197",L"Дорога Черняховск Крылово"},
	{L"[аAА][%-%s]?198",L"Дорога Советск - Гусев"},
	{L"[аAА][%-%s]?212",L"Дорога Псков Изборск"},
	{L"[аAА][%-%s]?216",L"Дорога Гвардейск Неман"},
	{L"[аAА][%-%s]?229",L"Дорога Калининград Нестеров"},
	{L"[аAА][%-%s]?340",L"Дорога Астрахань - Красный Яр"},
	{L"[аAА][%-%s]?349",L"Дорога Барнаул Рубцовск"},
	{L"[еEЕ][%-%s]?18",L"Трасса Выборг Санкт-Петербург"},
	{L"[еEЕ][%-%s]?20",L"Трасса Таллин Санкт-Петербург"},
	{L"[еEЕ][%-%s]?22",L"Трасса Е 22 Рига Тюмень Ишим"},
	{L"[еEЕ][%-%s]?28",L"Трасса Калининград Черняховск Нестеров"},
	{L"[еEЕ][%-%s]?30",L"Трасса Минск Москва Челябинск Омск"},
	{L"[еEЕ][%-%s]?38",L"Трасса Е 38 Глухов Саратов Уральск"},
	{L"[еEЕ][%-%s]?40",L"Трасса Харьков Волгоград Астрахань"},
	{L"[еEЕ][%-%s]?50",L"Трасса Донецк Ростов-на-Дону Махачкала"},
	{L"[еEЕ][%-%s]?58",L"Трасса Мариуполь Таганрог Ростов-на-Дону"},
	{L"[еEЕ][%-%s]?77",L"Трасса Псков Рига Калининград"},
	{L"[еEЕ][%-%s]?95",L"Трасса Санкт-Петербург Псков Витебск"},
	{L"[еEЕ][%-%s]?97",L"Трасса Новороссийск Сочи"},
	{L"[еEЕ][%-%s]?101",L"Трасса Москва Калуга Брянск Киев"},
	{L"[еEЕ][%-%s]?105",L"Трасса Е 105 Мурманск Белгород"},
	{L"[еEЕ][%-%s]?115",L"Трасса Е 115 Ярославль Новороссийск"},
	{L"[еEЕ][%-%s]?117",L"Трасса Минеральные воды Нальчик Владикавказ"},
	{L"[еEЕ][%-%s]?119",L"Трасса Махачкала Баку"},
	{L"[мMМ][%-%s]?10",L"Трасса Москва Санкт Петербург"},
	{L"[мMМ][%-%s]?11",L"Трасса Санкт Петербург Таллин"},
	{L"[мMМ][%-%s]?12",L"Трасса Минск Вильнюс Рига Таллинн"},
	{L"[мMМ][%-%s]?13",L"Трасса Брянск Новозыбков"},
	{L"[мMМ][%-%s]?14",L"Трасса Брест Кишинев Одесса"},
	{L"[мMМ][%-%s]?17",L"Трасса Киев Чоп Будапешт"},
	{L"[мMМ][%-%s]?18",L"Трасса Санкт Петербург Мурманск"},
	{L"[мMМ][%-%s]?19",L"Трасса Новошахтинск Майский"},
	{L"[мMМ][%-%s]?20",L"Трасса Санкт Петербург Минск"},
	{L"[мMМ][%-%s]?21",L"Трасса Волгоград Каменск Шахтинский"},
	{L"[мMМ][%-%s]?23",L"Трасса Ростов на Дону Таганрог"},
	{L"[мMМ][%-%s]?25",L"Трасса Новороссийск Керченский пролив"},
	{L"[мMМ][%-%s]?27",L"Трасса Джубга Новороссийск"},
	{L"[мMМ][%-%s]?29",L"Трасса Краснодар Баку"},
	{L"[мMМ][%-%s]?32",L"Трасса Самара Большая Черниговка"},
	{L"[мMМ][%-%s]?36",L"Трасса Челябинск Троицк"},
	{L"[мMМ][%-%s]?38",L"Трасса Омск Черлак"},
	{L"[мMМ][%-%s]?51",L"Трасса Челябинск Чита"},
	{L"[мMМ][%-%s]?52",L"Трасса Новосибирск Бийск"},
	{L"[мMМ][%-%s]?53",L"Трасса Челябинск Чита"},
	{L"[мMМ][%-%s]?54",L"Трасса Красноярск Кызыл"},
	{L"[мMМ][%-%s]?55",L"Трасса Челябинск Чита"},
	{L"[мMМ][%-%s]?56",L"Трасса Невр Якутск"},
	{L"[мMМ][%-%s]?60",L"Трасса Хабаровск Владивосток"},
	{L"[мMМ][%-%s]?1",L"Трасса Москва Минск"},
	{L"[мMМ][%-%s]?2",L"Трасса Москва Симферополь"},
	{L"[мMМ][%-%s]?3",L"Трасса Москва Киев"},
	{L"[мMМ][%-%s]?4",L"Трасса Москва Новороссийск"},
	{L"[мMМ][%-%s]?5",L"Трасса Москва Екатеринбург"},
	{L"[мMМ][%-%s]?6",L"Трасса Москва Астрахань"},
	{L"[мMМ][%-%s]?7",L"Трасса Москва Уфа"},
	{L"[мMМ][%-%s]?8",L"Трасса Холмогоры"},
	{L"[мMМ][%-%s]?9",L"Трасса Москва Рига"},
	{L"[рRPР][%-%s]?92",L"Дорога Калуга Орел"},
	{L"[рRPР][%-%s]?105",L"Егорьевское Шоссе"},
	{L"[рRPР][%-%s]?111",L"Волоколамское Шоссе"},
	{L"[рRPР][%-%s]?113",L"Рогачевское Шоссе"},
	{L"[рRPР][%-%s]?119",L"Дорога Орел Елец Липецк Тамбов"},
	{L"[рRPР][%-%s]?132",L"Дорога Калуга Тула Рязань"},
	{L"[рRPР][%-%s]?158",L"Дорога Нижний Новгород Саранск Саратов"},
	{L"[рRPР][%-%s]?175",L"Дорога Йошкар-Ола Зеленодольск"},
	{L"[рRPР][%-%s]?178",L"Дорога Саранск Ульяновск"},
	{L"[рRPР][%-%s]?193",L"Дорога Воронеж Тамбов"},
	{L"[рRPР][%-%s]?208",L"Дорога Тамбов Пенза"},
	{L"[рRPР][%-%s]?209",L"Дорога Тамбов Пенза"},
	{L"[рRPР][%-%s]?228",L"Дорога Сызрань Волгоград"},
	{L"[рRPР][%-%s]?241",L"Дорога Казань Ульяновск"},
	{L"[рRPР][%-%s]?242",L"Дорога Пермь Екатеринбург"},
	{L"[рRPР][%-%s]?253",L"Дорога Майкоп Кореновск"},
	{L"[рRPР][%-%s]?254",L"Дорога Туапсе Кавказский заповедник"},
	{L"[рRPР][%-%s]?291",L"Дорога Урвань Уштулу"},
	{L"[рRPР][%-%s]?297",L"Дорога Владикавказ Беслан"},
	{L"[рRPР][%-%s]?298",L"Дорога Алагир Нижний Зарамаг"},
	{L"[рRPР][%-%s]?335",L"Дорога Оренбург Илек"},
	{L"[рRPР][%-%s]?344",L"Дорога Нытва Кудымкар"},
	{L"[рRPР][%-%s]?351",L"Дорога Екатеринбург Тюмень"},
	{L"[рRPР][%-%s]?352",L"Серовский Тракт"},
	{L"[рRPР][%-%s]?354",L"Дорога Екатеринбург Курган"},
	{L"[рRPР][%-%s]?402",L"Дорога Тюмень Омск"},
	{L"[рRPР][%-%s]?404",L"Дорога Тюмень Ханты-Мансийск"},
	{L"[рRPР][%-%s]?418",L"Дорога Иркутск Усть-Ордынский"},
}

local replace_mapinfo = {
	{L"Абаканська",L"Абаканская"},
	{L"Абразумовська",L"Абразумовская"},
	{L"Абрамівська",L"Абрамовская"},
	{L"Абрикосова",L"Абрикосовая"},
	{L"Абрикосовий",L"Абрикосовый"},
	{L"Авангардна",L"Авангардная"},
	{L"Авіаторів",L"Авиаторов"},
	{L"Авіахімічна",L"Авиахимическая"},
	{L"Авіаційна",L"Авиационная"},
	{L"Авіаційний",L"Авиационный"},
	{L"Автогенна",L"Автогенная"}, 
	{L"Автодорожна",L"Автодорожная"}, 
	{L"Автодорожний",L"Автодорожный"},
	{L"Автолюбителів",L"Автолюбителей"},
	{L"Автоматний",L"Автоматный"},
	{L"Автострадна",L"Автострадная"}, 
	{L"Автострадний",L"Автострадный"}, 
	{L"Автотракторна",L"Автотракторная"}, 
	{L"Автотракторний",L"Автотракторный"},
	{L"Аграрна",L"Аграрная"},
	{L"Агрономічна",L"Агрономическая"},
	{L"Агрономічний",L"Агрономический"},
	{L"Агрономічний",L"Агрономический"},
	{L"Аджамська",L"Аджамская"},
	{L"Аджамський",L"Аджамский"},
	{L"Аджанська",L"Аджанская"},
	{L"Аджанський",L"Аджанский"},
	{L"Аджарський",L"Аджарский"}, 
	{L"Адигейська",L"Адыгейская"},
	{L"Адигейський",L"Адыгейский"},
	{L"Адміральский",L"Адмиральский"},
	{L"Аеродромна",L"Аэродромная"},
	{L"Аеродромний ",L"Аэродромный"},
	{L"Аеропортная",L"Аэропортная"},
	{L"Аеропортний",L"Аэропортный"},
	{L"Аерофлотська",L"Аэрофлотская"},
	{L"Азербайджанська",L"Азербайджанская"}, 
	{L"Азербайджанський",L"Азербайджанский"},
	{L"Азовстальська",L"Азовстальская"}, 
	{L"Азовська",L"Азовская"},
	{L"Азовський",L"Азовский"},
	{L"Айвазовського",L"Айвазовского"},
	{L"Академічна",L"Академическая"},
	{L"Академічний",L"Академический"},
	{L"Акмолінська",L"Акмолинская"},
	{L"Акордна",L"Акордная"},
	{L"Аксьонкіної",L"Аксёнкиной"},
	{L"Актюбинська",L"Актюбинская"},
	{L"Алексєєва Петра",L"Алексеева Петра"},  
	{L"Алма-Атинська",L"Алма-Атинская"},
	{L"Алма-Атинський",L"Алматинский"},
	{L"Алмазна",L"Алмазная"},
	{L"Алтайська",L"Алтайская"},
	{L"Алтайський",L"Алтайский"},
	{L"Алупкинська",L"Алупкинская"}, 
	{L"Алупна",L"Алупная"},
	{L"Алуштинська",L"Алуштинская"},
	{L"Алуштинський",L"Алуштинский"},
	{L"Альбовський",L"Альбовский"},
	{L"Альпіністів",L"Альпинистов"},
	{L"Аляб'єва",L"Алябьева"},
	{L"Амбулаторний",L"Амбулаторный"},
	{L"Амундсена",L"Амундсена"},
	{L"Амурська",L"Амурская"},
	{L"Амурський",L"Амурский"},
	{L"Анадирська",L"Анадырская"},
	{L"Анадирський",L"Анадырский"},
	{L"Ананіївська",L"Ананьевская"},
	{L"Ананіївський",L"Ананьевский"},
	{L"Ананьївська",L"Ананьевская"},
	{L"Анапська",L"Анапская"},
	{L"Ангарська",L"Ангарская"},
	{L"Ангарський",L"Ангарский"},
	{L"Андреєвського",L"Андреевского"},
	{L"Андріївська",L"Андреевская"},
	{L"Андріївський",L"Андреевский"},
	{L"Анрі Барбюса",L"Анри Барбюса"},
	{L"Антокольського",L"Антокольского"},
	{L"Антоновича",L"Антоновича"},
	{L"Аптекарський",L"Аптекарский"},
	{L"Аравійська",L"Аравийская"},
	{L"Аравійський",L"Аравийский"},
	{L"Аральська",L"Аральская"},
	{L"Аральський",L"Аральский"},
	{L"Арбузна",L"Арбузная"},
	{L"Аркадіївський",L"Аркадьевский"},
	{L"Арктична",L"Арктическая"},
	{L"Арктичний",L"Арктический"},
	{L"Арматурна",L"Арматурная"},
	{L"Арматурний",L"Арматурный"},
	{L"Армійська",L"Армейская"},
	{L"Армійський",L"Армейский"},
	{L"Армянський",L"Армянский"},
	{L"Арнаутовська",L"Арнаутовская"},
	{L"Арнаутовський",L"Арнаутовский"},
	{L"Арсенальна",L"Арсенальная"},
	{L"Артезіанська",L"Артезианская"},
	{L"Артема",L"Артёма"},
	{L"Артемівський",L"Артёмовский"},
	{L"Артемовський",L"Артёмовский"},
	{L"Артилерійська",L"Артилерийская"},
	{L"Артилерійський",L"Артилерийский"},
	{L"Артільна",L"Артельная"},
	{L"Артільний",L"Артельный"},
	{L"Артюхівська",L"Артюховская"},
	{L"Артюхівський",L"Артюховский"}, 
	{L"Архангельська",L"Архангельская"},
	{L"Архангельський",L"Архангельский"},
	{L"Архітекторів",L"Архитекторов"},
	{L"Архітекторська",L"Архитекторская"},
	{L"Архітектурна",L"Архитектурная"},
	{L"Аскольдівська",L"Аскольдовская"},
	{L"Аскольдівський",L"Аскольдовский"},
	{L"Асташкіна",L"Асташкина"},
	{L"Астраханська",L"Астраханская"},
	{L"Астрономічеський",L"Астрономический"},
	{L"Астрономічна",L"Астрономическая"}, 
	{L"Астрономічний",L"Астрономический"},
	{L"Афанасіївська",L"Афанасьевская"},
	{L"Афанасіївьский",L"Афанасьевский"},
	{L"Ахматової",L"Ахматовой"},
	{L"Ахсарова Енвера",L"Ахсарова"},
	{L"Ахтирська",L"Ахтырская"},
	{L"Ашхабадська",L"Ашхабадская"},
	{L"Ашхабадський",L"Ашхабадский"},

	{L"Бабеля",L"Бабеля"},
	{L"Бабушкіна",L"Бабушкина"},
	{L"Баварська",L"Баварская"},
	{L"Баварський",L"Баварский"},
	{L"Багратіона",L"Багратиона"},
	{L"Багрицького",L"Багрицкого"},
	{L"Бадаєва",L"Бадаева"},
	{L"Бажанова Маршала",L"Маршала Бажанова"},
	{L"Бажова",L"Бажова"},
	{L"Базарна",L"Базарная"},
	{L"Байдарочний",L"Байдарочный"},
	{L"Байдарська",L"Байдарская"},
	{L"Байдарський",L"Байдарский"},
	{L"Байдукова",L"Байдукова"},
	{L"Байкал",L"Байкал"},
	{L"Байкальска",L"Байкальская"},
	{L"Байкальский",L"Байкальский"},
	{L"Байкальська",L"Байкальская"},
	{L"Байкальський",L"Байкальский"},
	{L"Байрона",L"Байрона"},
	{L"Бакинська",L"Бакинская"},
	{L"Бакинських Комісарів",L"Бакинских Комисаров"},
	{L"Бакуліна",L"БакуЛина"},
	{L"Бакуніна",L"Бакунина"},
	{L"Балабанівка",L"Балабановка"},
	{L"Балакірєва",L"Балакирева"},
	{L"Балаклавський",L"Балаклавский"},
	{L"Балакліївська",L"Балаклеевская"},
	{L"Балакліївський",L"Балаклеевский"},
	{L"Балаклійський",L"Балаклеевский"},
	{L"Балашівська",L"Балашовская"},
	{L"Балашівський",L"Балашовский"},
	{L"Балканська",L"Балканская"},
	{L"Балківська",L"Балковская"},
	{L"Балтійська",L"Балтийская"},
	{L"Балтійський",L"Балтийский"},
	{L"Балтська дорога",L"Балтская дорога"},
	{L"Балтський",L"Балтский"},
	{L"Балхаська",L"Балхашская"},
	{L"Балхаський",L"Балхашский"},
	{L"Банківський",L"Банковский"},
	{L"Банний",L"Банный"},
	{L"Барабашова Академіка",L"Академика Барабашова"},
	{L"Барболіна",L"Барболина"},
	{L"Барвінківська",L"Барвенковская"},
	{L"Барвінківський",L"Барвенковский"},
	{L"Барикадна",L"Баррикадная"},
	{L"Барикадний",L"Баррикадный"},
	{L"Барнаульська",L"Барнаульская"},
	{L"Басейна",L"Бассейная"},
	{L"Басейна",L"Бассейновая"},
	{L"Басейний",L"Бассейновый"},
	{L"Басейний",L"Бассейный"},
	{L"Басистого Адмірала",L"Адмирала Басистого"},
	{L"Басівська",L"Басовская"},
	{L"Батайська",L"Батайская"},
	{L"Батайський",L"Батайский"},
	{L"Батицького Маршала",L"Маршала Батицкого"},
	{L"Батумська",L"Батумская"},
	{L"Батумський",L"Батумский"},
	{L"Батуринська",L"Батуринская"},
	{L"Бауманська",L"Бауманская"},
	{L"Бахчева",L"Бахчёвая"},
	{L"Башкирська",L"Башкирская"},
	{L"Башкирський",L"Башкирский"},
	{L"Башлаєвський",L"Башлаевский"},
	{L"Баштанна",L"Баштанная"},
	{L"Безіменна",L"Безымянная"},
	{L"Безіменний",L"Безымянный"},
	{L"Безкрайня",L"Бескрайняя"},
	{L"Безлюдівська",L"Безлюдовская"},
	{L"Безпалівський",L"Безпаловский"},
	{L"Бекетова",L"Бекетова"},
	{L"Белінського",L"Белинского"},
	{L"Берегова",L"Береговая"},
	{L"Береговий",L"Береговой"},
	{L"Бережинська",L"Бережинская"},
	{L"Бережна",L"Бережная"},
	{L"Бережний",L"Бережный"},
	{L"Березівська",L"Берёзовская"},
	{L"Березівський",L"Берёзовский"},
	{L"Березова",L"Берёзовая"},
	{L"Березовий",L"Берёзовый"},
	{L"Берестова",L"Берестовая"},
	{L"Бериславська",L"Бериславская"},
	{L"Бериславське",L"Бериславское"},
	{L"Берінговий",L"Беринговый"},
	{L"Бессарабська",L"Бессарабская"},
	{L"Бестужева",L"Бестужева"},
	{L"Бестужевський",L"Бестужевский"},
	{L"Бетховена",L"Бетховена"},
	{L"Бехтерєва",L"Бехтерева"},
	{L"Бєлгородська",L"Белгородская"},
	{L"Бєлгородське",L"Белгородское"},
	{L"Бєлгородський",L"Белгородский"},
	{L"Бєлінського",L"Белинского"},
	{L"Бєляєва",L"Беляева"},
	{L"Бєлякова",L"Белякова"},
	{L"Бібліотечна",L"Библиотечная"},
	{L"Білецького Академіка",L"Академика Белецкого"},
	{L"Білобровський",L"Белобровский"},
	{L"Біловезька",L"Беловежская"},
	{L"Білогірська",L"Белогорская"},
	{L"Білої Акації",L"Белой Акации"},
	{L"Біломорська",L"Беломорская"},
	{L"Білопільський Шлях",L"Белопольский Путь"},
	{L"Білоруська",L"Белорусская"},
	{L"Білостоцький",L"Белостокский"},
	{L"Більшовицька",L"Большевистская"},
	{L"Більшовицький",L"Большевистский"},
	{L"Біляєвська",L"Беляевская"},
	{L"Біологічна",L"Биологическая"},
	{L"Біологічний",L"Биологический"},
	{L"Біробіджанський",L"Биробиджанский"},
	{L"Бірюковськая",L"Бирюковская"},
	{L"Бісквітний",L"Бисквитный"},
	{L"Бітумна",L"Битумная"},
	{L"Благодатна",L"Благодатная"},
	{L"Благоєва",L"Благоева"},
	{L"Блакитного Василя",L"Блакитного Василия"},
	{L"Близнюківська",L"Близнюковская"},
	{L"Блискучий",L"Блестящий"},
	{L"Блока",L"Блока"},
	{L"Блюхера",L"Блюхера"},
	{L"Бобруйська",L"Бобруйская"},
	{L"Богатського Академіка",L"Академика Богатского"},
	{L"Богданова",L"Богданова"},
	{L"Богомольця Академіка",L"Академика Богомольца"},
	{L"Богуна Івана",L"Ивана Богуна"},
	{L"Богунського",L"Богунского"},
	{L"Боженка",L"Боженко"},
	{L"Бойова",L"Боевая"},
	{L"Бойовий",L"Боевой"},
	{L"Болгарська",L"Болгарская"},
	{L"Болгарський",L"Болгарский"},
	{L"Болонська",L"Болонская"},
	{L"Бондаревська",L"Бондарёвская"},
	{L"Бондаревський",L"Бондарёвский"},
	{L"Бондаревського",L"Бондаревского"},
	{L"Бондаренка",L"Бондаренко"},
	{L"Бондаренківська",L"Бондаренковская"},
	{L"Борзенка Сергія",L"Сергея Борзенко"},
	{L"Борзий",L"Борзый"},
	{L"Борисівська",L"Борисовская"},
	{L"Борисоглібська",L"Борисоглебская"},
	{L"Борова",L"Боровая"},
	{L"Бородинівська",L"Бородиновская"},
	{L"Бородинська",L"Бородинская"},
	{L"Бородівський",L"Бородивский"},
	{L"Бородіна",L"Бородина"},
	{L"Боротьби",L"Борьбы"},
	{L"Борщівський",L"Борщевский"},
	{L"Ботанічна",L"Ботаническая"},
	{L"Ботанічний",L"Ботанический"},
	{L"Ботанічний",L"Ботанический"},
	{L"Боткіна",L"Боткина"},
	{L"Бочарова Генерала",L"Генерала Бочарова"},
	{L"Братиславська",L"Братиславская"},
	{L"Братиславський",L"Братиславский"},
	{L"Братів Поджио",L"Братьев Поджио"},
	{L"Братів Стицьковських",L"Братьев Стыцьковских"},
	{L"Братська",L"Братская"},
	{L"Братський",L"Братский"},
	{L"Братський",L"Братский"},
	{L"Брестська",L"Брестская"},
	{L"Брестський",L"Брестский"},
	{L"Бреуса",L"Бреуса"},
	{L"Бригадна",L"Бригадная"},
	{L"Бригадний",L"Бригадный"},
	{L"Броненосця Потьомкін",L"Броненосца Потемкин"},
	{L"Броньова",L"Броневая"},
	{L"Броньовий",L"Броневой"},
	{L"Брюсова",L"Брюсова"},
	{L"Брянський",L"Брянский"},
	{L"Бугаївська",L"Бугаёвская"},
	{L"Бугрименка Василя",L"Василия Бугрименко"},
	{L"Бугурусланський",L"Бугурусланский"},
	{L"Будівельна",L"Строительная"},
	{L"Будівельний",L"Строительный"},
	{L"Будівельний",L"Строительный"},
	{L"Будівельників",L"Строителей"},
	{L"Будьонного",L"Будённого"},
	{L"Будянський",L"Будянский"},
	{L"Бужинський",L"Бужинский"},
	{L"Буздаліна",L"Буздалина"},
	{L"Бузковий",L"Сиреневый"},
	{L"Бузька",L"Сиреневая"},
	{L"Буковинська",L"Буковинская"},
	{L"Буковинський",L"Буковинский"},
	{L"Бульварна",L"Бульварная"},
	{L"Бульварний",L"Бульварный"},
	{L"Буніна",L"Бунина"},
	{L"Бур`янової Олени",L"Алёны Бурьяновой"},
	{L"Бурденко",L"Бурденко"},
	{L"Бурлацький",L"Бурлацкий"},
	{L"Буровугільна",L"Буроугольная"},
	{L"Бурсацький",L"Бурсацкий"},
	{L"Бутлеровська",L"Бутлеровская"},
	{L"Бутлеровський",L"Бутлеровский"},
	{L"Бутовський",L"Бутовский"},
	{L"Бучми",L"Бучмы"},
	
	{L"Вавилова Академіка",L"Академика Вавилова"},
	{L"Вавілова Академіка",L"Академика Вавилова"},
	{L"Вагнера",L"Вагнера"},
	{L"Вагонна",L"Вагонная"},
	{L"Вакулівська",L"Вакуловская"},
	{L"Валдайська",L"Валдайская"},
	{L"Валдайський",L"Валдайский"},
	{L"Валер'янівська",L"Валерьяновская"},
	{L"Валер'янівський",L"Валерьяновский"},
	{L"Валіховський",L"Валиховский"},
	{L"Валківский",L"Валковский"},
	{L"Вальтера Академіка",L"Академика Вальтера"},
	{L"Ванцетті",L"Ванцетти"},
	{L"Вапняковий",L"Известковый"},
	{L"Вапняна",L"Известковая"},
	{L"Вапняний",L"Известковый"},
	{L"Варварівка",L"Варваровка"},
	{L"Варварівська",L"Варваровская"},
	{L"Варениківський",L"Варениковский"},
	{L"Варламівський",L"Варламовский"},
	{L"Варламова Сергія",L"Сергея Варламова"},
	{L"Варненська",L"Варненская"},
	{L"Варшавська",L"Варшавская"},
	{L"Варшавський",L"Варшавский"},
	{L"Василевської Ванди",L"Ванды Василевской"},
	{L"Василини",L"Василины"},
	{L"Василівська",L"Василевская"},
	{L"Василівський",L"Васильевский"},
	{L"Васильківський",L"Васильковский"},
	{L"Васильківського",L"Васильковского"},
	{L"Васнецова",L"Васнецова"},
	{L"Ватутіна Генерала",L"Генерала Ватутина"},
	{L"Ватутіна",L"Ватутина"},
	{L"Ващенківський",L"Ващенковский"},
	{L"Веденеевский",L"Веденеевский"},
	{L"Векслера Академіка",L"Академика Векслера"},
	{L"Велика ",L"Большая"},
	{L"Велика Арнаутська",L"Большая Арнаутская"},
	{L"Велика Гончарівська",L"Большая Гончаровская"},
	{L"Велика Данилівська",L"Большая Даниловская"},
	{L"Велика Кільцева",L"Большая Кольцевая"},
	{L"Велика Корениха",L"Большая Корениха"},
	{L"Велика Пермська",L"Большая Пермская"},
	{L"Велика Садова",L"Большая Садовая"},
	{L"Великий Данилівський",L"Большой Даниловский"},
	{L"Велозаводська",L"Велозаводская"},
	{L"Велозаводський",L"Велозаводской"},
	{L"Венгера",L"Венгера"},
	{L"Вербицького",L"Вербицкого"},
	{L"Вербова",L"Вербовая"},
	{L"Веретенівська",L"Веретёновская"},
	{L"Верещагіна",L"Верещагина"},
	{L"Веринська",L"Веринская"},
	{L"Верстатобудівна",L"Станкостроительная"},
	{L"Вертелецького",L"Вертелецкого"},
	{L"Вертолітна",L"Вертолётная"},
	{L"Верфяна",L"Верфяная"},
	{L"Верхівський",L"Верховский"},
	{L"Верхній",L"Верхний"},
	{L"Верхньогіївська",L"Верхнегиевская"},
	{L"Верхньогіївський",L"Верхнегиевский"},
	{L"Верхньоудинська",L"Верхне Удинская"},
	{L"Верхня Биковська",L"Верхняя Быковская"},
	{L"Верхня П`ятихатська",L"Верхняя Пятихатская"},
	{L"Верхня Прирічна",L"Верхняя Приречная"},
	{L"Верхня",L"Верхняя"},
	{L"Верхоянська",L"Верхоянская"},
	{L"Вершинна",L"Вершинная"},
	{L"Весела",L"Весёлая"},
	{L"Веселий",L"Весёлый"},
	{L"Весіння",L"Весенняя"},
	{L"Весніна",L"Веснина"},
	{L"Весняна",L"Весенняя"},
	{L"Весняний",L"Весенний"},
	{L"Весняний",L"Весняный"},
	{L"Ветеранів Праці",L"Ветеранов труда"},
	{L"Вешенська",L"Вешенская"},
	{L"Вешенський",L"Вешенский"},
	{L"Вєтрова",L"Ветрова"},
	{L"Вєтрогонова",L"Ветрогонова"},
	{L"Виборзький",L"Выборгский"},
	{L"Виборна",L"Выборная"},
	{L"Виборний",L"Выборный"},
	{L"Визволення",L"Освобождения"},
	{L"Виїзна",L"Выездная"},
	{L"Виконкомівська",L"Исполкомовская"},
	{L"Виконкомівський",L"Исполкомовский"},
	{L"Винниченка Володимира",L"Владимира Винниченко"},
	{L"Винниченка",L"Винниченко"},
	{L"Виноградна",L"Виноградная"},
	{L"Виноградний",L"Виноградный"},
	{L"Виробнича",L"Производственная"},
	{L"Висока",L"Высокая"},
	{L"Високий",L"Высокий"},
	{L"Високовольтна",L"Высоковольтная"},
	{L"Високовольтний",L"Высоковольтный"},
	{L"Високогірна",L"Высокогорная"},
	{L"Високогірний",L"Высокогорный"},
	{L"Висоцького Володимира",L"Владимира Высоцкого"},
	{L"Височиненка Івана",L"Высочиненко Ивана"},
	{L"Височинська",L"Высочинская"},
	{L"Виставочна",L"Выставочная"},
	{L"Вишнева",L"Вишневая"},
	{L"Вишневий",L"Вишневый"},
	{L"Вишневського генерала",L"Генерала Вишневского"},
	{L"Вівсяний",L"Овсяный"},
	{L"Відважних",L"Отважных"},
	{L"Відрадна",L"Отрадная"},
	{L"Відродження",L"Возрождения"},
	{L"Військова",L"Военная"},
	{L"Військовий",L"Военный"},
	{L"Вікуловська",L"Викуловская"},
	{L"Віленський",L"Виленский"},
	{L"Вільна",L"Свободная"},
	{L"Вільний Лужок",L"Вольний Лужок"},
	{L"Вільний",L"Вольный"},
	{L"Вільшанська",L"Ольшанская"},
	{L"Вільямса Академіка",L"Академика Вильямса"},
	{L"Вінницька",L"Винницкая"},
	{L"Вінницький",L"Винницкий"},
	{L"Віражна",L"Виражная"},
	{L"Віри Холодної",L"Веры Холодной"},
	{L"Вітебська",L"Витебская"},
	{L"Вітчизняна",L"Отечественная"},
	{L"Владивостоцька",L"Владивостокская"},
	{L"Владивостоцький",L"Владивостокский"},
	{L"Власенка",L"Власенко"},
	{L"Власівський",L"Власовский"},
	{L"Внуківський",L"Внуковский"},
	{L"Водогінна",L"Водогонная"},
	{L"Водоп`янова",L"Водопьянова"},
	{L"Водопровідна",L"Водопроводная"},
	{L"Водопровідний",L"Водопроводный"},
	{L"Водяний",L"Водный"},
	{L"Воєнний",L"Военный"},
	{L"Вознесенський",L"Вознесенский"},
	{L"Войкова",L"Войкова"},
	{L"Вокзальна",L"Вокзальная"},
	{L"Волгоградська",L"Волгоградская"},
	{L"Волгоградський",L"Волгоградский"},
	{L"Волго-Донський",L"Волгодонский"},
	{L"Волзька",L"Волжская"},
	{L"Волинська",L"Волынская"},
	{L"Волинський",L"Волынский"},
	{L"Волкова Космонавта",L"Космонавта Волкова"},
	{L"Вологодська",L"Вологодская"},
	{L"Вологодський",L"Вологодский"},
	{L"Володарського",L"Володарского"},
	{L"Володимирська",L"Владимирская"},
	{L"Володимирський",L"Владимирский"},
	{L"Воложанівська",L"Воложановская"},
	{L"Волоколамська",L"Волоколамская"},
	{L"Волоколамський",L"Волокаламский"},
	{L"Волочаївська",L"Волочаевская"},
	{L"Волошинський",L"Волошинский"},
	{L"Волхівська",L"Волховская"},
	{L"Волчанська",L"Волчанская"},
	{L"Воробйова Академіка",L"Академика Воробьева"},
	{L"Воробйова",L"Воробьева"},
	{L"Воровського",L"Воровского"},
	{L"Воронезька",L"Воронежская"},
	{L"Воронезький",L"Воронежский"},
	{L"Воронізька",L"Воронежская"},
	{L"Вороніхіна",L"Воронихина"},
	{L"Вороного Миколи",L"Мыколы Вороного"},
	{L"Воронцовська",L"Воронцовская"},
	{L"Воронцовський",L"Воронцовский"},
	{L"Ворошилова",L"Ворошилова"},
	{L"Вузький",L"Узкий"},
	{L"Вчительський",L"Учительский"},
	{L"В'ятська",L"Вятская"},
	
	{L"Габдрахманова",L"Габдурахманова"},
	{L"Гаванна",L"Гаванная"},
	{L"Гагаріна",L"Гагарина"},
	{L"Гагарінське Плато",L"Гагаринское плато"},
	{L"Гагарінський",L"Гагаринский"},
	{L"Газети Правда",L"Газеты Правда"},
	{L"Газова",L"Газовая"},
	{L"Газовий",L"Газовый"},
	{L"Гайворонська",L"Гайворонская"},
	{L"Гайдамацький",L"Гайдамацкий"},
	{L"Гайдара",L"Гайдара"},
	{L"Гайова",L"Рощевая"},
	{L"Галана Ярослава",L"Ярослава Галана"},
	{L"Галана",L"Галана"},
	{L"Галинська",L"Галинская"},
	{L"Галушкинська",L"Галушкинская"},
	{L"Галушкіна",L"Галушкина"},
	{L"Гамалія",L"Гамалия"},
	{L"Гамарника",L"Гамарника"},
	{L"Гамова Георгія",L"Георгия Гамова"},
	{L"Ганни",L"Ганны"},
	{L"Гарібальді",L"Гарибальди"},
	{L"Гаріна",L"Гарина"},
	{L"Гаркавого Академіка",L"Академика Гаркавого"},
	{L"Гаркуші Іллі",L"Гаркуши Ильи"},
	{L"Гарнізонна",L"Гарнизонная"},
	{L"Гаршина",L"Гаршина"},
	{L"Гастелло",L"Гастелло"},
	{L"Гацева",L"Гацева"},
	{L"Гвардійська",L"Гвардейская"},
	{L"Гвардійський",L"Гвардейский"},
	{L"Гвардійців Залізничників",L"Гвардейцев Железнодорожников"},
	{L"Гвардійців Широнінців",L"Гвардейцев Широнинцев"},
	{L"Гвоздиковий",L"Гвоздиковый"},
	{L"Гвоздичний",L"Гвоздичный"},
	{L"Генічеська",L"Геническая"},
	{L"Генуезька",L"Генуэзская"},
	{L"Геологічна",L"Геологическая"},
	{L"Георгіївська",L"Георгиевская"},
	{L"Георгіївський",L"Георгиевский"},
	{L"Геранієва",L"Гераниевая"},
	{L"Герасимівська",L"Герасимовская"},
	{L"Герасимівський",L"Герасимовский"},
	{L"Героїв Комсомольців",L"Героев Комсомольцев"},
	{L"Героїв Праці",L"Героев Труда"},
	{L"Героїв Прикордонників",L"Героев Пограничников"},
	{L"Героїв Сталінграда",L"Героев Сталинграда"},
	{L"Героїв Сталінграду",L"Героев Сталинграда"},
	{L"Герцена",L"Герцена"},
	{L"Гефта Миколи",L"Николая Гефта"},
	{L"Гідросилівська",L"Гидросиловская"},
	{L"Гіївский",L"Гиёвский"},
	{L"Гіївська",L"Гиевская"},
	{L"Гілельса",L"Гилельса"},
	{L"Гімназична",L"Гимназическая"},
	{L"Гірська",L"Горная"},
	{L"Гірський",L"Горный"},
	{L"Гіршмана",L"Гиршмана"},
	{L"Гладкий",L"Гладкий"},
	{L"Гладківський",L"Гладковский"},
	{L"Гладкова",L"Гладкова"},
	{L"Глазунова",L"Глазунова"},
	{L"Глибка",L"Глыбко"},
	{L"Глинки",L"Глинки"},
	{L"Глиняна",L"Глиняная"},
	{L"Глібівська",L"Глебовская"},
	{L"Глінки Композитора",L"Композитора Глинки"},
	{L"Глінки",L"Глинки"},
	{L"Глухий",L"Глухой"},
	{L"Глушка Академіка",L"Академика Глушко"},
	{L"Гмирьова",L"Гмырёва"},
	{L"Гнедича",L"Гнедича"},
	{L"Говорова Маршала",L"Маршала Говорова"},
	{L"Гоголя",L"Гоголя"},
	{L"Головатого Отамана",L"Атамана Головатого"},
	{L"Головинський",L"Головинский"},
	{L"Головківська",L"Головковская"},
	{L"Головна",L"Главная"},
	{L"Голубівский",L"Голубовский"},
	{L"Голубівська",L"Голубовская"},
	{L"Гомельська",L"Гомельская"},
	{L"Гомоненко",L"Гомоненко"},
	{L"Гончара Олеся",L"Олеся Гончара"},
	{L"Гончарівський",L"Гончаровский"},
	{L"Гончарова",L"Гончарова"},
	{L"Горбатий міст",L"Горбатый мост"},
	{L"Горбиста",L"Холмистая"},
	{L"Гордієнка Яши",L"Яши Гордиенко"},
	{L"Гордієнківська",L"Гордиенковская"},
	{L"Гордієнківський",L"Гордиенковский"},
	{L"Горизонтальна",L"Горизонтальная"},
	{L"Горійська",L"Горийская"},
	{L"Горіхівська",L"Ореховская"},
	{L"Горіхова",L"Ореховая"},
	{L"Горлівська",L"Горловская"},
	{L"Горлівський",L"Горловский"},
	{L"Горнинська",L"Горнинская"},
	{L"Горобинова",L"Рябиновая"},
	{L"Городній",L"Огородный"},
	{L"Городня",L"Огородная"},
	{L"Городовикова",L"Городовикова"},
	{L"Горького",L"Горького"},
	{L"Горянский",L"Горянский"},
	{L"Горянська",L"Горянская"},
	{L"Госпітальний",L"Госпитальный"},
	{L"Гостинна",L"Гостиная"},
	{L"Готнянський",L"Готнянский"},
	{L"Грабовського",L"Грабовского"},
	{L"Градоначальницька",L"Градоначальницкая"},
	{L"Гранатна",L"Гранатная"},
	{L"Гранатний",L"Гранатный"},
	{L"Гранітна",L"Гранитная"},
	{L"Гранітний",L"Гранитный"},
	{L"Гребенюківська",L"Гребенюковская"},
	{L"Греківська",L"Грековская"},
	{L"Грецька",L"Греческая"},
	{L"Гречаний",L"Гречаный"},
	{L"Грибоєдова",L"Грибоедова"},
	{L"Григорівська",L"Григоровская"},
	{L"Григорівський",L"Григоровский"},
	{L"Гризодубової",L"Гризодубовой"},
	{L"Грицевця",L"Сергея Грицевца"},
	{L"Грозненська",L"Грозненская"},
	{L"Грозний",L"Грозный"},
	{L"Громадянська",L"Гражданская"},
	{L"Громадянський",L"Гражданский"},
	{L"Громової Уляни",L"Громовой Ульяны"},
	{L"Громової Уляни",L"Ульяны Громовой"},
	{L"Грузинска",L"Грузинская"},
	{L"Грузинська",L"Грузинская"},
	{L"Груповий",L"Групповой"},
	{L"Грушевського Михайла",L"Михаила Грушевского"},
	{L"Грушевського",L"Грушевского"},
	{L"Губенка",L"Губенко"},
	{L"Губкомівська",L"Губкомовская"},
	{L"Гуданова",L"Гуданова"},
	{L"Гудауцький",L"Гадаутский"},
	{L"Гудовича Генерала",L"Генерала Гудовича"},
	{L"Гуківська",L"Гуковская"},
	{L"Гулака-Артемовського",L"Гулака Артёмовского"},
	{L"Гуляницького",L"Гуляницкого"},
	{L"Гумільова Миколи",L"Николая Гумилёва"},
	{L"Гур'ївська",L"Гурьевская"},
	{L"Гур'ївський",L"Гурьевский"},
	{L"Гутянська",L"Гутянская"},
	{L"Гутянський",L"Гутянский"},
	{L"Гюго Віктора",L"Виктора Гюго"},
	
	{L"Давидівський",L"Давыдовский"},
	{L"Дагестанська",L"Дагестанская"},
	{L"Дагестанський",L"Дагестанский"},
	{L"Далекосхідна",L"Дальневосточная"},
	{L"Дальницька",L"Дальницкая"},
	{L"Дальницьке",L"Дальницкое"},
	{L"Дальній",L"Дальний"},
	{L"Данилевського",L"Данилевского"},
	{L"Данилівський",L"Данилевский"},
	{L"Данилівський",L"Даниловский"},
	{L"Данькевича",L"Данкевича"},
	{L"Дарвіна",L"Дарвина"},
	{L"Даргомижського",L"Даргомыжского"},
	{L"Дарницька",L"Дарницкая"},
	{L"Дар'яльська",L"Дарьяльская"},
	{L"Дацька",L"Дацько"},
	{L"Дача Ковалевського",L"Дача Ковалевского"},
	{L"Дачна",L"Дачная"},
	{L"Дачний",L"Дачный"},
	{L"Двінська",L"Двинская"},
	{L"Двінський",L"Двинский"},
	{L"Дворянська",L"Дворянская"},
	{L"Двурічна",L"Двуречная"},
	{L"Дебальцівська",L"Дебальцевская"},
	{L"Деволанівський",L"Деволановский"},
	{L"Дегтярна",L"Дегтярная"},
	{L"Дегтярний",L"Дегтярный"},
	{L"Дегтярьова",L"Дегтярёва"},
	{L"Дежньова",L"Дежнева"},
	{L"Декабристів",L"Декабристов"},
	{L"Делегатська",L"Делегатская"},
	{L"Делегатський",L"Делегатский"},
	{L"Дем`яна Бєдного",L"Демьяна Бедного"},
	{L"Дем`янова",L"Демьянова"},
	{L"Демченка",L"Демченко"},
	{L"Демченко Марії",L"Марии Демченко"},
	{L"Дем'яна Бєдного",L"Демьяна Бедного"},
	{L"Деповська",L"Деповская"},
	{L"Деповський",L"Деповский"},
	{L"Депутатська",L"Депутатская"},
	{L"Депутатський",L"Депутатский"},
	{L"Дербентська",L"Дербентская"},
	{L"Дербентський",L"Дербентский"},
	{L"Дергачівська",L"Дергачёвская"},
	{L"Дергачівський",L"Дергачёвский"},
	{L"Деревообробна",L"Деревообделочная"},
	{L"Деревообробний",L"Деревообделочный"},
	{L"Дерев'янка Бориса",L"Бориса Деревянко"},
	{L"Дерев'янка",L"Деревянко"},
	{L"Державіна",L"Державина"},
	{L"Державінська",L"Державинская"},
	{L"Дерибасівка",L"Дерибасовка"},
	{L"Дерибасівська",L"Дерибасовская"},
	{L"Десантний",L"Десантный"},
	{L"Десантників",L"Десантников"},
	{L"Деснянський",L"Деснянский"},
	{L"Десята",L"Десятая"},
	{L"Джанкойська",L"Джанкойская"},
	{L"Джерело",L"Джерело"},
	{L"Джерельна",L"Родниковая"},
	{L"Джерельний",L"Родниковый"},
	{L"Джутова",L"Джутовая"},
	{L"Джутовий",L"Джутовый"},
	{L"Дзвінка",L"Звонкая"},
	{L"Дзержинського",L"Дзержинского"},
	{L"Дзюби",L"Дзюбы"},
	{L"Дибенка Павла",L"Дыбенко Павла"},
	{L"Дивногірский",L"Дивногорский"},
	{L"Дизельна",L"Дизельная"},
	{L"Диканівська",L"Диканевская"},
	{L"Динамівська",L"Динамовская"},
	{L"Динамічний",L"Динамический"},
	{L"Диспетчерська",L"Диспетчерская"},
	{L"Диспетчерський",L"Диспетчерский"},
	{L"Дитяча",L"Детская"},
	{L"Дитячий",L"Детский"},
	{L"Дідріхсона",L"Дидрихсона"},
	{L"Дідро",L"Дидро"},
	{L"Дмитрівська",L"Дмитриевская"},
	{L"Дніпровська",L"Днепровская"},
	{L"Дніпровський",L"Днепровский"},
	{L"Дніпропетровськ",L"Днепропетр^овск"},
	{L"Дніпропетровська дорога",L"Днепропетр^овская дорога"},
	{L"Дніпропетровська",L"Днепропетр^овская"},
	{L"Дніпропетровський",L"Днепропетр^овский"},
	{L"Дністровська",L"Днестровская"},
	{L"Дністровський",L"Днестровский"},
	{L"Добровольського",L"Добровольского"},
	{L"Добродецького Анатолія",L"Добродетского Анатолия"},
	{L"Добролюбова",L"Добролюбова"},
	{L"Доброхотова",L"Доброхотова"},
	{L"Доватора Генерала",L"Генерала Доватора"},
	{L"Доватора",L"Доватора"},
	{L"Довга",L"Долгая"},
	{L"Довгалівська",L"Довгалевская"},
	{L"Довгалівський",L"Довгалевский"},
	{L"Довгожданий",L"Долгожданный"},
	{L"Довженка",L"Довженко"},
	{L"Докова",L"Доковая"},
	{L"Докучаєва",L"Докучаева"},
	{L"Докучаївський",L"Докучаевский"},
	{L"Долинний",L"Долинный"},
	{L"Долинська",L"Долинская"},
	{L"Долинський",L"Долинский"},
	{L"Донбасівський",L"Донбассовский"},
	{L"Донець-Захаржевського",L"Донец-Захаржевского"},
	{L"Донецьк",L"Донецк"},
	{L"Донецька",L"Донецкая"},
	{L"Донецький",L"Донецкий"},
	{L"Донський",L"Донской"},
	{L"Донського Дмитра",L"Дмитрия Донского"},
	{L"Донського Дмитрія",L"Донского Дмитрия"},
	{L"Дорожна",L"Дорожная"},
	{L"Дорохівський",L"Дороховский"},
	{L"Дорошенка",L"Дорошенко"},
	{L"Дорошенківська",L"Дорошенковская"},
	{L"Дорошенківський",L"Дорошенковский"},
	{L"Дорстрою",L"Дорстроя"},
	{L"Досвідний",L"Досвидный"},
	{L"Дослідний",L"Исследовательский"},
	{L"Достатку",L"Изобилия"},
	{L"Достоєвського",L"Достоевского"},
	{L"Драгомирівська",L"Драгомировская"},
	{L"Друга",L"Вторая"},
	{L"Другий",L"Второй"},
	{L"Дружби Народів",L"Дружбы Народов"},
	{L"Дружби",L"Дружбы"},
	{L"Дружна",L"Дружная"},
	{L"Дружний",L"Дружный"},
	{L"Дружній",L"Дружный"},
	{L"Дубініна Володі",L"Володи Дубинина"},
	{L"Дубініна",L"Дубинина"},
	{L"Дубова",L"Дубовая"},
	{L"Дубовий Гай",L"Дубовый Гай"},
	{L"Дубового Івана",L"Дубового Ивана"},
	{L"Дудківська",L"Дудковская"},
	{L"Дукова",L"Дукова"},
	{L"Думська",L"Думская"},
	{L"Дунаєва",L"Дунаева"},
	{L"Дунаєвського",L"Дунаевского"},
	{L"Дунайська",L"Дунайская"},
	{L"Дунайський",L"Дунайский"},
	{L"Дюківська",L"Дюковская"},
	
	{L"Евенський",L"Эвенский"},
	{L"Ейдемана Роберта",L"Эйдемана Роберта"},
	{L"Економічний",L"Экономический"},
	{L"Експериментальний",L"Экспериментальный"},
	{L"Елеваторна",L"Элеваторная"},
	{L"Електрична",L"Электрическая"},
	{L"Електричний",L"Электрический"},
	{L"Електровозна",L"Электровозная"},
	{L"Електровозний",L"Электровозный"},
	{L"Електроінструментальний",L"Электроинструментальные"},
	{L"Електромеханічний",L"Электромеханический"},
	{L"Ельбруський",L"Эльбрусский"},
	{L"Енгельса",L"Энгельса"},
	{L"Енергетиків",L"Энергетиков"},
	{L"Енергетична",L"Энергетическая"},
	{L"Ентузіастів",L"Энтузиастов"},
	{L"Ерделі Ксенії",L"Ксении Эрдели"},
	{L"Естакадна",L"Эстакадная"},
	{L"Естакадний",L"Эстакадный"},
	{L"Естафетна",L"Эстафетная"},
	{L"Естонська",L"Эстонская"},
	{L"Естонський",L"Эстонский"},
		
	{L"Євпаторійський",L"Евпаторийский"},
	{L"Єврейська",L"Еврейская"},
	{L"Євсюківський",L"Евсюковский"},
	{L"Єгорова",L"Егорова"},
	{L"Єйский",L"Ейский"},
	{L"Єкатеринінська",L"Екатерининская"},
	{L"Єлецький",L"Елецкий"},
	{L"Єлизаветинська",L"Елизаветинская"},
	{L"Єлисаветградський",L"Елисаветградский"},
	{L"Єлізарова",L"Елизарова"},
	{L"Ємельянівський",L"Емельяновский"},
	{L"Єнакіївська",L"Енакиевская "},
	{L"Єнакіївський",L"Енакиевский"},
	{L"Єнісейська",L"Енисейская"},
	{L"Єрємєєвський",L"Еремеевский"},
	{L"Єрмака",L"Ермака"},
	{L"Єрмаківська",L"Ермаковская"},
	{L"Єрмолаївский",L"Ермолаевский"},
	{L"Єсеніна Сергія",L"Есенина Сергея"},
	{L"Єфімова",L"Ефимова"},
	
	{L"Жаботинського",L"Жаботинского"},
	{L"Жадова Генерала",L"Генерала Жадова"},
	{L"Жасминна",L"Жасминная"},
	{L"Жевахова",L"Жевахова"},
	{L"Желєзноводська",L"Железноводская"},
	{L"Желєзнякова",L"Железнякова"},
	{L"Желябова",L"Желябова"},
	{L"Жилівський",L"Жиловский"},
	{L"Жилярді",L"Жилярди"},
	{L"Житкова",L"Житкова"},
	{L"Житня",L"Житная"},
	{L"Житомирська",L"Житомирская"},
	{L"Житомирський",L"Житомирский"},
	{L"Жихарська",L"Жихарская"},
	{L"Жихарський",L"Жихарский"},
	{L"Жмеринська",L"Жмеринская"},
	{L"Жовтнева",L"Октябрьская"},
	{L"Жовтневий",L"Октябрьский"},
	{L"Жовтневої Революції",L"Октябрьской Революции"},
	{L"Жоліо-Кюрі",L"Жолио Кюри"},
	{L"Жукова Віце-Адмірала",L"Вице адмирала Жукова"},
	{L"Жукова Маршала",L"Маршала Жукова"},
	{L"Жуковського",L"Жуковского"},
	{L"Журавлівська",L"Журавлевская"},
	{L"Журбинського",L"Журбинского"},
	{L"Журливої Олени",L"Алёны Журливой"},
	{L"Жутівська",L"Жутовская"},
	
	{L"З`єднана",L"Соединенная"},
	{L"Забайкальська",L"Забайкальская"},
	{L"Забайкальський",L"Забайкальский"},
	{L"Заболотного Академіка",L"Академика Заболотного"},
	{L"Завадівська",L"Завадовская"},
	{L"Завадівський",L"Завадовский"},
	{L"Заводська",L"Заводская"},
	{L"Заводський",L"Заводской"},
	{L"Заводу Комсомолець",L"Завода Комсомолец"},
	{L"Загорська",L"Загорская"},
	{L"Загорський",L"Загорский"},
	{L"Задніпровського",L"Заднепровского"},
	{L"Закарпатська",L"Закарпатская"},
	{L"Зала Егерсег",L"Зала Егерсег"},
	{L"Заливна",L"Заливная"},
	{L"Залізнична",L"Железнодорожная"},
	{L"Залізничний",L"Железнодорожный"},
	{L"Залізнодорожній",L"Железнодорожный"},
	{L"Заліська",L"Залесская"},
	{L"Залютинська",L"Залютинская"},
	{L"Залютинський",L"Залютинский"},
	{L"Заміська",L"Загородная"},
	{L"Заміський",L"Загородный"},
	{L"Заньковецької Марії",L"Марии Заньковецкой"},
	{L"Заньковецької",L"Заньковецкой"},
	{L"Заозерна",L"Заозёрная"},
	{L"Запоріжжя",L"Запорожье"},
	{L"Запорізька",L"Запорожская"},
	{L"Запорізьке",L"Запорожское"},
	{L"Запорізький",L"Запорожский"},
	{L"Зарічна",L"Заречная"},
	{L"Заславського",L"Заславского"},
	{L"Затишна",L"Уютная"},
	{L"Затонського",L"Затонского"},
	{L"Західна",L"Западная"},
	{L"Західний",L"Западный"},
	{L"Зачепилівська",L"Зачепиловская"},
	{L"Звенигородська",L"Звенигородская"},
	{L"Звенигородський",L"Звенигородский"},
	{L"Зв'язки",L"Связи"},
	{L"Здолбунівська",L"Здолбуновская"},
	{L"Здоров`я",L"Здоровья"},
	{L"Зелена Балка",L"Зелёная Балка"},
	{L"Зелена",L"Зеленая"},
	{L"Зелений Гай",L"Зеленый Гай"},
	{L"Зелений",L"Зеленый"},
	{L"Зеленоградська",L"Зеленоградская"},
	{L"Зеленодільський",L"Зеленодольский"},
	{L"Зеленського",L"Зеленского"},
	{L"Земівська",L"Земовская"},
	{L"Земівський",L"Земовский"},
	{L"Зернова",L"Зерновая"},
	{L"Зерновий",L"Зерновой"},
	{L"Зінченка",L"Зинченко"},
	{L"Злагоди",L"Согласия"},
	{L"Злакова",L"Злаковая"},
	{L"Змагання",L"Соревнования"},
	{L"Зміївська",L"Змиёвская"},
	{L"Зміївський",L"Змиёвский"},
	{L"Зої Космодем`янської",L"Зои Космодемьянской"},
	{L"Золотарівський",L"Золотаревский"},
	{L"Золотий Берег",L"Золотой берег"},
	{L"Золотий",L"Золотой"},
	{L"Золочівська",L"Золочевская"},
	{L"Золочівський",L"Золочевский"},
	{L"Зоопаркова",L"Зоопарковая"},
	{L"Зоринська",L"Зоринская"},
	{L"Зоряна",L"Звездная"},
	{L"Зоряний",L"Звёздный"},
	{L"Зубарєва",L"Зубарева"},
	
	{L"Іванівська",L"Ивановская"},
	{L"Іванівський",L"Ивановский"},
	{L"Іванівський",L"Ивановский"},
	{L"Іванова",L"Иванова"},
	{L"Івановський",L"Ивановский"},
	{L"Іжевська",L"Ижевская"},
	{L"Іжевський",L"Ижевский"},
	{L"Ізмаїльська",L"Измаильская"},
	{L"Ізмайлівський",L"Измайловская"},
	{L"Ізотова Микити",L"Изотова Никиты"},
	{L"Ізумрудний",L"Изумрудный"},
	{L"Ізюмська",L"Изюмская"},
	{L"Іллінська",L"Ильинская"},
	{L"Ілліча",L"Ильича"},
	{L"Ільменська",L"Ильменская"},
	{L"Ільфа і Петрова",L"Ильфа и Петрова"},
	{L"Інбер Віри",L"Веры Инбер"},
	{L"Інгульська Набережна",L"Ингульская Нааабережная"},
	{L"Інгульська",L"Ингульская"},
	{L"Інгульський",L"Ингульский"},
	{L"Індійська",L"Индийская"},
	{L"Індустріальна",L"Индустриальная"},
	{L"Інженерів",L"Инженеров"},
	{L"Інженерна",L"Инженерная"},
	{L"Інженерний",L"Инженерный"},
	{L"Ініціативна",L"Инициативная"},
	{L"Інститутський",L"Институтский"},
	{L"Інтернаціоналістів",L"Интернационалистов"},
	{L"Інтернаціоналу",L"Интернационала"},
	{L"Інтернаціональна",L"Интернациональная"},
	{L"Інтернаціональний",L"Интернациональный"},
	{L"Іподромний",L"Иподромный"},
	{L"Іртиська",L"Иртышская"},
	{L"Іртиський",L"Иртышкий"},
	{L"Ісаївська",L"Исаевская"},
	{L"Ісаївський",L"Исаевский"},
	{L"Іскринська",L"Искринская"},
	{L"Іскринський",L"Искринский"},
	{L"Іспанська",L" Испанская"},
	{L"Іспанський",L"Испанский"},
	{L"Істомінська",L"Истоминская"},
	{L"Істомінський",L"Истоминский"},
	{L"Італійський",L"Итальянский"},
	
	{L"Їжакевича",L"Ижакевича"},
	
	{L"Кабардинська",L"Кабардинская"},
	{L"Каботажний",L"Каботажный"},
	{L"Кавказька",L"Кавказская"},
	{L"Кавказький",L"Кавказский"},
	{L"Казанська",L"Казанская"},
	{L"Казанський",L"Казанский"},
	{L"Казарського",L"Казарского"},
	{L"Казахстанська",L"Казахстанская"},
	{L"Калинова",L"Калиновая"},
	{L"Калініна",L"Калинина"},
	{L"Калінінградська",L"Калининградская"},
	{L"Калінінградський",L"Калининградский"},
	{L"Калузька",L"Калужская"},
	{L"Калузький",L"Калужский"},
	{L"Каляєва",L"Каляева"},
	{L"Каманіна",L"Каманина"},
	{L"Камишанська",L"Камышанская"},
	{L"Камишева Івана",L"Камышева Ивана"},
	{L"Камська",L"Камская"},
	{L"Кам'янець-Подільська",L"Каменец-Подольская"},
	{L"Кам'янець-Подільський",L"Каменец-Подольский"},
	{L"Канатна",L"Канатная"},
	{L"Канатний",L"Канатный"},
	{L"Кандаурова Петра",L"Кандаурова"},
	{L"Кандинського Василя",L"Василия Кандинского"},
	{L"Кандинського",L"Кандинского"},
	{L"Канізька",L"Канижская"},
	{L"Канізький",L"Канижский"},
	{L"Кантемира",L"Кантемира"},
	{L"Капніста",L"Капниста"},
	{L"Капустянська",L"Капустянская"},
	{L"Карабінерна",L"Карабинерная"},
	{L"Карабінерний",L"Карабинерный"},
	{L"Карагандинська",L"Карагандинская"},
	{L"Каразіна",L"Каразина"},
	{L"Карамзіна",L"Карамзина"},
	{L"Карантинна",L"Карантинная"},
	{L"Карантинний",L"Карантинный"},
	{L"Карачівське",L"Карачевское"},
	{L"Карачівський",L"Карачевский"},
	{L"Карбишева",L"Карбышева"},
	{L"Каретний",L"Каретный"},
	{L"Кар'єрна",L"Карьерная"},
	{L"Кар'єрний",L"Карьерный"},
	{L"Каришковського Професора",L"Профессора Карышковского"},
	{L"Каркача Івана",L"Ивана Каркача"},
	{L"Кармалюка",L"Кармалюка"},
	{L"Карпатська",L"Карпатская"},
	{L"Карпатська",L"Карпатская"},
	{L"Карпатський",L"Карпатский"},
	{L"Карпенка Генерала",L"Генерала Карпенко"},
	{L"Карпинського Академіка",L"Академика Карпинского"},
	{L"Карпівська",L"Карповская"},
	{L"Карпівський",L"Карповский"},
	{L"Картамишевська",L"Картамышевская"},
	{L"Карусельна",L"Карусельная"},
	{L"Карусельний",L"Карусельний"},
	{L"Касимівський",L"Касимовский"},
	{L"Каспійський",L"Каспийский"},
	{L"Катаєва",L"Катаева"},
	{L"Каховська",L"Каховская"},
	{L"Каховський",L"Каховский"},
	{L"Кацарська",L"Кацарская"},
	{L"Качалова",L"Качалова"},
	{L"Качанівська",L"Качановская"},
	{L"Качинського Леха",L"Качинского"},
	{L"Каширська",L"Каширская"},
	{L"Каштанова",L"Каштановая"},
	{L"Каштановий",L"Каштановый"},
	{L"Кашуби",L"Кашубы"},
	{L"Квіткинська",L"Квиткинская"},
	{L"Квітки-Основ`яненка",L"Квитки-Основьяненко"},
	{L"Квіткова",L"Цветочная"},
	{L"Квітковий",L"Цветочный"},
	{L"Квітнева",L"Апрельская"},
	{L"Квітуча",L"Цветущая"},
	{L"Квітучий",L"Цветущий"},
	{L"Кедровий",L"Кедровый"},
	{L"Кемеровська",L"Кемеровская"},
	{L"Керамічна",L"Керамическая"},
	{L"Керамічний",L"Керамический"},
	{L"Керченська",L"Керченская"},
	{L"Керченський",L"Керченский"},
	{L"Кибальчича",L"Кибальчича"},
	{L"Київ",L"Киев"},
	{L"Київська",L"Киевская"},
	{L"Київський",L"Киевский"},
	{L"Кипарисний",L"Кипарисный"},
	{L"Киргизька",L"Киргизская"},
	{L"Кирилівська",L"Кирилловская"},
	{L"Кисловодська",L"Кисловодская"},
	{L"Кисловодський",L"Кисловодский"},
	{L"Кисляк Марії",L"Кисляк Марии"},
	{L"Китаєнка",L"Китаенко"},
	{L"Китобійна",L"Китобойная"},
	{L"Китобійний",L"Китобойный"},
	{L"Китобоїв",L"Китобоев"},
	{L"Кишинівська",L"Кишинёвская"},
	{L"Кишинівський",L"Кишинёвский"},
	{L"Кіквідзе",L"Киквидзе"},
	{L"Кільовий",L"Килевой"},
	{L"Кільцева",L"Кольцевая"},
	{L"Кільцевий",L"Кольцевой"},
	{L"Кінна",L"Конная"},
	{L"Кінноармійська",L"Конноармейская"},
	{L"Кіпренський",L"Кипренский"},
	{L"Кірова",L"Кирова"},
	{L"Кіровоград",L"Кировоград"},
	{L"Кіровоградська",L"Кировоградская"},
	{L"Кладбищенська",L"Кладбищенская"},
	{L"Клапцова Дмитра",L"Клапцова Дмитрия"},
	{L"Клари Цеткін",L"Клары Цэткин"},
	{L"Класичний",L"Классический"},
	{L"Клеменівський",L"Клеменовский"},
	{L"Кленова",L"Кленовая"},
	{L"Клещевський",L"Клещёвский"},
	{L"Климовського",L"Климовского"},
	{L"Клинова",L"Клиновая"},
	{L"Клинська",L"Клинская"},
	{L"Кліщевський",L"Клещёвский"},
	{L"Клочківська",L"Клочковская"},
	{L"Клочківський",L"Клочковский"},
	{L"Клочкова Василя",L"Клочкова Василия"},
	{L"Клубна",L"Клубная"},
	{L"Клубний",L"Клубный"},
	{L"Ключова",L"Ключевая"},
	{L"Ключовий",L"Ключевой"},
	{L"Книжковий",L"Книжный"},
	{L"Книшівський",L"Кнышёвский"},
	{L"Княжеський",L"Княжеский"},
	{L"Князівська",L"Княжеская"},
	{L"Кобера",L"Кобера"},
	{L"Кобзарський",L"Кобзаревский"},
	{L"Кобилянської Ольги",L"Ольги Кобылянской"},
	{L"Коблевська",L"Коблевская"},
	{L"Ковалевського",L"Ковалевского"},
	{L"(Ковалівка)",L"Ковалёвка"},
	{L"Ковалівка",L"Ковалёвка"},
	{L"Ковалівський",L"Ковалёвский"},
	{L"Ковальська",L"Кузнечная"},
	{L"Ковальський",L"Кузнецкий"},
	{L"Ковальський",L"Кузнечный"},
	{L"Ковильна",L"Ковыльная"},
	{L"Ковильний",L"Ковыльный"},
	{L"Ковпака Сидора",L"Сидора Ковпака"},
	{L"Ковтуна",L"Ковтуна"},
	{L"Козака Матвія",L"Козака Матвея"},
	{L"Козака Сулими",L"Козака Сулимы"},
	{L"Козакевича",L"Козакевича"},
	{L"Козацька",L"Козацкая"},
	{L"Козацький",L"Козацкий"},
	{L"Козлова",L"Козлова"},
	{L"Козюлинська",L"Козюлинская"},
	{L"Коксова",L"Коксовая"},
	{L"Коксовий",L"Коксовый"},
	{L"Кокчетавська",L"Кокчетавская"},
	{L"Коларова",L"Коларова"},
	{L"Коласа Якуба",L"Якуба Коласа"},
	{L"Колгоспна",L"Колхозная"},
	{L"Колгоспний",L"Колхозный"},
	{L"Колекторна",L"Коллекторная"},
	{L"Колекційна",L"Коллекционная"},
	{L"Колісниченківська",L"Колесниченковская"},
	{L"Колісниченківський",L"Колесниченковский"},
	{L"Коллонтай",L"Коллонтай"},
	{L"Колодязна",L"Колодезная"},
	{L"Колодязний",L"Колодезный"},
	{L"Коломенська",L"Коломенская"},
	{L"Колонічна",L"Колоническая"},
	{L"Колонна",L"Колонная"},
	{L"Колонний",L"Колонный"},
	{L"Колонтаєвська",L"Колонтаевская"},
	{L"Колосиста",L"Колосистая"},
	{L"Колосистий",L"Колосистый"},
	{L"Кольський",L"Кольский"},
	{L"Кольцова",L"Кольцова"},
	{L"Кольцовська",L"Кольцовская"},
	{L"Комарова Космонавта",L"Космонавта Комарова"},
	{L"Комарова",L"Комарова"},
	{L"Комбайнівська",L"Комбайновская"},
	{L"Комінтерна",L"Коминтерна"},
	{L"Комінтерну",L"Коминтерна"},
	{L"Комітетська",L"Комитетская"},
	{L"Компасний",L"Компасный"},
	{L"Комсомольська",L"Комсомольская"},
	{L"Комсомольське",L"Комсомольское"},
	{L"Комсомольський",L"Комсомольский"},
	{L"Комунальна",L"Коммунальная"},
	{L"Комунальний",L"Коммунальный"},
	{L"Комунарів",L"Комунаров"},
	{L"Комунарівська",L"Коммунаровская"},
	{L"Комуни",L"Коммуны"},
	{L"Комуністичний",L"Коммунистический"},
	{L"Кондрашина",L"Кондрашина"},
	{L"Кондукторська",L"Кондукторская"},
	{L"Кондукторський",L"Кондукторский"},
	{L"Конєва Маршала",L"Маршала Конева "},
	{L"Конопляна",L"Конопляная"},
	{L"Конопляний",L"Конопляный"},
	{L"Конотопська",L"Конотопская"},
	{L"Конотопський",L"Конотопский"},
	{L"Конституції",L"Конституции"},
	{L"Конструкторська",L"Конструкторская"},
	{L"Конструкторський",L"Конструкторский"},
	{L"Конторський",L"Конторский"},
	{L"Конюшенний",L"Конюшенный"},
	{L"Кооперативна",L"Кооперативная"},
	{L"Кооперативний",L"Кооперативный"},
	{L"Копиленка",L"Копиленко"},
	{L"Корабельний",L"Корабельный"},
	{L"Кордонна",L"Кордонная"},
	{L"Кордонний",L"Кордонный"},
	{L"Корейський",L"Корейский"},
	{L"Корка Командарма",L"Командарма Корка"},
	{L"Корнакова Михайла",L"Корнакова"},
	{L"Коробейницький",L"Коробейницкий"},
	{L"Коровицького Професора",L"професора Коровицкого"},
	{L"Коровченківський",L"Коровченковский"},
	{L"Короленка",L"Короленко"},
	{L"Корольова Академіка",L"Академика Королёва"},
	{L"Коростельська",L"Коростельская"},
	{L"Коростельський",L"Коростельский"},
	{L"Коростенський",L"Коростенский"},
	{L"Короткий",L"Короткий"},
	{L"Коротченка Дем`яна",L"Демьяна Коротченко"},
	{L"Корсиківський",L"Корсиковский"},
	{L"Корсунська",L"Корсунская"},
	{L"Корчагінців",L"Корчагинцев"},
	{L"Косвенна",L"Косвенная"},
	{L"Косий",L"Косой"},
	{L"Косівщинська",L"Косовщинская"},
	{L"Косіора",L"Косиора"},
	{L"Космічна",L"Космическая"},
	{L"Космодем`янської Зої",L"Зои Космодемьянской"},
	{L"Космодем`янської",L"Космодемьянской"},
	{L"Космонавтів",L"Космонавтов"},
	{L"Косовська",L"Косовская"},
	{L"Костанді",L"Костанди"},
	{L"Костичева",L"Костычева"},
	{L"Костомарівська",L"Костомаровская"},
	{L"Костромська",L"Костромская"},
	{L"Костромський",L"Костромской"},
	{L"Костюринський",L"Костюринский"},
	{L"Костянтинівська",L"Константиновская"},
	{L"Котельна",L"Котельная"},
	{L"Котельний",L"Котельный"},
	{L"Котельниківська",L"Котельниковская"},
	{L"Котласька",L"Котласская"},
	{L"Котласький",L"Котласский"},
	{L"Котлова",L"Котлова"},
	{L"Котляревського",L"Котляревского"},
	{L"Котляри",L"Котляры"},
	{L"Котовського",L"Котовского"},
	{L"Кохання",L"Кохання"},
	{L"Коцюбинського",L"Коцюбинского"},
	{L"Кочубіївська",L"Кочубеевская"},
	{L"Кошкіна",L"Кошкина"},
	{L"Кошового Олега",L"Олега Кошевого"},
	{L"Кошового",L"Кошевого"},
	{L"Кравцова Павла",L"Павла Кравцова"},
	{L"Кравцова",L"Кравцова"},
	{L"Крайня",L"Крайняя"},
	{L"Краматорська",L"Краматорская"},
	{L"Краматорський",L"Краматорский"},
	{L"Крамчанинівська",L"Крамчаниновская"},
	{L"Красіна",L"Красина"},
	{L"Краснова",L"Краснова"},
	{L"Красноводський",L"Красноводский"},
	{L"Красногорська",L"Красногорская"},
	{L"Красноградська",L"Красноградская"},
	{L"Краснодарська",L"Краснодарская"},
	{L"Краснодарський",L"Краснодарский"},
	{L"Краснодонська",L"Краснодонская"},
	{L"Краснодонський",L"Краснодонский"},
	{L"Краснозорьська",L"Краснозорьская"},
	{L"Краснокутський",L"Краснокутский"},
	{L"Краснопільська",L"Краснопольская"},
	{L"Краснопресненська",L"Краснопресненская"},
	{L"Красносільська",L"Краснопоселковая "},
	{L"Краснослобідський",L"Краснослободской"},
	{L"Красноярська",L"Красноярская"},
	{L"Красноярський",L"Красноярский"},
	{L"Кредитний",L"Кредитный"},
	{L"Крейсера Аврора",L"Крейсера Аврора"},
	{L"Кременчуцька",L"Кременчугская"},
	{L"Кремлівська",L"Кремлевская"},
	{L"Кренкеля",L"Кренкеля"},
	{L"Кречетівський",L"Кречетовский"},
	{L"Крива Балка",L"Кривая балка"},
	{L"Кривий Ріг",L"Кривой Рог"},
	{L"Кривобалківська",L"Кривобалковская"},
	{L"Кривоконівська",L"Кривоконевская"},
	{L"Кривоконівський",L"Кривоконевский"},
	{L"Кривомазова",L"Кривомазова"},
	{L"Криворізька",L"Криворожская"},
	{L"Криворізький",L"Криворожский"},
	{L"Крижанівський",L"Крыжановский"},
	{L"Крилова",L"Крылова"},
	{L"Кримська",L"Крымская"},
	{L"Кримський",L"Крымский"},
	{L"Криничний",L"Криничный"},
	{L"Криничувата",L"Криничуватая"},
	{L"Кристаловського",L"Кристаловского"},
	{L"Кришталева",L"Хрустальная"},
	{L"Кришталевий",L"Хрустальный"},
	{L"Кромська",L"Кромская"},
	{L"Кронштадтська",L"Кронштадтская"},
	{L"Кронштадтський",L"Кронштадтский"},
	{L"Кропивницького",L"Кропивницкого"},
	{L"Кропоткіна",L"Кропоткина"},
	{L"Крохмалевський",L"Крохмалевский"},
	{L"Кругова",L"Круговая"},
	{L"Круговий",L"Круговой"},
	{L"Крупської",L"Крупской"},
	{L"Крутий",L"Крутой"},
	{L"Крутогірський",L"Крутогорский"},
	{L"Крутоярська",L"Крутоярская"},
	{L"Крушельницького",L"Крушельницкого"},
	{L"Крюківська",L"Крюковская"},
	{L"Кубанська",L"Кубанская"},
	{L"Кубасова Федора",L"Кубасова Федора"},
	{L"Кубраківський",L"Кубраковский"},
	{L"кузнецова Капітана",L"Капитана Кузнецова"},
	{L"Кузнецька",L"Кузнецкая"},
	{L"Кузнецький",L"Кузнецкий"},
	{L"Куйбишева",L"Куйбышева"},
	{L"Куликівська",L"Куликовская"},
	{L"Куликівський",L"Куликовский"},
	{L"Куликове Поле",L"Куликовое поле"},
	{L"Куликовський",L"Куликовский"},
	{L"Кулібіна",L"Кулибина"},
	{L"Кулінічинська",L"Кулиничинская"},
	{L"Кульбицький",L"Кульбицкий"},
	{L"Культкомівський",L"Культкомовский"},
	{L"Культкомовская",L"Культкомовская "},
	{L"Культури",L"Культуры"},
	{L"Куниці",L"Куницы"},
	{L"Куп`янська",L"Купянская"},
	{L"Купріна",L"Куприна"},
	{L"Курахівська",L"Кураховская"},
	{L"Курганна",L"Курганная"},
	{L"Курганська",L"Курганская"},
	{L"Курганський",L"Курганский"},
	{L"Куроп`ятникова",L"Куропятникова"},
	{L"Курортний",L"Курортный"},
	{L"Курська",L"Курская"},
	{L"Курський",L"Курский"},
	{L"Курчатова Академіка",L"Академика Курчатова"},
	{L"Куряжанська",L"Куряжанская"},
	{L"Куряжанський",L"Куряжанский "},
	{L"Кустанайська",L"Кустанайская"},
	{L"Кустанайський",L"Кустанайский"},
	{L"Кутова",L"Кутовая"},
	{L"Кутузівська",L"Кутузовская"},
	{L"Кутузова",L"Кутузова"},
	{L"Куусинська",L"Куусинская"},
	{L"Кушнарева",L"Кушнарёва"},
	{L"Кюї Цезаря",L"Кюи Цезаря"},
	
	{L"Лабораторна",L"Лабораторная"},
	{L"Лавочна",L"Лавочная"},
	{L"Лагерна",L"Лагерная"},
	{L"Лагерний",L"Лагерный"},
	{L"Ладигіна",L"Ладыгина"},
	{L"Ладозький",L"Ладожский"},
	{L"Лазарева Адмірала",L"Адмирала Лазарева"},
	{L"Лазарівський",L"Лазаревский"},
	{L"Лазарцівський",L"Лазарцовский"},
	{L"Лазківка-Лужок",L"Лазковка Лужок"},
	{L"Лазківська",L"Лазковская"},
	{L"Лазківський",L"Лазковский"},
	{L"Лазо",L"Лазо"},
	{L"Лазурний",L"Лазурный"},
	{L"Ламаний",L"Ломанный"},
	{L"Ланжеронівська",L"Ланжероновская"},
	{L"Латвійська",L"Латвийская"},
	{L"Латвійський",L"Латвийский"},
	{L"Латиських Червоних Стрільців",L"Латышских Красных Стрелков"},
	{L"Лафарга",L"Лафарга"},
	{L"Лахмана Петра",L"Петра Лахмана"},
	{L"Лебедєва Павла",L"Лебедева Павла"},
	{L"Лебедєва",L"Лебедева"},
	{L"Лебедєва-кумача",L"Лебедева Кумача"},
	{L"Лебединська",L"Лебединская"},
	{L"Левадна",L"Левадная"},
	{L"Леваневського",L"Леваневского"},
	{L"Левітана",L"Левитана"},
	{L"Левкойна",L"Левкойная"},
	{L"Легпромівський",L"Легпромовский"},
	{L"Лелеківська",L"Лелековская"},
	{L"Лелюківська",L"Лелюковская"},
	{L"Лелюківський",L"Лелюковский"},
	{L"Леніна",L"Ленина"},
	{L"Ленінградська",L"Ленинградская"},
	{L"Ленінградське шосе",L"Ленинградское шоссе"},
	{L"Ленінська",L"Ленинская"},
	{L"Ленкоранська",L"Ленкоранская"},
	{L"Леонова",L"Леонова"},
	{L"Лепехівська",L"Лепеховская"},
	{L"Лермонтовська",L"Лермонтовская"},
	{L"Лермонтовський",L"Лермонтовский"},
	{L"Лесі Українки",L"Леси Украинки"},
	{L"Лєскова",L"Лескова"},
	{L"Ливарний",L"Литейный"},
	{L"Лиманна",L"Лиманная"},
	{L"Лиманний",L"Лиманный"},
	{L"Лиманська",L"Лиманская "},
	{L"Лиманський",L"Лиманский "},
	{L"Липецька",L"Липецкая"},
	{L"Липи Івана та Юрія",L"Ивана и Юрия Липы"},
	{L"Липнева",L"Июльская"},
	{L"Липова",L"Липовая"},
	{L"Липовий",L"Липовый"},
	{L"Лиса",L"Лысая"},
	{L"Лисенка",L"Лысенко"},
	{L"Лисичанська",L"Лисичанская"},
	{L"Лисогірський",L"Лысогорский"},
	{L"Листяна",L"Лиственная"},
	{L"Листяний",L"Лиственный"},
	{L"Литовська",L"Литовская"},
	{L"Лібкнехта Карла",L"Карла Либкнехта"},
	{L"Лідерсівський",L"Лидеросовский"},
	{L"Ліднянський",L"Леднянский"},
	{L"Лізи Чайкіної",L"Лизы Чайкиной"},
	{L"Лікаря Зіновія Красовицького",L"Доктора Зиновия Красовицкого"},
	{L"Лікаря Івана Дерев`янка",L"Доктора Ивана Деревянко"},
	{L"Лінійна",L"Линейная"},
	{L"Лінійний",L"Линейный"},
	{L"Лісний",L"Лесной"},
	{L"Лісова",L"Лесная"},
	{L"Лісозахисна",L"Лесозащитная"},
	{L"Лісозахисний",L"Лесозащитный"},
	{L"Лісопаркова",L"Лесопарковая"},
	{L"Лісопарковий",L"Лесопарковый"},
	{L"Літакова",L"Самолётная"},
	{L"Літвіновка",L"Литвиновка"},
	{L"Літературна",L"Литературная"},
	{L"Літня",L"Летняя"},
	{L"Лобачевського",L"Лобачевского"},
	{L"Лодзинська",L"Лодзинская"},
	{L"Лозівська",L"Лозовская"},
	{L"Лозовий",L"Лозовой"},
	{L"Локомотивна",L"Локомотивная"},
	{L"Локомотивний",L"Локомотивный"},
	{L"Ломаний",L"Ломаный"},
	{L"Ломоносова",L"Ломоносова"},
	{L"Лопанська",L"Лопанская"},
	{L"Лопанський",L"Лопанский"},
	{L"Лопатинський",L"Лопатинский"},
	{L"Лосівський",L"Лосевский"},
	{L"Луганськ",L"Луганск"},
	{L"Луганська",L"Луганская"},
	{L"Лугівська",L"Луговская"},
	{L"Лугівський",L"Луговской"},
	{L"Лугова",L"Луговая"},
	{L"Луговий",L"Луговой"},
	{L"Лугопаркова",L"Лугопарковая"},
	{L"Лузанівська",L"Лузановская"},
	{L"Лузанівський",L"Лузановский"},
	{L"Лук'янівська",L"Лукьяновская"},
	{L"Луначарського",L"Луначарского"},
	{L"Луніна Контр-адмірала",L"Контр адмирала Лунина"},
	{L"Луцьк",L"Луцк"},
	{L"Луцька",L"Луцкая"},
	{L"Львів",L"Львов"},
	{L"Львівська",L"Львовская"},
	{L"Львівський",L"Львовский"},
	{L"Льговська",L"Льговская"},
	{L"Люботинський",L"Люботинский"},
	{L"Людвіка Свободи",L"Людвика Свободы"},
	{L"Люксембург Рози",L"Розы Люксембург "},
	{L"Люсинська",L"Люсинская"},
	{L"Люстдорфська дорога",L"Люстдорфская дорога"},
	{L"Лютеранський",L"Лютеранский"},
	{L"Лютівська",L"Лютовская"},
	{L"Лютнева",L"Февральская"},
	{L"Лютневий",L"Февральский"},
	{L"Лядова",L"Лядова"},
	{L"Ляпідевського",L"Ляпидевского"},
	{L"Ляпунова Академіка",L"Академика Ляпунова"},
	{L"Ляпунова",L"Ляпунова"},
	
	{L"М`ясоєдовська",L"Мясоедовская"},
	{L"Магаданська",L"Магаданская"},
	{L"Магістральна",L"Магистральная"},
	{L"Магістральна",L"Магистральная"},
	{L"Магнітогорська",L"Магнитогорская"},
	{L"Магнітогорський",L"Магнитогорский"},
	{L"Мазепи Івана",L"Ивана Мазепы"},
	{L"Майкопська",L"Майкопская"},
	{L"Майкопський",L"Майкопский"},
	{L"Майстерний",L"Мастерский"},
	{L"Майстерська",L"Мастерская"},
	{L"Макаренка",L"Макаренко"},
	{L"Макарівська",L"Макаровская"},
	{L"Макіївка",L"Макеевка"},
	{L"Макіївська",L"Макеевская"},
	{L"Макіївський",L"Макеевский"},
	{L"Макова",L"Маковая"},
	{L"Маковий",L"Маковый"},
	{L"Маковського",L"Маковского"},
	{L"Максима Горького",L"Максима Горького "},
	{L"Мала Арнаутська",L"Малая Арнаутская"},
	{L"Мала Корениха",L"Малая Корениха"},
	{L"Мала Садова",L"Малая Садовая"},
	{L"Маланюка Євгена",L"Евгения Маланюка "},
	{L"Малинівська",L"Малиновская"},
	{L"Малиновского",L"Малиновского"},
	{L"Малиновський",L"Малиновский"},
	{L"Малиновського Маршала",L"Маршала Малиновского"},
	{L"Малишева",L"Малышева"},
	{L"Маловського",L"Маловского"},
	{L"Малогончарівська",L"Малогончаровская"},
	{L"Малоджанкойська",L"Малоджанкойская"},
	{L"Малом`ясницька",L"Маломясницкая"},
	{L"Маломосковська",L"Маломосковская"},
	{L"Малопанасівська",L"Мало Панасовская"},
	{L"Маневровий",L"Маневровый"},
	{L"Манежна",L"Манежная"},
	{L"Мар`їнська",L"Марьинская"},
	{L"Мар`яненка",L"Марьяненко"},
	{L"Маразліївська",L"Маразлиевская"},
	{L"Маргариновий",L"Маргариновый"},
	{L"Маріїнська",L"Мариинская"},
	{L"Маріуполь",L"Мариуполь"},
	{L"Маріупольська",L"Мариупольская"},
	{L"Маріупольський",L"Мариупольский"},
	{L"Марка Вовчка",L"Вовчок Марка"},
	{L"Маркса Карла",L"Карла Маркса"},
	{L"Марсельська",L"Марсельская"},
	{L"Марселя Кашена",L"Марселя Кашена"},
	{L"Маршрутна",L"Маршрутная"},
	{L"Масивна",L"Массивная"},
	{L"Масляниківський",L"Масляниковский"},
	{L"Матвієнка",L"Матвиенко"},
	{L"Матеріалістичний",L"Материалистический"},
	{L"Матеріальний",L"Материальный"},
	{L"Матросова Олександра",L"Александра Матросова"},
	{L"Матроська Слободка",L"Матросская слободка"},
	{L"Матроський",L"Матроский"},
	{L"Матюшенка",L"Матюшенко"},
	{L"Махачкалинська",L"Махачкалинская"},
	{L"Мацієвської",L"Мациевской"},
	{L"Мачтова",L"Мачтовая"},
	{L"Машиністів",L"Машинистов"},
	{L"Машинобудівна",L"Машиностроительная"},
	{L"Машинобудівний",L"Машиностроительный"},
	{L"Маяковського",L"Маяковского"},
	{L"Маячний",L"Маячный"},
	{L"Медведєва",L"Медведева"},
	{L"Межлаука",L"Межлаука"},
	{L"Межовий",L"Межевой"},
	{L"Мелітополь",L"Мелитополь"},
	{L"Мелітопольська",L"Мелитопольская"},
	{L"Мельникова",L"Мельникова"},
	{L"Мельницька",L"Мельницкая"},
	{L"Менделєєва",L"Менделеева"},
	{L"Менжинського",L"Менжинского"},
	{L"Мерефянське",L"Мерефянское"},
	{L"Металіста",L"Металлиста"},
	{L"Металістів",L"Металлистов"},
	{L"Металургів",L"Металлургов"},
	{L"Металургійна",L"Металлургическая"},
	{L"Метизний",L"Метизный"},
	{L"Метробудівний",L"Метростроевский"},
	{L"Метробудівників",L"Метростроителей"},
	{L"Метрополітенівський",L"Метрополитеновский"},
	{L"Механізаторів",L"Механизаторов"},
	{L"Механізаторська",L"Механизаторская"},
	{L"Механізаторський",L"Механизаторский"},
	{L"Механічний",L"Механический"},
	{L"Мжовський",L"Мжовский"},
	{L"Мигдальна",L"Миндальная"},
	{L"Мийна",L"Моечная"},
	{L"Микитенка Івана",L"Ивана Микитенко"},
	{L"Микитенка",L"Микитенко"},
	{L"Миколаїв",L"Николаев"},
	{L"Миколаївська дорога",L"Николаевская дорога"},
	{L"Миколи Плигуна",L"Николая Плыгуна"},
	{L"Минайленка Івана",L"Минайленко Ивана"},
	{L"Миргородська",L"Миргородская"},
	{L"Мирна",L"Мирная"},
	{L"Мирний",L"Мирный"},
	{L"Миролюбива",L"Миролюбивая"},
	{L"Мироносицька",L"Мироносицкая"},
	{L"Миру",L"Мира"},
	{L"Мистецтв",L"Искусств"},
	{L"Митна",L"Таможенная"},
	{L"Митракова",L"Митракова"},
	{L"Митрофанівська",L"Митрофановская"},
	{L"Митрофанівський",L"Митрофановский"},
	{L"Михайлівка",L"Михайловка"},
	{L"Михайлівська",L"Михайловская"},
	{L"Міжнародна",L"Международная"},
	{L"Міліції",L"Милиции"},
	{L"Міліціонера",L"Милиционера"},
	{L"Мінераловодська",L"Минераловодская"},
	{L"Мінеральна",L"Минеральная"},
	{L"Мінеральний",L"Минеральный"},
	{L"Мініна",L"Минина"},
	{L"Мінська",L"Минская"},
	{L"Мінський",L"Минский"},
	{L"Міст",L"Мост"},
	{L"Місцева",L"Местная"},
	{L"Міськрадська",L"Горсоветская "},
	{L"Місячна",L"Месячная"},
	{L"Місячний",L"Месячный"},
	{L"Мітингова",L"Митинговая"},
	{L"Мітинговий",L"Митинговый"},
	{L"Міцкевича Адама",L"Адама Мицкевича"},
	{L"Міцкевича",L"Мицкевича"},
	{L"Мічуріна",L"Мичурина"},
	{L"Млиновий",L"Млыновый"},
	{L"Мовчанівський",L"Молчановский"},
	{L"Могилівська",L"Могилёвская"},
	{L"Могилівський",L"Могилевский"},
	{L"Можайська",L"Можайская"},
	{L"Можайського",L"Можайского"},
	{L"Мозирський",L"Мозырский"},
	{L"Моїсеевська",L"Моисеевская"},
	{L"Молдованка",L"Молдованка"},
	{L"Молоді",L"Молодёжи"},
	{L"Молодіжна",L"Молодёжная"},
	{L"Молодогвардійська",L"Молодогвардейская"},
	{L"Молодої Гвардії",L"Молодой Гвардии"},
	{L"Монгольська",L"Монгольская"},
	{L"Монгольський",L"Монгольский"},
	{L"Монтажна",L"Монтажная"},
	{L"Монюшка",L"Монюшко"},
	{L"Морехідний",L"Мореходный"},
	{L"Моріса Тореза",L"Мориса Тореза"},
	{L"Моріса Тореза",L"Тореза"},
	{L"Морозова Павлика",L"Морозова Павлика"},
	{L"Морозова Павлика",L"Павлика Морозова"},
	{L"Морозова",L"Морозова"},
	{L"Морська",L"Морская"},
	{L"Морський",L"Морской"},
	{L"Моршанська",L"Моршанская"},
	{L"Моршанський",L"Моршанский"},
	{L"Москвіна",L"Москвина"},
	{L"Московська",L"Московская"},
	{L"Московський",L"Московский"},
	{L"Мостовий",L"Мостовой"},
	{L"Мотокросна",L"Мотокроссная"},
	{L"Моторна",L"Моторная"},
	{L"Моторний",L"Моторный"},
	{L"Мохначанська",L"Мохначанская"},
	{L"Моцарта",L"Моцарта"},
	{L"Музична",L"Музыкальная"},
	{L"Музичний",L"Музыкальный"},
	{L"Мукачеве",L"Мукачево"},
	{L"Мукачівський",L"Мукачевский"},
	{L"Муравйова",L"Муравьёва"},
	{L"Муранова",L"Муранова"},
	{L"Мурашка Олександра",L"Александра Мурашко"},
	{L"Мурманська",L"Мурманская"},
	{L"Мурмилівський",L"Мурмыловский"},
	{L"Муромська",L"Муромская"},
	{L"Муромський",L"Муромский"},
	{L"Мусорського",L"Мусоргского"},
	{L"Мухіної",L"Мухиной"},
	{L"М'ясний",L"Мясной"},
	
	{L"Набережний",L"Набережный"},
	{L"Набойченка Петра",L"Набойченко Петра"},
	{L"Навігаційний",L"Навигационный"},
	{L"Нагірна",L"Нагорная"},
	{L"Нагірний",L"Нагорный"},
	{L"Надбірна",L"Надборная"},
	{L"Надбырний",L"Надборный"},
	{L"Надеждинська",L"Надеждинская"},
	{L"Наливна",L"Наливная"},
	{L"Нанайський",L"Нанайский"},
	{L"Нарвська",L"Нарвская"},
	{L"Наринська",L"Нарынская"},
	{L"Наріманова",L"Нариманова"},
	{L"Народна",L"Народная"},
	{L"Народовладдя",L"Народовластия"},
	{L"Нарофомінська",L"Нарофоминская"},
	{L"Наумівська",L"Наумовская"},
	{L"Наумівський",L"Наумовский"},
	{L"Нафтовиків",L"Нефтянников"},
	{L"Нахімова",L"Нахимова"},
	{L"Нахічеванський",L"Нахичеванский "},
	{L"Наявний",L"Наличный"},
	{L"Небоженка",L"Небоженко"},
	{L"Невельська",L"Невельская"},
	{L"Невельський",L"Невельский"},
	{L"Невського Олександра",L"Александра Невского"},
	{L"Невського",L"Невского"},
	{L"Недєліна",L"Неделина"},
	{L"Нежданової",L"Неждановой"},
	{L"Незалежності",L"Независимости"},
	{L"Незаможний",L"Незаможный"},
	{L"Некрасова",L"Некрасова"},
	{L"Немировича-Данченка",L"Немировича Данченко"},
	{L"немишлянський",L"немышлянский"},
	{L"Немышлянська",L"Немышлянская"},
	{L"Нерубайська",L"Нерубайская"},
	{L"Нескучна",L"Нескучная"},
	{L"Нестерова",L"Нестерова"},
	{L"Нетеченська",L"Нетеченская"},
	{L"Нетеченський",L"Нетеченский"},
	{L"Нехаєнка",L"Нехаенко"},
	{L"Неходи",L"Неходы"},
	{L"Нечаївський",L"Нечаевский"},
	{L"Нечипуренка",L"Нечипуренко"},
	{L"Нечуй-Левицького",L"Нечуй Левицкого"},
	{L"Нижньогіївська",L"Нижнегиевская"},
	{L"Нижньогородська",L"Нижегородская"},
	{L"Нижньохолодногірська",L"Нижне холодногорская"},
	{L"Нижня П`ятихатська",L"Нижняя Пятихатская"},
	{L"Нижня Прирічна",L"Нижняя Приречная"},
	{L"Нижня",L"Нижняя"},
	{L"Низова",L"Низовая"},
	{L"Никитенка",L"Никитенко"},
	{L"Ніжинська",L"Нежинская"},
	{L"Ніжинський",L"Нежинский"},
	{L"Нікітіна",L"Никитина"},
	{L"Нікітіної Галини",L"Галины Никитиной"},
	{L"Нікітінський",L"Никитинский"},
	{L"Ніколаєва",L"Николаева"},
	{L"Нікольська",L"Никольского"},
	{L"Ніконівська",L"Никоновская"},
	{L"Ніконівський",L"Никоновский"},
	{L"Нікополь",L"Никополь"},
	{L"Нікопольська",L"Никопольская"},
	{L"Нікопольський",L"Никопольский"},
	{L"Німанська",L"Неманская"},
	{L"Німанський",L"Неманский"},
	{L"Ніщинського Композитора",L"Композитора Нищинского"},
	{L"Нова Баварія",L"Новая Бовария"},
	{L"Нова",L"Новая"},
	{L"Новаторів",L"Новаторов"},
	{L"Новгородська",L"Новгородская"},
	{L"Новгородський",L"Новгородский"},
	{L"Новий Побут",L"Новый Быт"},
	{L"Новий",L"Новый"},
	{L"Новиковський",L"Новиковский"},
	{L"Новікова",L"Новикова"},
	{L"Новоалексіївська",L"Новоалексеевская"},
	{L"Новобазарний",L"Новобазарный"},
	{L"Новобакинська",L"Новобакинская"},
	{L"Новоберегова",L"Новобереговая"},
	{L"Новодаргомижсьа",L"Новодаргомыжская"},
	{L"Новодесятисаженна",L"Новодесятисаженная"},
	{L"Новожанівська",L"Новожановская"},
	{L"Новожанівський",L"Новожановский"},
	{L"Новозаводська",L"Новозаводская"},
	{L"Новозаводський",L"Новозаводской"},
	{L"Новоісаївський",L"Новоисаевский"},
	{L"Новокомсомольська",L"Новокомсомольская"},
	{L"Новоконопляний",L"Новоконопляный"},
	{L"Новомирна",L"Новомирная"},
	{L"Новомирський",L"Новомирский"},
	{L"Новомістенська",L"Новоместенская"},
	{L"Новомосковська",L"Новомосковская"},
	{L"Новонабережна",L"Новонабережная"},
	{L"Новоолександрівська",L"Новоалександровская"},
	{L"Новоолександрівський",L"Новоалександровский"},
	{L"Новопригородна",L"Новопригородная"},
	{L"Новопригородний",L"Новопригородный"},
	{L"Новопроектна",L"Новопроектная"},
	{L"Новопролетарська",L"Новопролетарская"},
	{L"Новопрудна",L"Новопрудная"},
	{L"Новоросійська",L"Новороссийская"},
	{L"Новоросійський",L"Новороссийский"},
	{L"Новорубанівський",L"Новорубановский"},
	{L"Новоселищна",L"Новопоселковая"},
	{L"Новоселищний",L"Новопоселковый"},
	{L"Новоселів",L"Новосёлов"},
	{L"Новоселівська",L"Новосёловская"},
	{L"Новоселівський",L"Новосёловский"},
	{L"Новосибірська",L"Новосибирская"},
	{L"Новосільського",L"Новосельского"},
	{L"Новослобідська",L"Новослободская"},
	{L"Новоукраїнський",L"Новоукраинский"},
	{L"Новохарківська",L"Новохарьковская"},
	{L"Новочеркаська",L"Новочеркасская"},
	{L"Новочеркаський",L"Новочеркасский"},
	{L"Новошишковська",L"Новошишковская"},
	{L"Новощіпний ряд",L"Новощепной ряд"},
	{L"Ногайський",L"Ногайский"},
	{L"Ногіна",L"Ногина"},
	{L"Ньютона",L"Ньютона"},
	
	{L"Об`їзна дорога",L"Объездная дорога"},
	{L"Об`їзний",L"Объездной"},
	{L"Обільна",L"Обильная"},
	{L"Обільний",L"Обильный"},
	{L"Обнорського",L"Обнорского"},
	{L"Обознівська",L"Обозновская"},
	{L"Оборони Ленінграда",L"Обороны Ленинграда"},
	{L"Оборони Одеси",L"Обороны Одессы"},
	{L"Обоянська",L"Обоянская"},
	{L"Обривиста",L"Обрывистая"},
	{L"Обривний",L"Обрывной"},
	{L"Обсерваторний",L"Обсерваторный"},
	{L"Обухів",L"Обухов"},
	{L"Обхідний",L"Обходной"},
	{L"Овідіопольська дорога",L"Овидиопольская дорога"},
	{L"Овідіопольська",L"Овидиопольская"},
	{L"Овражна",L"Овражная"},
	{L"Огарьова",L"Огарёва"},
	{L"Огородна",L"Огородная"},
	{L"Одарія",L"Одария"},
	{L"Одеса",L"Одесса"},
	{L"Одеська",L"Одесская"},
	{L"Одеський",L"Одесский"},
	{L"Одоєвського",L"Одоевский"},
	{L"Озерна Балка",L"Озёрная Балка"},
	{L"Озерна",L"Озерная"},
	{L"Озерний",L"Озёрный"},
	{L"Ойротська",L"Ойротская"},
	{L"Ойротський",L"Ойротский"},
	{L"Океанський",L"Океанский"},
	{L"Окорокова",L"Окорокова"},
	{L"Окружна дорога",L"Окружная дорога"},
	{L"Окружна",L"Окружная"},
	{L"Окружний",L"Окружной"},
	{L"Олейниківська",L"Олейняковская"},
	{L"Олександрівка",L"Александровка"},
	{L"Олександрівськая",L"Александровская"},
	{L"Олександрівський",L"Александровский"},
	{L"Олександрівський",L"Александровский"},
	{L"Олександрійська",L"Александрийская"},
	{L"Олексіївська",L"Алексеевская"},
	{L"Олексіївський",L"Алексеевский"},
	{L"Олексіївський",L"Алексеевский"},
	{L"Оленівська",L"Еленинская"},
	{L"Олеші Юрія",L"Юрия Олеши"},
	{L"Олійника Степана",L"Степана Олейника"},
	{L"Олійника",L"Олейника"},
	{L"Олімпійська",L"Олимпийская"},
	{L"Ольвіопольська",L"Ольвиопольская"},
	{L"Ольгинська",L"Ольгинская"},
	{L"Ольгинський",L"Ольгинский"},
	{L"Ольгієвський",L"Ольгиевский"},
	{L"Ольгіївська",L"Ольгиевская"},
	{L"Ольминського",L"Ольминского"},
	{L"Ольховський",L"Ольховский"},
	{L"Омська",L"Омская"},
	{L"Омський",L"Омский"},
	{L"Онегінський",L"Онегинский"},
	{L"Онезька",L"Онежская"},
	{L"Онезька",L"Онежская"},
	{L"Онищенківський",L"Онищенковский"},
	{L"Онілової",L"Ониловой"},
	{L"Оранжерейна",L"Оранжерейная"},
	{L"Оранжерейний",L"Оранжерейный"},
	{L"Орджонікідзе Серго",L"Орджоникидзе"},
	{L"Орджонікідзе",L"Орджоникидзе"},
	{L"Оренбурзька",L"Оренбургская"},
	{L"Орєшкова Сергія",L"Орешкова Сергея"},
	{L"Орликова",L"Орликова"},
	{L"Орловська",L"Орловская"},
	{L"Орловська",L"Орловская"},
	{L"Орловський",L"Орловский"},
	{L"Орська",L"Орская"},
	{L"Орський",L"Орский"},
	{L"Оршанський",L"Оршанский"},
	{L"Осетинська",L"Осетинская"},
	{L"Осетинський",L"Осетинский"},
	{L"Осипенка",L"Осипенко"},
	{L"Осипова",L"Осипова"},
	{L"Осінній",L"Осенний"},
	{L"Осіння",L"Осенняя"},
	{L"Основ`янська",L"Основянская"},
	{L"Основ`янський",L"Основянский"},
	{L"Остапа Вишні",L"Остапа Вишни"},
	{L"Острівна",L"Островная"},
	{L"Острівська",L"Островская"},
	{L"Островського",L"Островского"},
	{L"Острогозька",L"Острогожская"},
	{L"Остроградський",L"Остроградский"},
	{L"Осьмьоркіна",L"Восьмёркина"},
	{L"Офіцерська",L"Офицерская"},
	{L"Офіцерський",L"Офицерский"},
	{L"Охотська",L"Охотская"},
	{L"Охтинська",L"Охтинская"},
	{L"Охтинський",L"Охтинский"},
	{L"Очаківська",L"Очаковская"},
	{L"Очаківський",L"Очаковский"},
	{L"Ощепкова Андрія",L"Андрея Ощепкова"},
	
	{L"П`ята",L"Пятая"},
	{L"П`ятирічки",L"Пятилетки"},
	{L"П`ятисотницька",L"Пятисотницкая"},
	{L"П`ятихатська",L"Пятихатская"},
	{L"Павленковський",L"Павленковский"},
	{L"Павлівська",L"Павловская"},
	{L"Павлова Академіка",L"Академика Павлова"},
	{L"Павлова",L"Павлова"},
	{L"Павлоградська",L"Павлоградская"},
	{L"Павлодарська",L"Павлодарская"},
	{L"Палія Семена",L"Семёна Палия"},
	{L"Палубна",L"Палубная"},
	{L"Пальміро Тольятті",L"Пальмиро Тольятти"},
	{L"Панаса Мирного",L"Панаса Мирного"},
	{L"Панасівський",L"Панасовский"},
	{L"Панкратової Академіка",L"Академика Панкратовой"},
	{L"Пантелеймонівська",L"Пантелеймоновская"},
	{L"Панфілова",L"Панфилова"},
	{L"Панфіловців",L"Панфиловцев"},
	{L"Панфьорова",L"Панфёрова"},
	{L"Парашутистів",L"Парашютистов"},
	{L"Паризької Комуни",L"Парижской Коммуны"},
	{L"Паркова",L"Парковая"},
	{L"Парниковий",L"Парниковый"},
	{L"Паровозна",L"Паровозная"},
	{L"Партизанська",L"Партизанская"},
	{L"Пархоменка",L"Пархоменко"},
	{L"Пасіонарії",L"Пассионарии"},
	{L"Пастера Луї",L"Луи Пастера"},
	{L"Патріотична",L"Патриотическая"},
	{L"Патріотичний",L"Патриотический"},
	{L"Паустовського",L"Паустовского"},
	{L"Пацаєва",L"Пацааева"},
	{L"Пашутінська",L"Пашутинская"},
	{L"Пашутінський",L"Пашутинский"},
	{L"Пащенківська",L"Пащенковская"},
	{L"Педагогічна",L"Педагогическая"},
	{L"Переїзна",L"Переездная"},
	{L"Перекопська",L"Перекопская"},
	{L"Перекопський",L"Перекопский"},
	{L"Перемоги",L"Победы"},
	{L"Переможна",L"Победоносная"},
	{L"Переможців",L"Победителей"},
	{L"Пересипська",L"Пересыпская"},
	{L"Пересипський",L"Пересыпский"},
	{L"Перехресна",L"Перекрестная"},
	{L"Переяславська",L"Переяславская"},
	{L"Пермська",L"Пермская"},
	{L"Пермський",L"Пермский"},
	{L"Перовської Софії",L"Софии Перовской"},
	{L"Перовської",L"Перовской"},
	{L"Перша",L"Первая"},
	{L"Перший",L"Первый"},
	{L"Першотравнева",L"Первомайская"},
	{L"Першотравневий",L"Первомайский"},
	{L"Пестеля",L"Пестеля"},
	{L"Петрашевського",L"Петрашевского"},
	{L"Петрашівський",L"Петрашевский"},
	{L"Петренки",L"Петренки"},
	{L"Петренківський",L"Петренковский"},
	{L"Петрівський",L"Петровский"},
	{L"Петрова Генерала",L"генерала Петрова"},
	{L"Петровського",L"Петровского"},
	{L"Петрозаводська",L"Петрозаводская"},
	{L"Петрозаводський",L"Петрозаводский"},
	{L"Печенізька",L"Печенежская"},
	{L"Печорська",L"Печорская"},
	{L"Печорський",L"Печорский"},
	{L"Пєшкова",L"Пешкова"},
	{L"Пилипівська",L"Филипповская"},
	{L"Пирогова",L"Пирогова"},
	{L"Пироговська",L"Пироговская"},
	{L"Писарєва",L"Писарева"},
	{L"Писарєва",L"Писарева"},
	{L"Писемського",L"Писемского"},
	{L"Пискунівский",L"Пискуновский"},
	{L"Південна дорога",L"Южная дорога"},
	{L"Південна",L"Южная"},
	{L"Південний",L"Южный"},
	{L"Південно-проектна",L"Южно Проектная"},
	{L"Північна",L"Северная"},
	{L"Північний",L"Северный"},
	{L"Північнокавказька",L"Северокавказская"},
	{L"Північнокавказький",L"Северокавказский"},
	{L"Підбоіовська",L"Подборовская"},
	{L"Підвітряний",L"Подветренный"},
	{L"Підгірна",L"Подгорная"},
	{L"Підгірний",L"Подгорный"},
	{L"Підйомна",L"Подъемная"},
	{L"Підлісна",L"Подлесная"},
	{L"Підривний",L"Подрывной"},
	{L"Підшипникова",L"Подшипниковая"},
	{L"Підшипниковий",L"Подшипниковый"},
	{L"Пілотів",L"Пилотов"},
	{L"Пілотна",L"Пилотная"},
	{L"Піонера",L"Пионера"},
	{L"Піонерська",L"Пионерская"},
	{L"Піонерський",L"Пионерский"},
	{L"Піхотна",L"Пехотная"},
	{L"Піхотний",L"Пехотный"},
	{L"Пішонівська",L"Пишоновская"},
	{L"Піщана",L"Песочная"},
	{L"Піщана",L"Песчаная"},
	{L"Піщаний",L"Песчаный"},
	{L"Планерна",L"Планерная"},
	{L"Планерний",L"Планёрный"},
	{L"Планетна",L"Планетная"},
	{L"Планова",L"Плановая"},
	{L"Плановий",L"Плановый"},
	{L"Пластичний",L"Пластичный"},
	{L"Платанова",L"Платановая"},
	{L"Плетнівський",L"Плетневский"},
	{L"Плехановська",L"Плехановская"},
	{L"Плехановський",L"Плехановский"},
	{L"Плиточна",L"Плиточная"},
	{L"Плиточний",L"Плиточный"},
	{L"Плієва Генерала",L"генерала Плиева"},
	{L"Плодовий",L"Плодовый"},
	{L"Пляжева",L"Пляжевая"},
	{L"Повітрянофлотська",L"Воздухофлотская"},
	{L"Повстання",L"Восстания"},
	{L"Погранична",L"Пограничная"},
	{L"Подільска",L"Подольская"},
	{L"Подільський",L"Подольский"},
	{L"Поезії",L"Поэзии"},
	{L"Пожарського",L"Пожарского"},
	{L"Поздовжня",L"Продольная"},
	{L"Познанська",L"Познанская"},
	{L"Поїздна",L"Поездная"},
	{L"Покотилівський",L"Покотиловский"},
	{L"Полєжаєва",L"Полежаева"},
	{L"Ползунова",L"Ползунова"},
	{L"Поліграфічна",L"Полиграфическая"},
	{L"Поліська",L"Полесская"},
	{L"Політехнічна",L"Политехническая"},
	{L"Політкаторжан",L"Политкаторжан"},
	{L"Полтавська",L"Полтавская"},
	{L"Полтавський Шлях",L"Полтавский Шлях"},
	{L"Полтавський",L"Полтавский"},
	{L"Польова",L"Полевая"},
	{L"Польовий",L"Полевой"},
	{L"Польська",L"Польская"},
	{L"Польський",L"Польский"},
	{L"Поля Фільтрації",L"Поля фильтрации"},
	{L"Полярна",L"Полярная"},
	{L"Пом`яловського",L"Помяловского"},
	{L"Пономаренківська",L"Пономаренковская"},
	{L"Пономаренківський",L"Пономаренковский"},
	{L"Пономарівська",L"Пономарёвская"},
	{L"Поперечна",L"Поперечная"},
	{L"Поперечний",L"Поперечный"},
	{L"Попова Космонавта",L"Космонавта Попова"},
	{L"Попова",L"Попова"},
	{L"Портова",L"Портовая"},
	{L"Посівкомівська",L"Посевкомовская"},
	{L"Посівна",L"Посевная"},
	{L"Посмітного",L"Посмитного"},
	{L"Постишева",L"Постышева"},
	{L"Потапенка",L"Потапенко"},
	{L"Потебні",L"Потебни"},
	{L"Потьомкіна",L"Потемкина"},
	{L"Потьомкінська",L"Потёмкинская"},
	{L"Похила",L"Наклонная"},
	{L"Поштова",L"Почтовая"},
	{L"Поштовий",L"Почтовый"},
	{L"Правди",L"Правды"},
	{L"Правдинська",L"Правдинская"},
	{L"Праці",L"Труда"},
	{L"Преображенська",L"Преображенская"},
	{L"Преображенський",L"Преображенский"},
	{L"Пржевальського",L"Пржевальского"},
	{L"Приамурська",L"Приамурская"},
	{L"Приамурський",L"Приамурский"},
	{L"Прибузький",L"Прибужский"},
	{L"Привокзальна",L"Привокзальная"},
	{L"Привокзальний",L"Привокзальный"},
	{L"Приймаковська",L"Приймаковская"},
	{L"Прикордонна",L"Пограничная"},
	{L"Примакова",L"Примакова"},
	{L"Примірівська",L"Примеровская"},
	{L"Приміська",L"Пригородная"},
	{L"Приміський",L"Пригородный"},
	{L"Приморська",L"Приморская"},
	{L"Приморський",L"Приморский"},
	{L"Прирельсова",L"Прирельсовая"},
	{L"Прирічний",L"Приречный"},
	{L"Приходьківська",L"Приходьковская"},
	{L"Приходьківський",L"Приходьковский"},
	{L"Прогонна",L"Прогонная"},
	{L"Прогрес",L"Прогресса"},
	{L"Прогресивна",L"Прогрессивная"},
	{L"Прогресивний",L"Прогрессивный"},
	{L"Проектна",L"Проектная"},
	{L"Проектний",L"Проэктный"},
	{L"Проектуєма",L"Проектируемая"},
	{L"Проїжджий",L"Проезжий"},
	{L"Проїзний",L"Проездной"},
	{L"Прокатна",L"Прокатная"},
	{L"Прокоф`єва",L"Прокофьева"},
	{L"Пролетарська",L"Пролетарская"},
	{L"Пролетарський",L"Пролетарский"},
	{L"Променистий",L"Лучистый"},
	{L"Промислова",L"Промышленная"},
	{L"Промисловий",L"Промышленный"},
	{L"Прорізна",L"Прорезная"},
	{L"Прорізний",L"Прорезной"},
	{L"Проскури Академіка",L"Академика Проскуры"},
	{L"Проскурівська",L"Проскуровская"},
	{L"Проспектна",L"Проспектная"},
	{L"Просьолочна",L"Проселочная"},
	{L"Професорська",L"Профессорская"},
	{L"Профінтерну",L"Профинтерна"},
	{L"Профспилкова",L"Профсоюзная"},
	{L"Профспілкова",L"Профсоюзная"},
	{L"Профспілковий",L"Профсоюзный"},
	{L"Прохоровська",L"Прохоровская"},
	{L"Проценка",L"Проценко"},
	{L"Псарівський",L"Псарёвский"},
	{L"Псільська",L"Псельская"},
	{L"Псковська",L"Псковская"},
	{L"Пугачова",L"Пугачова"},
	{L"Пулківська",L"Пулковская"},
	{L"Пулківський",L"Пулковский"},
	{L"Путепроводний",L"Путепроводный"},
	{L"Путивльськая",L"Путивльская"},
	{L"Путивльський",L"Путивльский"},
	{L"Путилівський",L"Путиловский"},
	{L"Путьова",L"Путевая"},
	{L"Пушкарівська",L"Пушкаревская"},
	{L"Пушкіна",L"Пушкина"},
	{L"Пушкінська",L"Пушкинская"},
	{L"Пушкінський",L"Пушкинский"},
	{L"Пшенична",L"Пшеничная"},
	{L"П'ятигорський",L"Пятигорский"},
	
	{L"Рабіна Іцхака",L"Ицхака Рабина"},
	{L"Радгоспна",L"Совхозная"},
	{L"Радгоспний",L"Совхозный"},
	{L"Радищева",L"Радищева"},
	{L"Радищева",L"Радищева"},
	{L"Радіальна",L"Радиальная"},
	{L"Радіальний",L"Радиальный"},
	{L"Радіо",L"Радио"},
	{L"Радіотехнічна",L"Радиотехническая"},
	{L"Радіотехнічний",L"Радиотехнический"},
	{L"Радісна",L"Радостная"},
	{L"Радісний",L"Радостный"},
	{L"Раднаркомівська",L"Совнаркомовская"},
	{L"Радянська",L"Советская"},
	{L"Радянський",L"Советский"},
	{L"Радянської Армії",L"Советской Армии"},
	{L"Разіна Степана",L"Степана Разина"},
	{L"Райгородська",L"Райгородская"},
	{L"Райгородський",L"Райгородский"},
	{L"Райдужна",L"Радужная"},
	{L"Райдужний",L"Радужный"},
	{L"Райкомівська",L"Райкомовская"},
	{L"Районна",L"Районная"},
	{L"Районний Бульвар",L"Районный Бульвар"},
	{L"Районний",L"Районный"},
	{L"Райрадівський",L"Райсоветовский"},
	{L"Ракетна",L"Ракетная"},
	{L"Ракетний",L"Ракетный"},
	{L"Раскової Марини",L"Марины Расковой"},
	{L"Раскової",L"Расковой"},
	{L"Расторгуївський",L"Расторгуевский"},
	{L"Рачкова",L"Рачкова"},
	{L"Ревкомівська",L"Ревкомовская"},
	{L"Ревкомівський",L"Ревкомовский"},
	{L"Революції 1905 року",L"Революции тысяча девятьсот пятого года"},
	{L"Революції",L"Революции"},
	{L"Реєстраторська",L"Регистраторская"},
	{L"Резервна",L"Резервная"},
	{L"Резервний",L"Резервный"},
	{L"Рекордна",L"Рекордная"},
	{L"Рекордний",L"Рекордный"},
	{L"Рельєфна",L"Рельефная"},
	{L"Реміснича",L"Ремесляная"},
	{L"Ремісничий",L"Ремесленный"},
	{L"Ремісничий",L"Ремесляный"},
	{L"Ремонтна",L"Ремонтная"},
	{L"Репіна",L"Репина"},
	{L"Республіканська",L"Республиканская"},
	{L"Речицький",L"Речицкий"},
	{L"Решетєєва Івана",L"Решетеева"},
	{L"Решетниковський",L"Решетниковский"},
	{L"Рєпіна",L"Репина"},
	{L"Рєпінський",L"Репинский"},
	{L"Ржевський",L"Ржевский"},
	{L"Рибалка Маршала",L"Маршала Рыбалко"},
	{L"Рибальська Балка",L"Рыбацкая балка"},
	{L"Рибальська",L"Рыбацская"},
	{L"Рибальський",L"Рыбацкий"},
	{L"Рибасівська",L"Рыбасовская"},
	{L"Рибасівський",L"Рыбасовский"},
	{L"Рибна",L"Рыбная"},
	{L"Ризовська",L"Ризовская"},
	{L"Ризька",L"Рижская"},
	{L"Ризький",L"Рижский"},
	{L"Рилєєва",L"Рылеева"},
	{L"Римарська",L"Рымарская"},
	{L"Ринковий",L"Рыночный"},
	{L"Рівненська",L"Ровненская"},
	{L"Рівненський",L"Ровненский"},
	{L"Рівний",L"Ровный"},
	{L"Рівности",L"Равенства"},
	{L"Різниківський",L"Резниковский"},
	{L"Річкова",L"Речная"},
	{L"Річковий",L"Речной"},
	{L"Рішельєвська",L"Ришельевская"},
	{L"Робесп'єра",L"Робеспьера"},
	{L"Робкорівська",L"Рабкоровская"},
	{L"Робкорівський",L"Рабкоровский"},
	{L"Робоча",L"Рабочая"},
	{L"Робочий",L"Рабочий"},
	{L"Роганська",L"Роганская"},
	{L"Роганський",L"Роганский"},
	{L"Рогатинський",L"Рогатинский"},
	{L"Родимцева Генерала",L"Генерала Родимцева"},
	{L"Родникова",L"Родниковая"},
	{L"Родниковий",L"Родниковый"},
	{L"Родюча",L"Плодородная"},
	{L"Родючий",L"Плодородный"},
	{L"Роздільський",L"Раздольский"},
	{L"Роздольна",L"Раздольная"},
	{L"Розкидайлівська",L"Розкидайловская"},
	{L"Розова",L"Розовая"},
	{L"Розумовська",L"Розумовская"},
	{L"Розумовський",L"Розумовский"},
	{L"Романа Кармена",L"Романа Кармэна"},
	{L"Ромашкіна",L"Ромашкина"},
	{L"Ромашкова",L"Ромашковая"},
	{L"Ромашковий",L"Ромашковый"},
	{L"Ромашова Бориса",L"Бориса Ромашова"},
	{L"Ромена Ролана",L"Ромена Роллана"},
	{L"Роменська",L"Роменская"},
	{L"Роменський",L"Роменский"},
	{L"Росинського",L"Росинского"},
	{L"Ростовська",L"Ростовская"},
	{L"Ротний",L"Ротный"},
	{L"Рохманівський",L"Рохмановский"},
	{L"Рубанівська",L"Рубановская"},
	{L"Рубіжанський",L"Рубежанский"},
	{L"Рудаківська",L"Рудаковская"},
	{L"Руденка Федора",L"Руденко Федора"},
	{L"Рудика Григорія",L"Рудика Григория"},
	{L"Рудинська",L"Рудинская"},
	{L"Руднєва",L"Руднева"},
	{L"Руднична",L"Рудничная"},
	{L"Рудничний",L"Рудничный"},
	{L"Рульовий",L"Рулевой"},
	{L"Рум`янцева",L"Румянцева"},
	{L"Руставелі Шота",L"Шота Руставели"},
	{L"Руставелі",L"Шота Руставели"},
	{L"Ручайна",L"Ручайная"},
	{L"Рылєєвський",L"Рылеевский"},
	{L"Рымарський",L"Рымарский"},
	{L"Рязанська",L"Рязанская"},
	{L"Рязанський",L"Рязанский"},
	
	{L"Сабанєєв міст",L"Сабанеев мост"},
	{L"Сабанєєва",L"Сабанеева"},
	{L"Сабанський",L"Сабанский"},
	{L"Савранська",L"Савранская"},
	{L"Сагайдачного",L"Сагайдачного"},
	{L"Садибна",L"Усадебная"},
	{L"Садибний",L"Усадебный"},
	{L"Садиковська",L"Садиковская"},
	{L"Садова",L"Садовая"},
	{L"Садовий",L"Садовый"},
	{L"Садово-набережна",L"Садово Набережная"},
	{L"Садовопаркова",L"Садовопарковая"},
	{L"Садовський",L"Садовский"},
	{L"Садовського",L"Садовского"},
	{L"Сакко І Ванцетті",L"Сакко и Ванцетти"},
	{L"Сакко",L"Сакко"},
	{L"Саксаганського",L"Саксаганского"},
	{L"Салганний",L"Салганный"},
	{L"Салтикова-Щедріна",L"Салтыкова Щедрина"},
	{L"Салтівське",L"Салтовское"},
	{L"Салтівський",L"Салтовский"},
	{L"Самаркандська",L"Самаркандская"},
	{L"Самаркандський",L"Самаркандский"},
	{L"Самарська",L"Самарская"},
	{L"Саммерівський",L"Саммеровский"},
	{L"Самодіяльна",L"Самодеятельная"},
	{L"Самодіяльності",L"Самодеятельности"},
	{L"Самокиша",L"Самокиша"},
	{L"Санаторний",L"Санаторный"},
	{L"Санжарівська",L"Санжаревская"},
	{L"Санжарівський",L"Санжаревский"},
	{L"Санітарна",L"Санитарная"},
	{L"Сапельникова",L"Сапельникова"},
	{L"Саперна",L"Саперная"},
	{L"Саперний",L"Саперный"},
	{L"Саранський",L"Саранский"},
	{L"Саратовська",L"Саратовская"},
	{L"Саратовський",L"Саратовский"},
	{L"Саржинська",L"Саржинская"},
	{L"Сахалінська",L"Сахалинская"},
	{L"Сахарова",L"Сахарова"},
	{L"Сахновщинська",L"Сахновщинская"},
	{L"Сватівська",L"Сватовская"},
	{L"Свердлова",L"Свердлова"},
	{L"Свинаренка Петра",L"Свинаренко Петра"},
	{L"Свірська",L"Свирская"},
	{L"Світанка",L"Рассвета"},
	{L"Світла",L"Светлая"},
	{L"Світланівська",L"Светлановская"},
	{L"Світлий",L"Светлый"},
	{L"Світло Шахтаря",L"Свет Шахтёра"},
	{L"Світловодськ",L"Светловодск"},
	{L"Світловодська",L"Светловодская"},
	{L"Світловодський",L"Светловодский"},
	{L"Світлогорська",L"Светлогорская"},
	{L"Світлогорський",L"Светлогорский"},
	{L"Світлофорний",L"Светофорный"},
	{L"Свободи",L"Свободы"},
	{L"Свободи",L"Свободы"},
	{L"Севастопольська",L"Севастопольская"},
	{L"Севастопольський",L"Севастопольский"},
	{L"Сегедська",L"Сегедская"},
	{L"Селекційна",L"Селекционная"},
	{L"Селище Вапняне",L"поселок Известковый"},
	{L"Селище Перемога",L"посёлок Победа"},
	{L"Селище",L"поселок"},
	{L"Селищна",L"Поселковая"},
	{L"Селищний",L"Поселковый"},
	{L"Селявкіна",L"Селявкина"},
	{L"Селянська",L"Сельская"},
	{L"Селянська",L"Селянская"},
	{L"Селянський",L"Селянский"},
	{L"Семафорна",L"Семафорная"},
	{L"Семафорний",L"Семафорный"},
	{L"Семенівський",L"Семёновский"},
	{L"Семиградська",L"Семиградская"},
	{L"Семиградський",L"Семиградский"},
	{L"Семикінська",L"Семикинская"},
	{L"Семінарська",L"Семинарская"},
	{L"Сенявіна",L"Сенявина"},
	{L"Сепараторний",L"Сепараторный"},
	{L"Серафимовича",L"Серафимовича"},
	{L"Сербиченка",L"Сербиченко"},
	{L"Сергіївська",L"Сергеевская"},
	{L"Сергія Лазо",L"Сергея Лазо"},
	{L"Середній В`їзд",L"Средний Въезд"},
	{L"Середній",L"Средний"},
	{L"Середньофонтанська",L"Среднефонтанская"},
	{L"Середньофонтанський",L"Среднефонтанский"},
	{L"Середня",L"Средняя"},
	{L"Сержантська",L"Сержантская"},
	{L"Серп і Молот",L"Серп и Молот"},
	{L"Серпова",L"Серповая"},
	{L"Сестроріцький",L"Сестрорецкий"},
	{L"Сєверодонецька",L"Северодонецкая"},
	{L"Сєверодонецький",L"Северодонецкий"},
	{L"Сєдова",L"Седова"},
	{L"Сєрова",L"Серова"},
	{L"Сєрогодського",L"Серогодского"},
	{L"Сєченова",L"Сеченова"},
	{L"Сибірська",L"Сибирская"},
	{L"Сибірський",L"Сибирский"},
	{L"Сиваська",L"Сивашская"},
	{L"Сиваський",L"Сивашский"},
	{L"Сидоренківська",L"Сидоренковская"},
	{L"Сидоренківський",L"Сидоренковский"},
	{L"Симиренка Льва",L"Льва Симиренка"},
	{L"Симоненка Василя",L"Василия Симоненко"},
	{L"Синельникова",L"Академика Синельникова"},
	{L"Сирзанський",L"Сырзанский"},
	{L"Сирітський",L"Сиротский"},
	{L"Сичівський",L"Сычёвский"},
	{L"Сіверса",L"Сиверса"},
	{L"Сіверська",L"Сиверская"},
	{L"Сількорівський",L"Селькоровский"},
	{L"Сільська",L"Сельская"},
	{L"Сільський",L"Сельский"},
	{L"Сільськогосподарська",L"Сельскохозяйственная"},
	{L"Сільськоосподарський",L"Сельскохозяйственный"},
	{L"Сімферополь",L"Симферополь"},
	{L"Сімферопольська",L"Симферопольская"},
	{L"Сімферопольське",L"Симферопольское"},
	{L"Сімферопольський",L"Симферопольский"},
	{L"Сінна",L"Сенная"},
	{L"Сінний",L"Сенной"},
	{L"Сінявина",L"Синявина"},
	{L"Сіриківська",L"Сериковская"},
	{L"Сіриківський",L"Сериковский"},
	{L"Січневий",L"Январский"},
	{L"Січова",L"Сечевая"},
	{L"Скадовського",L"Скадовского"},
	{L"Скворцова",L"Скворцова"},
	{L"Скидановська",L"Скидановская"},
	{L"Скидановський",L"Скидановский"},
	{L"Складська",L"Складская"},
	{L"Скляна",L"Стекляная"},
	{L"Скляний",L"Стекольный"},
	{L"Склянний",L"Стекольный"},
	{L"Скобелівська",L"Скобелевская"},
	{L"Сковороди Григорія",L"Григория Сковороды"},
	{L"Сковородинська",L"Сковородинская"},
	{L"Сковородинський",L"Сковородинский"},
	{L"Скорохода",L"Скорохода"},
	{L"Скрипковий",L"Скрипичный"},
	{L"Скрипника",L"Скрипника"},
	{L"Скульського",L"Скульского"},
	{L"Скурідіна",L"Скуридина"},
	{L"Слави",L"Славы"},
	{L"Слєпньова",L"Слепнёва"},
	{L"Слинька Петра",L"Слинько Петра "},
	{L"Слобідська",L"Слободская"},
	{L"Слобідський",L"Слободской"},
	{L"Слобожанська",L"Слобожанская"},
	{L"Слов`янська",L"Словянская"},
	{L"Слов`янський",L"Словянский"},
	{L"Словацький",L"Словацкий"},
	{L"Слов'янська",L"Славянская"},
	{L"Службова",L"Служебная"},
	{L"Слюсарний",L"Слесарный"},
	{L"Смирновська",L"Смирновская"},
	{L"Сміливий",L"Смелый"},
	{L"Смілянська",L"Смелянская"},
	{L"Смілянський",L"Смелянский"},
	{L"Смоленська",L"Смоленская"},
	{L"Смоленський",L"Смоленский"},
	{L"Смольна",L"Смольная"},
	{L"Снігурівський",L"Снегиревский"},
	{L"Сніжківська",L"Снежковская"},
	{L"Собінова Леоніда",L"Собинова"},
	{L"Собінова",L"Собинова"},
	{L"Соборна",L"Соборная"},
	{L"Соїча",L"Соича"},
	{L"Соколівський",L"Соколовский"},
	{L"Соколова",L"Соколова"},
	{L"Соколовська",L"Соколовская"},
	{L"Соколовський",L"Соколовский"},
	{L"Сокольниківська",L"Сокольниковская"},
	{L"Солдатська",L"Солдатская"},
	{L"Солдатський",L"Солдатский"},
	{L"Солідарності",L"Солидарности"},
	{L"Солонцеватий",L"Солонцеватый"},
	{L"Солонцюватий",L"Солонцеватый"},
	{L"Соляна",L"Соляная"},
	{L"Соляний",L"Соляной"},
	{L"Соляниківський",L"Соляниковский"},
	{L"Сомівська",L"Сомовская"},
	{L"Сонячна",L"Солнечная"},
	{L"Сонячне",L"Солнечное"},
	{L"Сонячний",L"Солнечный"},
	{L"Сонячногірська",L"Солнечногорская"},
	{L"Соняшникова",L"Подсолнечная"},
	{L"Соняшниковий",L"Подсолнечный"},
	{L"Сорочинська",L"Сорочинская"},
	{L"Сортувальна Набережна",L"Сортировочная набережная"},
	{L"Сортувальна",L"Сортировочная"},
	{L"Сортувальний Набережний",L"Сортировочный набережный"},
	{L"Сортувальний",L"Сортировочный"},
	{L"Соснова",L"Сосновая"},
	{L"Сосновий",L"Сосновый"},
	{L"Сосюри",L"Сосюры"},
	{L"Софіївська",L"Софиевская"},
	{L"Софійська",L"Софиевская"},
	{L"Сохора Антоніна",L"Антонина Сохора"},
	{L"Соціалістична",L"Социалистическая"},
	{L"Соціалістичний",L"Социалистический"},
	{L"Соціальна",L"Социальная"},
	{L"Сочинська",L"Сочинская"},
	{L"Союзна",L"Союзная"},
	{L"Союзний",L"Союзный"},
	{L"Спартака",L"Спартака"},
	{L"Спартаківська",L"Спартаковская"},
	{L"Спартаківський",L"Спартаковский"},
	{L"Спаський",L"Спасский"},
	{L"Спиридонівська",L"Спиридоновская"},
	{L"Спортивна",L"Спортивная"},
	{L"Спортивний",L"Спортивный"},
	{L"Средньоуральська",L"Среднеуральская"},
	{L"Средньоуральський",L"Среднеуральский"},
	{L"Срібна",L"Серебрянная"},
	{L"Ставкова",L"Прудная"},
	{L"Ставковий",L"Прудный"},
	{L"Стадіонний",L"Стадионный"},
	{L"Сталепрокатна",L"Сталепрокатная"},
	{L"Станіславська",L"Станиславская"},
	{L"Станіславський",L"Станиславский"},
	{L"Станіславського",L"Станиславского"},
	{L"Станкобудівельна",L"Станкостроительная"},
	{L"Станкова",L"Станковая"},
	{L"Станковий",L"Станковый"},
	{L"Станційна",L"Станционная"},
	{L"Станційний",L"Станционный"},
	{L"Старицького",L"Старицкого"},
	{L"Старобільський",L"Старобельский"},
	{L"Старова",L"Старова"},
	{L"Староверещаківська",L"Староверещаковская"},
	{L"Староверещаківський",L"Староверещаковский"},
	{L"Старовський",L"Старовский"},
	{L"Старогригорівська",L"Старогригоровская"},
	{L"Стародесятисаженна",L"Стародесятисаженная"},
	{L"Стародубська",L"Стародубская"},
	{L"Старокримська",L"Старокрымская"},
	{L"Старокримський",L"Старокрымский"},
	{L"Старомалооснов`янська",L"Старомалоосновянская"},
	{L"Старомосковська",L"Старомосковская"},
	{L"Старопортофранківська",L"Старопортофранковская"},
	{L"Старосінна",L"Старосенная"},
	{L"Староставкова",L"Старопрудная"},
	{L"Староставковий",L"Старопрудный"},
	{L"Старошишківська",L"Старошишковская"},
	{L"Стартова",L"Стартовая"},
	{L"Стасової Олени",L"Стасовой Елены"},
	{L"Стахановська",L"Стахановская"},
	{L"Стахановський",L"Стахановский"},
	{L"Ствольна",L"Ствольная"},
	{L"Ствольний",L"Ствольный"},
	{L"Стельмаха",L"Стельмаха"},
	{L"Степанівський",L"Степановский"},
	{L"Степняка-Кравчинського",L"Степняка Кравчинского"},
	{L"Степова",L"Степная"},
	{L"Степовий",L"Степной"},
	{L"Степовий",L"Степовой"},
	{L"Стефенсона",L"Стефенсона"},
	{L"Стеценка",L"Стеценка"},
	{L"Стовпова",L"Столбовая"},
	{L"Столєтова",L"Столетова"},
	{L"Столярний",L"Столярный"},
	{L"Стрілецький",L"Стрелецкий"},
	{L"Стрілкова",L"Стрелкова"},
	{L"Строганова",L"Строганова"},
	{L"Струницький",L"Струницкий"},
	{L"Студена",L"Студёная"},
	{L"Студентська",L"Студенческая"},
	{L"Студентський",L"Студенческий"},
	{L"Ступінчастий",L"Ступенчатый"},
	{L"Стуса Василя",L"Василия Стуса"},
	{L"суворівська",L"Суворовская"},
	{L"Суворівська",L"Суворовская"},
	{L"Суворова",L"Суворова"},
	{L"Суворовський",L"Суворовский"},
	{L"Суднобудівна",L"Судостроительная"},
	{L"Суздальські Ряди",L"Суздальские Ряды"},
	{L"Сумгаїтська",L"Сумгаитская"},
	{L"Суми",L"Сумы"},
	{L"Сумська",L"Сумская"},
	{L"Сумський",L"Сумской"},
	{L"Сумсько-Київських Дивізій",L"Сумско Киевских дивизий"},
	{L"Супутників",L"Спутников"},
	{L"Сурикова",L"Сурикова"},
	{L"Сусаніна",L"Сусанина"},
	{L"Сухарівська",L"Сухаревская"},
	{L"Сухарівський",L"Сухаревский"},
	{L"Сухомлинського",L"Сухомлинского"},
	{L"Сухумська",L"Сухумская"},
	{L"Сухумська",L"Сухумская"},
	{L"Сухумський",L"Сухумский"},
	{L"Сучасна",L"Сучасная "},
	{L"Сущенська",L"Сущенская"},
	{L"Східна",L"Восточная"},
	{L"Східний",L"Восточный"},
	{L"сходи Потьомкинські",L"Потёмкинская лестница"},
	
	{L"Таврійська",L"Таврийская"},
	{L"Таврійський",L"Таврийский"},
	{L"Таганська",L"Таганская"},
	{L"Таганський",L"Таганский"},
	{L"Тагільська",L"Тагильская"},
	{L"Тагільський",L"Тагильский"},
	{L"Таджицька",L"Таджикская"},
	{L"Таймирська",L"Таймырская"},
	{L"Таманський",L"Таманский"},
	{L"Тамбовська",L"Тамбовская"},
	{L"Тамбовський",L"Тамбовский"},
	{L"Танєєва",L"Танеева"},
	{L"Танкерна",L"Танкерная"},
	{L"Танкістів",L"Танкистов"},
	{L"Танкова",L"Танковая "},
	{L"Танкопія",L"Танкопия"},
	{L"Тарасівська",L"Тарасовская"},
	{L"Тарасівський",L"Тарасовский"},
	{L"Таращанська",L"Таращанская"},
	{L"Тарутинська",L"Тарутинская"},
	{L"Тарханівський",L"Тархановский"},
	{L"Тархова Сергія",L"Тархова Сергея"},
	{L"Тахіатаська",L"Тахиаташская"},
	{L"Ташкентська",L"Ташкентская"},
	{L"Ташкентський",L"Ташкентский"},
	{L"Тбіліський",L"Тбилисский"},
	{L"Тверська",L"Тверская"},
	{L"Творча",L"Творческая"},
	{L"Театральна",L"Театральная"},
	{L"Театральний",L"Театральный"},
	{L"Тевелєва",L"Тевелева"},
	{L"Текстильна",L"Текстильная"},
	{L"Текстильний",L"Текстильный"},
	{L"Тельмана",L"Тельмана"},
	{L"Теплична",L"Тепличная"},
	{L"Тепличний",L"Тепличный"},
	{L"Тепловозна",L"Тепловозная"},
	{L"Терешкової Валентини",L"Валентины Терешковой"},
	{L"Тернова",L"Терновая"},
	{L"Терновий",L"Терновый"},
	{L"Тернопіль",L"Тернополь"},
	{L"Тернопільська",L"Тернопольская"},
	{L"Тер-Петросяна",L"Тер-Петросяна"},
	{L"Тетянівський",L"Татьяновский"},
	{L"Технічна",L"Техническая"},
	{L"Технічний",L"Технический"},
	{L"Технологічний",L"Технологический"},
	{L"Тещин міст",L"Тёщин мост"},
	{L"Тимірязєва",L"Тимирязева"},
	{L"Тимошенка Олександра",L"Александра Тимошенко"},
	{L"Тимурівців",L"Тимуровцев"},
	{L"Тинякова",L"Тинякова"},
	{L"Тиняковський",L"Тиняковский"},
	{L"Тираспільська",L"Тираспольская"},
	{L"Тираспільський",L"Тираспольский"},
	{L"Тираспольська",L"Тираспольская"},
	{L"Тираспольське",L"Тираспольское"},
	{L"Тираспольський",L"Тираспольский"},
	{L"Титаренківський",L"Титаренковский"},
	{L"Титова",L"Титова"},
	{L"Тиха",L"Тихая"},
	{L"Тихий",L"Тихий"},
	{L"Тихоріцька",L"Тихорецкая"},
	{L"Тищенковська",L"Тищенковская"},
	{L"Тищенковський",L"Тищенковский"},
	{L"Тіниста",L"Тенистая"},
	{L"Тінистий",L"Тенистый"},
	{L"Ткаченківська",L"Ткаченковская"},
	{L"Ткаченківський",L"Ткаченковский"},
	{L"Ткачова",L"Ткачёва"},
	{L"Тобілевича",L"Тобилевича"},
	{L"Тобольська",L"Тобольская"},
	{L"Товариська",L"Товарищеская"},
	{L"Товариський",L"Товарищеский"},
	{L"Товариський",L"Товарищеский"},
	{L"Товарний",L"Товарный"},
	{L"Токарівський",L"Токаревский"},
	{L"Толбухіна",L"Толбухина"},
	{L"Толбухіна",L"Толбухина"},
	{L"Толстого Льва",L"Льва Толстого"},
	{L"Томаковський",L"Томаковский"},
	{L"Томахівський",L"Томаховский"},
	{L"Томська",L"Томская"},
	{L"Томський",L"Томский"},
	{L"Тополева",L"Тополева"},
	{L"Тополева",L"Тополева"},
	{L"Тополевий",L"Тополевый"},
	{L"Топольського",L"Топольского"},
	{L"Топчиївський",L"Топчиевский"},
	{L"Торгова",L"Торговая"},
	{L"Торговий",L"Торговый"},
	{L"Травнева",L"Майская"},
	{L"Травневий",L"Майский"},
	{L"Тракторна",L"Тракторная"},
	{L"Тракторна",L"Тракторная"},
	{L"Тракторний",L"Тракторный"},
	{L"Тракторобудівників",L"Тракторостроителей"},
	{L"Трамвайна",L"Трамвайная"},
	{L"Трамвайний",L"Трамвайный"},
	{L"Транспортна",L"Транспортная"},
	{L"Транспортний",L"Транспортный"},
	{L"Трансформаторна",L"Трансформаторная"},
	{L"Трансформаторний",L"Трансформаторный"},
	{L"Траса Здоров`я",L"Трасса Здоровья"},
	{L"Третя",L"Третья"},
	{L"Трипільський",L"Трипольский"},
	{L"Трінклера",L"Тринклера"},
	{L"Троїцька",L"Троицкая"},
	{L"Тролейбусна",L"Тролейбусная"},
	{L"Тропініна",L"Тропинина"},
	{L"Тростянецький",L"Тростянецкий"},
	{L"Трохимівський",L"Трофимовский"},
	{L"Трубна",L"Трубная"},
	{L"Трубний",L"Трубный"},
	{L"Трудова",L"Трудовая"},
	{L"Трудовий",L"Трудовой"},
	{L"Трудових Резервів",L"Трудовых резервов"},
	{L"Трудящих",L"Трудящихся"},
	{L"Труфанова",L"Труфанова"},
	{L"Тульська",L"Тульская"},
	{L"Тульський",L"Тульский"},
	{L"Тульчинський",L"Тульчинский"},
	{L"Тупий",L"Тупой"},
	{L"Тупиковий",L"Тупиковый"},
	{L"Турбінна",L"Турбинная"},
	{L"Турбінний",L"Турбинный"},
	{L"Турбогенераторна",L"Турбогенераторная"},
	{L"Тургенєва",L"Тургенева"},
	{L"Тургенівська",L"Тургеневская"},
	{L"Тургенівський",L"Тургеневский"},
	{L"Туристська",L"Туристская"},
	{L"Туристський",L"Туристский"},
	{L"Туркестанська",L"Туркестанская"},
	{L"Туркестанський",L"Туркестанский"},
	{L"Тухачевського",L"Тухачевского"},
	{L"Тюленіна Сергія",L"Тюленина Сергея"},
	{L"Тюленіна",L"Тюленина"},
	{L"Тюльпанний",L"Тюльпанный"},
	{L"Тюменський",L"Тюменский"},
	{L"Тянь-Шанська",L"Тяньшанская"},
	
	{L"Убийвовк Лялі",L"Убийвовк Ляли"},
	{L"Уборевича Командарма",L"Командарма Уборевича"},
	{L"Углицький",L"Углический"},
	{L"Угорська",L"Венгерская"},
	{L"Ударна",L"Ударная"},
	{L"Ударний",L"Ударный"},
	{L"Ударників",L"Ударников"},
	{L"Удільний",L"Удельный"},
	{L"Удмуртська",L"Удмуртская"},
	{L"Удмуртський",L"Удмуртский"},
	{L"Удянська",L"Удянская"},
	{L"Удянський",L"Удянский"},
	{L"Ужвій Наталії",L"Наталии Ужвий"},
	{L"Ужгородський",L"Ужгородский"},
	{L"Узбецький",L"Узбекский"},
	{L"України",L"Украины"},
	{L"Українська",L"Украинская"},
	{L"Українська",L"Украинская"},
	{L"Український",L"Украинский"},
	{L"Улітіна",L"Улитина"},
	{L"Ульянова Дмитра",L"Дмитрия Ульянова"},
	{L"Ульянова Олександра",L"Ульянова Александра"},
	{L"Ульянових",L"Ульяновых"},
	{L"Ульянової Марії",L"Марии Ульяновой"},
	{L"Ульяновська",L"Ульяновская"},
	{L"Уманська",L"Уманская"},
	{L"Уманська",L"Уманьская"},
	{L"Умова",L"Умова"},
	{L"Унеченська",L"Унеченская"},
	{L"Унеченський",L"Унеченский"},
	{L"Університетська",L"Университетская"},
	{L"Університетський",L"Университетский"},
	{L"Університетський",L"Университетский"},
	{L"Уральська",L"Уральская"},
	{L"Уральський",L"Уральский"},
	{L"Урицького",L"Урицкого"},
	{L"Урожайна",L"Урожайная"},
	{L"Урожайний",L"Урожайный"},
	{L"Усатовська",L"Усатовская"},
	{L"Усівський",L"Усовский"},
	{L"успенська",L"Успенская"},
	{L"успенський",L"Успенский"},
	{L"Успенського",L"Успенского"},
	{L"Усурійська",L"Уссурийская"},
	{L"Утьосова",L"Утёсова"},
	{L"Училищна",L"Училищная"},
	{L"Училищний",L"Училищный"},
	{L"Учительский",L"Учительский"},
	{L"Учнівська",L"Ученическая"},
	{L"Ушакова Адмірала",L"Адмирала Ушакова"},
	{L"Ушакова",L"Ушакова"},
	{L"Ушинського",L"Ушинского"},
	
	{L"Фабрична",L"Фабричная"},
	{L"Фабріціуса",L"Фабрициуса"},
	{L"Фадєєва",L"Фадеева"},
	{L"Фанінський",L"Фанинский"},
	{L"Фасадна",L"Фасадная"},
	{L"Фастівський",L"Фастовский"},
	{L"Федоренка Маршала",L"Федоренко"},
	{L"Федорівська",L"Федоровская"},
	{L"Федорова Художника",L"Художника Фёдорова"},
	{L"Фейєрбаха",L"Фейербаха"},
	{L"Фельдшерська",L"Фельдшерская"},
	{L"Феодосійська",L"Феодосийская"},
	{L"Ферганська",L"Ферганская"},
	{L"Ферганський",L"Ферганский"},
	{L"Фесенківська",L"Фесенковская"},
	{L"Фесенківський",L"Фесенковский"},
	{L"Фестивальна",L"Фестивальная"},
	{L"Фестивальний",L"Фестивальный"},
	{L"Фігнер Віри",L"Фигнер Веры"},
	{L"Фізкультурна",L"Физкультурная"},
	{L"Фізкультурний",L"Физкультурный"},
	{L"Філатова Академіка",L"Академика Филатова"},
	{L"Філатова",L"Филатова"},
	{L"Філіппова Академіка",L"Академика Филиппова"},
	{L"Фіньківський",L"Феньковский"},
	{L"Фісановича",L"Фисановича"},
	{L"Флотська",L"Флотская"},
	{L"Флотський",L"Флотский"},
	{L"Фонвізіна",L"Фонвизина"},
	{L"Фонтанська дорога",L"Фонтанская дорога"},
	{L"Франка Івана",L"Ивана Франка"},
	{L"Франківська",L"Франковская"},
	{L"Франківський",L"Франковский"},
	{L"Франтішека Крала",L"Франтишека Крала"},
	{L"Французький",L"Французский"},
	{L"Фроловський",L"Фроловский"},
	{L"Фронтова",L"Фронтовая"},
	{L"Фронтовиків",L"Фронтовиков"},
	{L"Фруктовий",L"Фруктовый"},
	{L"Фрунзе",L"Фрунзе"},
	{L"Фурманова",L"Фурманова"},
	
	{L"Хабарова",L"Хабарова"},
	{L"Хабаровська",L"Хабаровская"},
	{L"Хабаровський",L"Хабаровский"},
	{L"Хавкіна Володимира",L"Владимира Хавкина"},
	{L"Хаджибеївська дорога",L"Хаджибеевская дорога"},
	{L"Хаджибеївський",L"Хаджибеевский"},
	{L"Халтуріна",L"Халтурина"},
	{L"Харків",L"Харьков"},
	{L"Харківська",L"Харьковская"},
	{L"Харківських Дивізій",L"Харьковских Дивизий"},
	{L"Хасанський",L"Хасанский"},
	{L"Хатишівський",L"Хатышевский"},
	{L"Хвойний",L"Хвойный"},
	{L"Хемзівська",L"Хэмзовская"},
	{L"Херсонська",L"Херсонская"},
	{L"Херсонський",L"Херсонский"},
	{L"Хибиногорський",L"Хибиногорский"},
	{L"Хімічна",L"Химическая"},
	{L"Хімічний",L"Химический"},
	{L"Хліборобна",L"Хлеборобная"},
	{L"Хмельницький",L"Хмельницкий"},
	{L"Хмельницького Богдана",L"Богдана Хмельницкого"},
	{L"Хмельницького",L"Хмельницкого"},
	{L"Холмогорська",L"Холмогорская"},
	{L"Холодногірська",L"Холодногорская"},
	{L"Хорольська",L"Хорольская"},
	{L"Хорошенко Саши",L"Саши Хорошенко"},
	{L"Хорошівський",L"Хорошевский"},
	{L"Храмова",L"Храмова"},
	{L"ХТЗ",L"ХэТэЗэ"},
	{L"Хутірська",L"Хуторская"},
	{L"Хутірський",L"Хуторской"},
	{L"Хуторянська",L"Хуторянская"},
	
	{L"Царське Село",L"Царское село"},
	{L"Цветаєва Генерала",L"Генерала Цветаева"},
	{L"Цебриковська",L"Цебриковская"},
	{L"Цегельний",L"Кирпичный"},
	{L"Цегельнозаводська",L"Кирпичнозаводская"},
	{L"Цегляний",L"Кирпичный"},
	{L"Цементна",L"Цементная"},
	{L"Центральна",L"Центральная"},
	{L"Центральний",L"Центральный"},
	{L"Центрально-Аеропортівська",L"Центрально аэропортовская"},
	{L"Цепківська",L"Цепковская"},
	{L"Церковна",L"Церковная"},
	{L"Цехівська",L"Цеховская"},
	{L"Цеховий",L"Цеховой"},
	{L"Цигарівський",L"Цыгарёвский"},
	{L"Цимлянська",L"Цымлянская"},
	{L"Цимлянський",L"Цимлянский"},
	{L"Цитівська",L"Цитовская"},
	{L"Цілинна",L"Целинная"},
	{L"Цілиноградська",L"Целиноградская"},
	{L"Ціолковського",L"Циолковского"},
	{L"Цюрупи",L"Цюрупы"},
	
	{L"Чаадаєва",L"Чаадаева"},
	{L"Чайкіної Лізи",L"Лизы Чайкиной"},
	{L"Чайковського",L"Чайковского"},
	{L"Чайковського",L"Чайковского"},
	{L"Чапаєва",L"Чапаева"},
	{L"Чапаєвський",L"Чапаевский"},
	{L"Чапаєвської Дивізії",L"Чапаевской дивизии"},
	{L"Чаплигінський",L"Чаплыгинский"},
	{L"Чебишева",L"Чебышева"},
	{L"Чебоксарський",L"Чебоксарский"},
	{L"Чекаліна",L"Чекалина"},
	{L"Челюскіна Семена",L"Челюскина Семёна"},
	{L"Челюскінців",L"Челюскинцев"},
	{L"Челябінська",L"Челябинская"},
	{L"Челябінський",L"Челябинский"},
	{L"Чепіги Отамана",L"Атамана Чепыги"},
	{L"Червона Алея",L"Красная Аллея"},
	{L"Червона Поляна",L"Красная Поляна"},
	{L"Червона",L"Красная"},
	{L"Червоний Промінь",L"Красный Луч"},
	{L"Червоний",L"Красный"},
	{L"Червоних Зорь",L"Красных Зорь"},
	{L"Червоних Партизан",L"Красных Партизан"},
	{L"Червоних Старшин",L"Красных Старшин"},
	{L"Червоні ряди",L"Красные ряды"},
	{L"Червоноармійська",L"Красноармейская"},
	{L"Червоноармійський",L"Красноармейский"},
	{L"Червонобаварська",L"Краснобаварская"},
	{L"Червоногвардійська",L"Красногвардейская"},
	{L"Червоногвардійське",L"Красногвардейское"},
	{L"Червоногвардійський",L"Красногвардейский"},
	{L"Червоного Козацтва",L"Красного Казачества"},
	{L"Червоного Льотчика",L"Красного Летчика"},
	{L"Червоного Міліціонера",L"Красного Милиционера"},
	{L"Червоноград",L"Красноград"},
	{L"Червонодорожній",L"Червоношляховий"},
	{L"Червоножовтнева",L"Краснооктябрьская"},
	{L"Червонозірська",L"Краснозорская"},
	{L"Червонозорівська",L"Краснозвёздовская"},
	{L"Червоної Зірки",L"Красной Звезды"},
	{L"Червономаяцька",L"Красномаяцкая"},
	{L"Червонопартизанська",L"Краснопартизанская"},
	{L"Червонопартизанський",L"Краснопартизанский"},
	{L"Червонопрапорна",L"Краснознаменная"},
	{L"Червонопрапорний",L"Краснознамённый"},
	{L"Червонослобідська",L"Краснослободская"},
	{L"Червонослобідський",L"Краснослободской"},
	{L"Червоностудентський",L"Красностуденческий"},
	{L"Червоноуральська",L"Красноуральская"},
	{L"Червонофлотська",L"Краснофлотская"},
	{L"Червонофлотський",L"Краснофлотский"},
	{L"Червоношкільна",L"Красношкольная"},
	{L"Чередниченківська",L"Чередниченковская"},
	{L"Чередниченківський",L"Чередниченковский"},
	{L"Черемушна",L"Черемушная"},
	{L"Черемушний",L"Черемушный"},
	{L"Черепанових",L"Черепановых"},
	{L"Черепіна",L"Черепина"},
	{L"Черкаси",L"Черкассы"},
	{L"Черкаська",L"Черкасская"},
	{L"Черкаський",L"Черкасский"},
	{L"Черникова",L"Черникова"},
	{L"Чернишевського",L"Чернышевского"},
	{L"Чернівецька",L"Черновицкая"},
	{L"Чернівецький",L"Черновицкий"},
	{L"Чернігів",L"Чернигов"},
	{L"Чернігівська",L"Черниговская"},
	{L"Чернігівський",L"Черниговский"},
	{L"Черновицький",L"Черновицкий"},
	{L"Черняховського",L"Черняховского"},
	{L"Четверта",L"Четвертая"},
	{L"Четвертий",L"Четвертый"},
	{L"Чехова Антона",L"Антона Чехова"},
	{L"Чехова",L"Чехова"},
	{L"Чигиринська",L"Чигиринская"},
	{L"Чигіріна",L"Чигирина"},
	{L"Чиплигінський",L"Чиплыгинский"},
	{L"Чистоклітівська",L"Чистоклетовская"},
	{L"Чистоклітівський",L"Чистоклетовский"},
	{L"Чичибабіна Бориса",L"Бориса Чичибабина"},
	{L"Чкалова",L"Чкалова"},
	{L"Чоботарскій",L"Чеботарский"},
	{L"Чоботарська",L"Чеботарская"},
	{L"Човновий",L"Лодочный"},
	{L"Чорноземна",L"Черноземная"},
	{L"Чорноморськ",L"Черноморск"},
	{L"Чорноморська",L"Черноморская"},
	{L"Чорноморський",L"Черноморский"},
	{L"Чорноморського Козацтва",L"Черноморского козачества"},
	{L"Чубаївка",L"Чубаевка"},
	{L"Чубаївська",L"Чубаевская"},
	{L"Чубаївський",L"Чубаевский"},
	{L"Чубаря",L"Чубаря"},
	{L"Чуваська",L"Чувашская"},
	{L"Чугуєвська",L"Чугуевская"},
	{L"Чугуїв",L"Чугуев"},
	{L"Чугуївська",L"Чугуевская"},
	{L"Чугуївський",L"Чугуевский"},
	{L"Чукотська",L"Чукотская"},
	{L"Чукотський",L"Чукотский"},
	{L"Чумаківський",L"Чумаковский"},
	
	{L"Шаляпіна",L"Шаляпина"},
	{L"Шампанський",L"Шампанский"},
	{L"Шаповалівський",L"Шаповаловский"},
	{L"Шарикова",L"Шариковая"},
	{L"Шариковий",L"Шариковый"},
	{L"Шатила",L"Шатило"},
	{L"Шатилова Дача",L"Шатилова Дача"},
	{L"Шаумяна",L"Шаумяна"},
	{L"Шаховий",L"Шахматный"},
	{L"Шахтарська",L"Шахтёрская"},
	{L"Шахтинський",L"Шахтинский"},
	{L"Шведський",L"Шведский"},
	{L"Швигіна Генерала",L"Генерала Швыгина"},
	{L"Швидкісна",L"Скоростная"},
	{L"Швидкісний",L"Скоростной"},
	{L"Шевченка",L"Шевченко"},
	{L"Шевченківський",L"Шевченковский"},
	{L"Шекспіра",L"Шекспира"},
	{L"Шепетівка",L"Шепетовка"},
	{L"Шепетівська",L"Шепетовская"},
	{L"Шепетівський",L"Шепетовский"},
	{L"Шестакова",L"Шестакова"},
	{L"Шестопарк",L"Шестопарк"},
	{L"Шефська",L"Шефская"},
	{L"Шилова",L"Шилова"},
	{L"Шиловський",L"Шиловский"},
	{L"Широніна",L"Широнина"},
	{L"Ширшова",L"Ширшова"},
	{L"Ширяєва Петра",L"Ширяева Петра"},
	{L"Шишкарівська",L"Шишкарёвская"},
	{L"Шишківська",L"Шишковская"},
	{L"Шишківський",L"Шишкинский"},
	{L"Шишкіна",L"Шишкина"},
	{L"Шканди",L"Шканды"},
	{L"Шкільна",L"Школьная"},
	{L"Шкільний",L"Школьный"},
	{L"Шкіряна",L"Кожевенная"},
	{L"Шклярука Павла",L"Павла Шклярука"},
	{L"Шкодова Гора",L"Шкодова Гора"},
	{L"Шліхтера",L"Шлихтера"},
	{L"Шлюзова",L"Шлюзовая"},
	{L"Шмидта Отто",L"Отто Шмидта"},
	{L"Шмідта Лейтенанта",L"Лейтенанта Шмидта"},
	{L"Шовкуненка",L"Шолкуненко"},
	{L"Шолом-Алейхема",L"Шолом-Алейхема"},
	{L"Шолохова",L"Шолохова"},
	{L"Шосейний",L"Шоссейный"},
	{L"Шоста",L"Шестая"},
	{L"Шосткінська",L"Шосткинская"},
	{L"Шосткінський",L"Шосткинский"},
	{L"Шпаківський",L"Шпаковский"},
	{L"Шполянська",L"Шполянская"},
	{L"Штабний",L"Штабной"},
	{L"Штерівська",L"Штеровская"},
	{L"Штильова",L"Штилевая"},
	{L"Штурвальна",L"Штурвальная"},
	{L"Штурмова",L"Штурмовая"},
	{L"Шуберт",L"Шуберта"},
	{L"Шульженко Клавдії",L"Шульженко Клавдии"},
	{L"Шумана",L"Шумана"},
	{L"Шумілова Генерала",L"Генерала Шумилова"},
	{L"Шумілова",L"Шумилова"},
	{L"Шухевича",L"Шухевича"},
	{L"Щаслива",L"Счастливая"},
	{L"Щасливий",L"Счастливый"},
	{L"Щеголева",L"Щёголева"},
	{L"Щедринська",L"Щедринская"},
	{L"Щедринський",L"Щедринский"},
	{L"Щепкина",L"Щепкина"},
	{L"Щепкіна",L"Щепкина"},
	{L"Щепний",L"Щепной"},
	{L"Щербакова",L"Щербакова"},
	{L"Щигрівська",L"Щигровская"},
	{L"Щорса Миколи",L"Щорса"},
	{L"Щорса",L"Щорса"},
	{L"Щукіна",L"Щукина"},
	
	{L"Ювілейна",L"Юбилейная"},
	{L"Ювілейний",L"Юбилейный"},
	{L"Югорський",L"Югорский"},
	{L"Юдницький",L"Родниковый"},
	{L"Юмашева",L"Юмашева"},
	{L"Юмтовський",L"Юмтовский"},
	{L"Юнатів",L"Юнатов"},
	{L"Юнацька",L"Юношеская"},
	{L"Юнацький",L"Юношеский"},
	{L"Юннатів",L"Юннатов"},
	{L"Юного Ленінця",L"Юного Ленинца"},
	{L"Юності",L"Юности"},
	{L"Юр`ївська",L"Юрьевская"},
	{L"Юр`ївський",L"Юрьевский"},
	{L"Юр'єва Академіка",L"Академика Юрьева"},
	{L"Юридична",L"Юридическая"},
	
	{L"Яблочкіна",L"Яблочкина"},
	{L"Яблочкіної",L"Яблочкиной"},
	{L"Яблунева",L"Яблоневая"},
	{L"Яблуневий",L"Яблоневый"},
	{L"Яблучна",L"Яблочная"},
	{L"Ядова Сергія",L"Сергея Ядова"},
	{L"Якимівський",L"Якимовский"},
	{L"Якіра",L"Якира"},
	{L"Якірний",L"Якорный"},
	{L"Якубівський",L"Якубовский"},
	{L"Якутська",L"Якутская"},
	{L"Якутський",L"Якутский"},
	{L"Ялинкова",L"Ёлочная"},
	{L"Ялинковий",L"Ёлочный"},
	{L"Ялтинська",L"Ялтинская"},
	{L"Ялтинський",L"Ялтинский"},
	{L"Ямська",L"Ямская"},
	{L"Ямчитського",L"Ямчитского"},
	{L"Янки Купали",L"Янки Купало"},
	{L"Яновського Юрія",L"Юрия Яновского"},
	{L"Яновського",L"Яновского"},
	{L"Яремівський",L"Яремовский"},
	{L"Ярова",L"Яровая"},
	{L"Яровий",L"Яровой"},
	{L"Ярослава Мудрого",L"Ярослава Мудрого"},
	{L"Ярославська",L"Ярославская"},
	{L"Яроша Отакара",L"Отакара Яроша"},
	{L"Ярошенка",L"Ярошенко"},
	{L"Яружна",L"Овражная"},
	{L"Яружний",L"Овражный"},
	{L"Ясенева",L"Ясеневая"},
	{L"Ясіновського Академіка",L"Академика Ясиновского"},
	{L"Ясна",L"Ясная"},
	{L"Ясні Зорі",L"Ясные Зори"},
	{L"Ясногородська",L"Ясногородская"},

	{L"(Дача Ковалевського)",L"дача ковалевского"},
	{L"(Дерибасівка)",L"дерибасовка"},
	{L"(Чубаївка)",L"чубаевка"},
	{L"(Шевченка)",L"Шевченко"},
	{L"Лінія",L"Линия"},
	{L"Плетений",L"Плетёный"},
	{L"(Залізничний)",L"Железнодорожный"},
	{L"Батареї",L"Батареи"},

	{L"(.*)",L" %1 "},
	{L"%s+%d.%d%s+",L" "},
	{L"Січня%s+",L"Января "},
	{L"Лютого%s+",L"Февраля "},
	{L"Березня%s+",L"Марта "},
	{L"Квітня%s+",L"Апреля "},
	{L"Травня%s+",L"Мая "},
	{L"Липня%s+",L"Июня "},
	{L"Червня%s+",L"Июля "},
	{L"Серпня%s+",L"Августа "},
	{L"Вересня%s+",L"Сентября "},
	{L"Жовтня%s+",L"Октября "},
	{L"Листопада%s+",L"Ноября "},
	{L"Грудня%s+",L"Декабря "},
	{L"Алея%s+",L"Аллея "},
	{L"В`їзд%s+",L"Въезд "},
	{L"Виїзд%s+",L"Выезд "},
	{L"Вулиця%s+",L"Улица "},
	{L"Вул%.",L"Улица "},
	{L"Дорога Без Имени",L" "},
	{L"Лінія%s+",L"Линия"},
	{L"Міст%s+",L"Мост "},
	{L"Набережна%s+",L"Наабережная "},
	{L"Мікр%.",L"Микрорайон "},
	{L"Переїзд%s+",L"Переезд "},
	{L"Площа%s+",L"Площадь "},
	{L"Провулок%s+",L"Переулок "},
	{L"Пров%.",L"Переулок "},
	{L"Проїзд%s+",L"Проезд "},
	{L"Траса%s+",L"Трасса "},
	{L"Узвіз%s+",L"Спуск "},
	{L"Шосе%s+",L"Шоссе "},
	{L"Років%s+",L"Лет "},
	{L"Річчя%s+",L"Летия "},
	{L"ятирічки%s+",L"этилетки "},
	{L"[sS][tT]%.",L"Sankt "},
	{L"2%-%И%й%s+", L"Второй"},
	{L"1905 Го", L"Девятьсот пятого"},
	{L"1812 Го", L"Восемьсот двенадцатого"},
	{L"Летия", L"ле тиа"},
	{L"(.*)улица",L"Улица %1"},
	{L"(.*)набережная",L"Набережная %1"},
	{L"Б",L"б"},
	{L"П`",L"П"},
	{L"є",L"е"},
	{L"Є",L"Е"},
	{L"ї",L"йи"},
	{L"Ї",L"йи"},
	{L"ьо",L"ё"},
	{L"і",L"и"},
	{L"І",L"И"},
	{L"ґ",L"г"},
	{L"`",L"ь"},
	{L"’",L"ъ"},
	{L"ська",L"ская"},
	{L"ськ",L"ск"},
	{L"цька",L"цкая"},
	{L"%sр%.%s+",L" Реки "},
	{L"Бульв%.",L"Бульвар "},
	{L"Дор%. Без Имени",L" "},
	{L"Пл%.",L"Площадь "},
	{L"Просп%.",L"Проспект "},
	{L"Проезб%s+",L"Проезд "},
	{L"Пр%s?-%s?т%s+",L"Проспект "},
	{L"Ш%.",L"Шоссе "},
	{L"Ш%s+",L"Шоссе "},
	{L"ш%.",L"Шоссе "},
	{L"Ул%.",L"Улица "},
	{L"Туп%.",L"Тупик "},
	{L"Пр%-д%s+",L"Проезд "},
	{L"Пр%.",L"Проезд "},
	{L"Пер%.",L"Переулок "},
	{L"Наб%.",L"Набережная "},
	{L"Наб%s+",L"Набережная "},
	{L"Ст%.",L"Станция "},
	{L"Бул(ьв)?%.",L"Бульвар "},
	{L"Км%.",L"Километр "},
	{L"Екад%s+",L"Кольцевая Автодорога "},
	{L"Кад%s+",L"Кольцевая Автодорога "},
	{L"Бол.%s",L"Большая "},
	{L"Верхние Поля%s+",L"Верхние полала "},
	{L"Воробьевское%s+",L"Воробьёвское "},
	{L"Влксм%s+",L"Комсомола "},
	{L"Нижние%s+Поля%s+",L"Нижние Полала "},
	{L"БОЛ",L"Большая"},
	{L"Бол%.",L"Большая "},
	{L"БОРОВСКОЕ",L"Боровское"},
	{L"БРАТЕЕВО",L"Братеево"},
	{L"БРОННИЦЫ",L"Бронницы"},
	{L"ВЕШКИ",L"Вешки"},
	{L"ВЛКСМ",L"Комсомола"},
	{L"ВОЛОКОЛАМСК",L"Волоколамск"},
	{L"ВОСКРЕСЕНСК",L"Воскресенск"},
	{L"ДЖУБГА",L"Джубга"},
	{L"КРАСНОГОРСК",L"Красногорск"},
	{L"КРАСНОПРЕСНЕНСКАЯ",L"Краснопресненская"},
	{L"Летчика%s+Бабушкина%s+",L"Летчика Бабушкина "},
	{L"Нижние Поля",L"Нижние Полала"},
	{L"[Нн][%.%s] Новгород[%,%s]",L"Нижний Новгород"},
	{L"N. Novgorod",L"Нижний Новгород"},
	{L"НОГИНСК",L"Ногинск"},
	{L"НОСОВИХИНСКОЕ",L"Носовихинское"},
	{L"ОЧАКОВО",L"Очаково"},
	{L"ПОДОЛЬСК",L"Подольск"},
	{L"ПУТИЛКОВСКОЕ",L"Путилковское"},
	{L"СКОЛКОВО",L"Сколково"},
	{L"СОЛНЦЕВО",L"Солнцево"},
	{L"СОЛНЕЧНОГОРСК",L"Солнечногорск"},
	{L"ТУЛЬСКАЯ",L"Тульская"},
	{L"ХИМКИ",L"Химки"},
	{L"ЩЕРБИНКА",L"Щербинка"},
	{L"Brateyevo%s+",L"Братеево "},
	{L"Domodedowo%s+",L"Домодедово "},
	{L"Dzhubga%s+",L"Джубга "},
	{L"Khimki%s+",L"Химки "},
	{L"Podol'Sk%s+",L"Подольск "},
	{L"Sheremetyevo%s+",L"Шереметьево "},
	{L"Shcherbinka%s+",L"Щербинка "},
	{L"Volokolamsk%s+",L"Волоколамск "},
	{L"St%.",L"Sankt "},
	{L"(.*)%s+Ул%s+",L"%1 Улица"},
	{L"(.*)%s+Пр%s+",L"Проезд %1"},
--;**********************************************************************
	{L"(.*)%s+800[%-%s]Риччя%s+(.*)",L"%1 восемьсотлетия %2"},
	{L"(.*)%s+700[%-%s]Риччя%s+(.*)",L"%1 семьсотлетия %2"},
	{L"(.*)%s+200[%-%s]Риччя%s+(.*)",L"%1 двухсотлетия %2"},
	{L"(.*)%s+100[%-%s]Риччя%s+(.*)",L"%1 столетия %2"},
	{L"(.*)%s+10[%-%s]Риччя%s+(.*)",L"%1 десятилетия %2"},
	{L"(.*)%s+25[%-%s]Риччя%s+(.*)",L"%1 двадцатипятилетия %2"},
	{L"(.*)%s+40[%-%s]Риччя%s+(.*)",L"%1 сорокалетия %2"},
	{L"(.*)%s+50[%-%s]Риччя%s+(.*)",L"%1 пятидесятилетия %2"},
	{L"(.*)%s+60[%-%s]Риччя%s+(.*)",L"%1 шестидесятилетия %2"},

	{L"(.*)%s+10[%-%s]?Т?а%s+(.*)",L"%1 Десятая %2"},
	{L"(.*)%s+11[%-%s]?Т?а%s+(.*)",L"%1 Одиннадцатая %2"},
	{L"(.*)%s+12[%-%s]?Т?а%s+(.*)",L"%1 Двенадцатая %2"},
	{L"(.*)%s+13[%-%s]?Т?а%s+(.*)",L"%1 Тринадцатая %2"},
	{L"(.*)%s+14[%-%s]?Т?а%s+(.*)",L"%1 Четырнадцатая %2"},
	{L"(.*)%s+15[%-%s]?Т?а%s+(.*)",L"%1 Пятнадцатая %2"},
	{L"(.*)%s+16[%-%s]?Т?а%s+(.*)",L"%1 Шестнадцатая %2"},
	{L"(.*)%s+17[%-%s]?Т?а%s+(.*)",L"%1 Семнадцатая %2"},
	{L"(.*)%s+18[%-%s]?Т?а%s+(.*)",L"%1 Восемнадцатая %2"},
	{L"(.*)%s+19[%-%s]?Т?а%s+(.*)",L"%1 Девятнадцатая %2"},
	{L"(.*)%s+20[%-%s]?Т?а%s+(.*)",L"%1 Двадцатая %2"},
	{L"(.*)%s+21[%-%s]?Ш?а%s+(.*)",L"%1 Двадцать первая %2"},
	{L"(.*)%s+22[%-%s]?Г?а%s+(.*)",L"%1 Двадцать вторая %2"},
	{L"(.*)%s+23[%-%s]?Т?я%s+(.*)",L"%1 Двадцать третья %2"},
	{L"(.*)%s+24[%-%s]?Т?а%s+(.*)",L"%1 Двадцать четвертая %2"},
	{L"(.*)%s+25[%-%s]?Т?а%s+(.*)",L"%1 Двадцать пятая %2"},
	{L"(.*)%s+26[%-%s]?Т?а%s+(.*)",L"%1 Двадцать шестая %2"},
	{L"(.*)%s+27[%-%s]?М?а%s+(.*)",L"%1 Двадцать седьмая %2"},
	{L"(.*)%s+28[%-%s]?М?а%s+(.*)",L"%1 Двадцать восьмая %2"},
	{L"(.*)%s+29[%-%s]?Т?а%s+(.*)",L"%1 Двадцать девятая %2"},
	{L"(.*)%s+30[%-%s]?Т?а%s+(.*)",L"%1 Тридцатая %2"},
	{L"(.*)%s+31[%-%s]?Ш?а%s+(.*)",L"%1 Тридцать первая %2"},
	{L"(.*)%s+32[%-%s]?Г?а%s+(.*)",L"%1 Тридцать вторая %2"},
	{L"(.*)%s+33[%-%s]?Т?я%s+(.*)",L"%1 Тридцать третья %2"},
	{L"(.*)%s+34[%-%s]?Т?а%s+(.*)",L"%1 Тридцать четвертая %2"},
	{L"(.*)%s+35[%-%s]?Т?а%s+(.*)",L"%1 Тридцать пятая %2"},
	{L"(.*)%s+36[%-%s]?Т?а%s+(.*)",L"%1 Тридцать шестая %2"},
	{L"(.*)%s+37[%-%s]?М?а%s+(.*)",L"%1 Тридцать седьмая %2"},
	{L"(.*)%s+38[%-%s]?М?а%s+(.*)",L"%1 Тридцать восьмая %2"},
	{L"(.*)%s+39[%-%s]?Т?а%s+(.*)",L"%1 Тридцать девятая %2"},
	{L"(.*)%s+40[%-%s]?Т?а%s+(.*)",L"%1 Сороковая %2"},
	{L"(.*)%s+41[%-%s]?Ш?а%s+(.*)",L"%1 Сорок первая %2"},
	{L"(.*)%s+42[%-%s]?Г?а%s+(.*)",L"%1 Сорок вторая %2"},
	{L"(.*)%s+43[%-%s]?Т?я%s+(.*)",L"%1 Сорок третья %2"},
	{L"(.*)%s+44[%-%s]?Т?а%s+(.*)",L"%1 Сорок четвертая %2"},
	{L"(.*)%s+45[%-%s]?Т?а%s+(.*)",L"%1 Сорок пятая %2"},
	{L"(.*)%s+46[%-%s]?Т?а%s+(.*)",L"%1 Сорок шестая %2"},
	{L"(.*)%s+47[%-%s]?М?а%s+(.*)",L"%1 Сорок седьмая %2"},
	{L"(.*)%s+48[%-%s]?М?а%s+(.*)",L"%1 Сорок восьмая %2"},
	{L"(.*)%s+49[%-%s]?Т?а%s+(.*)",L"%1 Сорок девятая %2"},
	{L"(.*)%s+50[%-%s]?Т?а%s+(.*)",L"%1 Пятидесятая %2"},
	{L"(.*)%s+51[%-%s]?Ш?а%s+(.*)",L"%1 Пятьдесят первая %2"},
	{L"(.*)%s+52[%-%s]?Г?а%s+(.*)",L"%1 Пятьдесят вторая %2"},
	{L"(.*)%s+53[%-%s]?Т?я%s+(.*)",L"%1 Пятьдесят третья %2"},
	{L"(.*)%s+54[%-%s]?Т?а%s+(.*)",L"%1 Пятьдесят четвертая %2"},
	{L"(.*)%s+55[%-%s]?Т?а%s+(.*)",L"%1 Пятьдесят пятая %2"},
	{L"(.*)%s+56[%-%s]?Т?а%s+(.*)",L"%1 Пятьдесят шестая %2"},
	{L"(.*)%s+57[%-%s]?М?а%s+(.*)",L"%1 Пятьдесят седьмая %2"},
	{L"(.*)%s+58[%-%s]?М?а%s+(.*)",L"%1 Пятьдесят восьмая %2"},
	{L"(.*)%s+59[%-%s]?Т?а%s+(.*)",L"%1 Пятьдесят девятая %2"},

	{L"(.*)%s+10[%-%s]?Т?а%s+",L"%1 Десятая "},
	{L"(.*)%s+11[%-%s]?Т?а%s+",L"%1 Одиннадцатая "},
	{L"(.*)%s+12[%-%s]?Т?а%s+",L"%1 Двенадцатая "},
	{L"(.*)%s+13[%-%s]?Т?а%s+",L"%1 Тринадцатая "},
	{L"(.*)%s+14[%-%s]?Т?а%s+",L"%1 Четырнадцатая "},
	{L"(.*)%s+15[%-%s]?Т?а%s+",L"%1 Пятнадцатая "},
	{L"(.*)%s+16[%-%s]?Т?а%s+",L"%1 Шестнадцатая "},
	{L"(.*)%s+17[%-%s]?Т?а%s+",L"%1 Семнадцатая "},
	{L"(.*)%s+18[%-%s]?Т?а%s+",L"%1 Восемнадцатая "},
	{L"(.*)%s+19[%-%s]?Т?а%s+",L"%1 Девятнадцатая "},
	{L"(.*)%s+20[%-%s]?Т?а%s+",L"%1 Двадцатая "},

	{L"(.*)%s+1[%-%s]?Ш?а%s+(.*)",L"%1 Первая %2"},
	{L"(.*)%s+2[%-%s]?Г?а%s+(.*)",L"%1 Вторая %2"},
	{L"(.*)%s+3[%-%s]?Т?я%s+(.*)",L"%1 Третья %2"},
	{L"(.*)%s+4[%-%s]?Т?а%s+(.*)",L"%1 Четвёртая %2"},
	{L"(.*)%s+5[%-%s]?Т?а%s+(.*)",L"%1 Пятая %2"},
	{L"(.*)%s+6[%-%s]?Т?а%s+(.*)",L"%1 Шестая %2"},
	{L"(.*)%s+7[%-%s]?М?а%s+(.*)",L"%1 Седьмая %2"},
	{L"(.*)%s+8[%-%s]?М?а%s+(.*)",L"%1 Восьмая %2"},
	{L"(.*)%s+9[%-%s]?Т?а%s+(.*)",L"%1 Девятая %2"},

	{L"(.*)%s+1[%-%s]?Ш?а%s+",L"%1 Первая "},
	{L"(.*)%s+2[%-%s]?Г?а%s+",L"%1 Вторая "},
	{L"(.*)%s+3[%-%s]?Т?я%s+",L"%1 Третья "},
	{L"(.*)%s+4[%-%s]?Т?а%s+",L"%1 Четвёртая "},
	{L"(.*)%s+5[%-%s]?Т?а%s+",L"%1 Пятая "},
	{L"(.*)%s+6[%-%s]?Т?а%s+",L"%1 Шестая "},
	{L"(.*)%s+7[%-%s]?М?а%s+",L"%1 Седьмая "},
	{L"(.*)%s+8[%-%s]?М?а%s+",L"%1 Восьмая "},
	{L"(.*)%s+9[%-%s]?Т?а%s+",L"%1 Девятая "},

	{L"(.*)%s+1[%-%s]?О?ї%s+(.*)",L"%1 Первой %2"},
	{L"(.*)%s+2[%-%s]?О?ї%s+(.*)",L"%1 Второй %2"},
	{L"(.*)%s+3[%-%s]?О?ї%s+(.*)",L"%1 Третьей %2"},
	{L"(.*)%s+4[%-%s]?О?ї%s+(.*)",L"%1 Четвёртой %2"},
	{L"(.*)%s+5[%-%s]?О?ї%s+(.*)",L"%1 Пятой %2"},
	{L"(.*)%s+6[%-%s]?О?ї%s+(.*)",L"%1 Шестой %2"},
	{L"(.*)%s+7[%-%s]?О?ї%s+(.*)",L"%1 Седьмой %2"},
	{L"(.*)%s+8[%-%s]?О?ї%s+(.*)",L"%1 Восьмой %2"},
	{L"(.*)%s+9[%-%s]?О?ї%s+(.*)",L"%1 Девятой %2"},

	{L"(.*)%s+1[%-%s]?О?йи%s+(.*)",L"%1 Первой %2"},
	{L"(.*)%s+2[%-%s]?О?йи%s+(.*)",L"%1 Второй %2"},
	{L"(.*)%s+3[%-%s]?О?йи%s+(.*)",L"%1 Третьей %2"},
	{L"(.*)%s+4[%-%s]?О?йи%s+(.*)",L"%1 Четвёртой %2"},
	{L"(.*)%s+5[%-%s]?О?йи%s+(.*)",L"%1 Пятой %2"},
	{L"(.*)%s+6[%-%s]?О?йи%s+(.*)",L"%1 Шестой %2"},
	{L"(.*)%s+7[%-%s]?О?йи%s+(.*)",L"%1 Седьмой %2"},
	{L"(.*)%s+8[%-%s]?О?йи%s+(.*)",L"%1 Восьмой %2"},
	{L"(.*)%s+9[%-%s]?О?йи%s+(.*)",L"%1 Девятой %2"},

	{L"(.*)%s+1812[%-%s][Гг][оО]%s+(.*)",L"%1 восемьсот двенадцатого %2"},
	{L"(.*)%s+1905[%-?%s][Гг][оО]%s+(.*)",L"%1 девятьсот пятого %2"},
	{L"(.*)%s+800[%-%s][Лл][еЕ][тТ][иИ][яЯ]%s+(.*)",L"%1 восемьсотлетия %2"},
	{L"(.*)%s+22[%-%s]?[Гг][оО]%s+(.*)",L"%1 двадцать второго %2"},
	{L"(.*)%s+25[%-%s]?[Оо][гГ][оО]%s+(.*)",L"%1 двадцать пятого %2"},
	{L"(.*)%s+26[%-%s][Тт][иИ]%s+(.*)",L"%1 двадцати шести %2"},
	{L"(.*)%s+10[%-%s]Лл][еЕ][тТ][иИ][яЯ]%s+(.*)",L"%1 десятилетия %2"},
	{L"(.*)%s+50[%-%s]Лл][еЕ][тТ][иИ][яЯ]%s+(.*)",L"%1 пятидесятилетия %2"},
	{L"(.*)%s+60[%-%s]Лл][еЕ][тТ][иИ][яЯ]%s+(.*)",L"%1 шестидесятилетия %2"},

	{L"(.*)%s+10[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Десятый %2"},
	{L"(.*)%s+11[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Одиннадцатый %2"},
	{L"(.*)%s+12[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Двенадцатый %2"},
	{L"(.*)%s+13[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Тринадцатый %2"},
	{L"(.*)%s+14[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Четырнадцатый %2"},
	{L"(.*)%s+15[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Пятнадцатый %2"},
	{L"(.*)%s+16[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Шестнадцатый %2"},
	{L"(.*)%s+17[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Семнадцатый %2"},
	{L"(.*)%s+18[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Восемнадцатый %2"},
	{L"(.*)%s+19[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Девятнадцатый %2"},

	{L"(.*)%s+10[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Десятая %2"},
	{L"(.*)%s+11[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Одиннадцатая %2"},
	{L"(.*)%s+12[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двенадцатая %2"},
	{L"(.*)%s+13[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Тринадцатая %2"},
	{L"(.*)%s+14[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Четырнадцатая %2"},
	{L"(.*)%s+15[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Пятнадцатая %2"},
	{L"(.*)%s+16[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Шестнадцатая %2"},
	{L"(.*)%s+17[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Семнадцатая %2"},
	{L"(.*)%s+18[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Восемнадцатая %2"},
	{L"(.*)%s+19[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Девятнадцатая %2"},
	{L"(.*)%s+20[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцатая %2"},
	{L"(.*)%s+21[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать первая %2"},
	{L"(.*)%s+22[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать вторая %2"},
	{L"(.*)%s+23[%-%s]?[Ьь]?[яЯ]%s+(.*)",L"%1 Двадцать третья %2"},
	{L"(.*)%s+24[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать четвертая %2"},
	{L"(.*)%s+25[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать пятая %2"},
	{L"(.*)%s+26[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать шестая %2"},
	{L"(.*)%s+27[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать седьмая %2"},
	{L"(.*)%s+28[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать восьмая %2"},
	{L"(.*)%s+29[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Двадцать девятая %2"},

	{L"(.*)%s+3[%-%s]?[еЕ]%s+(.*)",L"%1 Третье %2"},
	{L"(.*)%s+1[%-%s]?[Гг][оО]%s+(.*)",L"%1 Первого %2"},
	{L"(.*)%s+2[%-%s]?[Гг][оО]%s+(.*)",L"%1 Второго %2"},
	{L"(.*)%s+3[%-%s]?[Гг][оО]%s+(.*)",L"%1 Третьего %2"},
	{L"(.*)%s+4[%-%s]?[Гг][оО]%s+(.*)",L"%1 Четвертого %2"},
	{L"(.*)%s+5[%-%s]?[Гг][оО]%s+(.*)",L"%1 Пятого %2"},
	{L"(.*)%s+6[%-%s]?[Гг][оО]%s+(.*)",L"%1 Шестого %2"},
	{L"(.*)%s+7[%-%s]?[Гг][оО]%s+(.*)",L"%1 Седьмого %2"},
	{L"(.*)%s+8[%-%s]?[Гг][оО]%s+(.*)",L"%1 Восьмого %2"},
	{L"(.*)%s+9[%-%s]?[Гг][оО]%s+(.*)",L"%1 Девятого %2"},

	{L"(.*)%s+1[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Первый %2"},
	{L"(.*)%s+2[%-%s]?[Оо]?[йЙ]%s+(.*)",L"%1 Второй %2"},
	{L"(.*)%s+3[%-%s]?[Ии]?[йЙ]%s+(.*)",L"%1 Третий %2"},
	{L"(.*)%s+4[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Четвертый %2"},
	{L"(.*)%s+5[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Пятый %2"},
	{L"(.*)%s+6[%-%s]?[Оо]?[йЙ]%s+(.*)",L"%1 Шестой %2"},
	{L"(.*)%s+7[%-%s]?[Оо]?[йЙ]%s+(.*)",L"%1 Седьмой %2"},
	{L"(.*)%s+8[%-%s]?[Оо]?[йЙ]%s+(.*)",L"%1 Восьмой %2"},
	{L"(.*)%s+9[%-%s]?[Ыы]?[йЙ]%s+(.*)",L"%1 Девятый %2"},

	{L"(.*)%s+1[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Первая %2"},
	{L"(.*)%s+2[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Вторая %2"},
	{L"(.*)%s+3[%-%s]?[Ьь]?[яЯ]%s+(.*)",L"%1 Третья %2"},
	{L"(.*)%s+4[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Четвертая %2"},
	{L"(.*)%s+5[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Пятая %2"},
	{L"(.*)%s+6[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Шестая %2"},
	{L"(.*)%s+7[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Седьмая %2"},
	{L"(.*)%s+8[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Восьмая %2"},
	{L"(.*)%s+9[%-%s]?[Аа]?[яЯ]%s+(.*)",L"%1 Девятая %2"},
--;**********************************************************************
	{L"%s+м[%.%s]+(.*%s+Улица)%s+",L" Малая %1 "},
	{L"%s+б[%.%s]+(.*%s+Улица)%s+",L" Большая %1 "},
	{L"%s+м[%.%s]+(.*%s+Переулок)%s+",L" Малый %1 "},
	{L"%s+б[%.%s]+(.*%s+Переулок)%s+",L" Большой %1 "},
	{L"%s+м[%.%s]+(.*%s+Тупик)%s+",L" Малый %1 "},
	{L"%s+б[%.%s]+(.*%s+Тупик)%s+",L" Большой %1 "},
	{L"%s+м[%.%s]+(.*%s+Проезд)%s+",L" Малый %1 "},
	{L"%s+б[%.%s]+(.*%s+Проезд)%s+",L" Большой %1 "},
	{L"%s+в[%.%s]+(.*%s+Улица)%s+",L" Верхняя %1 "},
	{L"%s+н[%.%s]+(.*%s+Улица)%s+",L" Нижняя %1 "},
	{L"%s+в[%.%s]+(.*%s+Переулок)%s+",L" Верхний %1 "},
	{L"%s+н[%.%s]+(.*%s+Переулок)%s+",L" Нижний %1 "},
	{L"%s+в[%.%s]+(.*%s+Проезд)%s+",L" Верхний %1 "},
	{L"%s+н[%.%s]+(.*%s+Проезд)%s+",L" Нижний %1 "},

--;**********************************************************************
-- Слова "большой", "малый" и т.д. переносятся в начало строки: "1-ая большая улица" -> "большая первая улица"
	{L"(.*)%s+(Большой)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Большая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Большое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Большые)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Малый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Малая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Малое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Малые)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Верхний)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Верхняя)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Верхнее)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Верхние)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Нижний)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Нижняя)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Нижнее)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Нижние)%s+(.*)",L" %2 %1 %3 "},

-- Слова "первый", "второй" и т.д. переносятся в начало строки: "советская 1-я улица" -> "первая советская улица", "улица советская 1-ая" -> "первая улица советская"
	{L"(.*)%s+(Первая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Вторая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Третья)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Четвертая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Пятая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шестая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Седьмая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Восьмая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Девятая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Десятая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Одиннадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Двенадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Тринадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Четырнадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Пятнадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шестнадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Семнадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Восемнадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Девятнадцатая)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Первый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Второй)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Третий)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Четвертый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Пятый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шестой)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Седьмой)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Восьмой)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Девятый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Десятый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Одиннадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Двенадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Тринадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Четырнадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Пятнадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шестнадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Семнадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Восемнадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Девятнадцатый)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Первое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Второе)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Третье)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Четвертое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Пятое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шестое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Седьмое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Восьмое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Девятое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Десятое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Одиннадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Двенадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Тринадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Четырнадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Пятнадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шестнадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Семнадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Восемнадцатое)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Девятнадцатое)%s+(.*)",L" %2 %1 %3 "},

-- Слова "улица", "проспект" переносятся в начало строки: "первая улица советская" -> "улица первая советская".
	{L"(.*)%s+(Аллея)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Бульвар)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Дорога)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Линия)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Набережная)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Переулок)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Площадь)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Проезд)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Проспект)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Станция)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Трасса)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Тупик)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Улица)%s+(.*)",L" %2 %1 %3 "},
	{L"(.*)%s+(Шоссе)%s+(.*)",L" %2 %1 %3 "},

	{L"^(%u)(%u)[ -]*(%d+)",L"%1.%2. %3"},
	{L"%-",L" "},
	{L"(%d)(%a)",L"%1 %2"},
	{L"(%a)(%d)",L"%1 %2"},
	{L"//",L", "},
	{L"%s+",L" "},
	{L"^%s",L""},
	{L"%s$",L""},
}

local replace_tmc = {
	{L"[МM]([1-10])[%/]",L"эм %1 ,"},
	{L"[нН][оО][вВ]%.",L"новая"},
	{L"1%-[яЯ]",L"первая"},
	{L"1%-[йЙ]",L"первый"},
	{L"2%-[йЙ]",L"второй"},		
}


local replace_for_turns = {
	{L"(.*)",L" %1 "},

--; здесь падежи для поворотов "на..."

	{L"(.*)%s+Аллея%s+",L" Аллею %1 "},
	{L"(.*)%s+Бульвар%s+",L" Бульвар %1 "},
	{L"(.*)%s+Дорога%s+",L" Дорогу %1 "},
	{L"(.*)%s+Линия%s+",L" Линию %1 "},
	{L"(.*)%s+Набережная%s+",L" Набережную %1 "},
	{L"(.*)%s+Переулок%s+",L" Переулок %1 "},
	{L"(.*)%s+Площадь%s+",L" Площадь %1 "},
	{L"(.*)%s+Проезд%s+",L" Проезд %1 "},
	{L"(.*)%s+Проспект%s+",L" Проспект %1 "},
	{L"(.*)%s+Станция%s+",L" Станцию %1 "},
	{L"(.*)%s+Улица%s+",L" Улицу %1 "},
	{L"(.*)%s+Трасса%s+",L" Трассу %1 "},
	{L"(.*)%s+Тупик%s+",L" Тупик %1 "},
	{L"(.*)%s+Шоссе%s+",L" Шоссе %1 "},
	{L"%s+Кольцевая Автодорога%s+",L" Кольцевую Автодорогу "},
--;**********************************************************************

	{L"%s+",L" "},
	{L"^%s",L""},
	{L"%s$",L""},
}

local accusative_case = {
	{L"(.*)",L" %1 "},
	--; изменение порядка
	{L"%s+(Улицу)%s+(.*)яя%s+",L" %2юю %1 "},
	{L"%s+(.*)яя%s+(.*Улицу%s+)",L" %1юю %2 "},
	{L"%s+(Набережную)%s+(.*)яя%s+",L" %2юю %1 "},
	{L"%s+(.*)яя%s+(.*Набережную%s+)",L" %1юю %2 "},
	{L"%s+(Площадь)%s+(.*)яя%s+",L" %2юю %1 "},
	{L"%s+(.*)яя%s+(.*Площадь%s+)",L" %1юю %2 "},
	{L"%s+(Аллею)%s+(.*)яя%s+",L" %2юю %1 "},
	{L"%s+(.*)яя%s+(.*Аллею%s+)",L" %1юю %2 "},
	{L"%s+(Дорогу)%s+(.*)яя%s+",L" %2юю %1 "},
	{L"%s+(.*)яя%s+(.*Дорогу%s+)",L" %1юю %2 "},
	{L"%s+(Станцию)%s+(.*)яя%s+",L" %2юю %1 "},
	{L"%s+(.*)яя%s+(.*Станцию%s+)",L" %1юю %2 "},
	-- {L"(улицу|набережную|площадь|аллею|дорогу)%s(.*)яя",L"%2юю %1"},
	{L"%s+(Улицу)%s+(.*)ая%s+",L" %2ую %1 "},
	{L"%s+(.*)ая%s+(.*Улицу%s+)",L" %1ую %2 "},
	{L"%s+(Набережную)%s+(.*)ая%s+",L" %2ую %1 "},
	{L"%s+(.*)ая%s+(.*Набережную%s+)",L" %1ую %2 "},
	{L"%s+(Площадь)%s+(.*)ая%s+",L" %2ую %1 "},
	{L"%s+(.*)ая%s+(.*Площадь%s+)",L" %1ую %2 "},
	{L"%s+(Аллею)%s+(.*)ая%s+",L" %2ую %1 "},
	{L"%s+(.*)ая%s+(.*Аллею%s+)",L" %1ую %2 "},
	{L"%s+(Дорогу)%s+(.*)ая%s+",L" %2ую %1 "},
	{L"%s+(.*)ая%s+(.*Дорогу%s+)",L" %1ую %2 "},
	{L"%s+(Станцию)%s+(.*)ая%s+",L" %2ую %1 "},
	{L"%s+(.*)ая%s+(.*Станцию%s+)",L" %1ую %2 "},
	-- {L"(улицу|набережную|площадь|аллею|дорогу)%s(.*)ая",L"%2ую %1"},
	{L"%s+(Проспект)%s+(.*)ий%s+",L" %2ий %1 "},
	{L"%s+(.*)ий%s+(.*Проспект%s+)",L" %1ий %2 "},
	{L"%s+(Бульвар)%s+(.*)ий%s+",L" %2ий %1 "},
	{L"%s+(.*)ий%s+(.*Бульвар%s+)",L" %1ий %2 "},
	{L"%s+(Проезд)%s+(.*)ий%s+",L" %2ий %1 "},
	{L"%s+(.*)ий%s+(.*Проезд%s+)",L" %1ий %2 "},
	{L"%s+(Тупик)%s+(.*)ий%s+",L" %2ий %1 "},
	{L"%s+(.*)ий%s+(.*Тупик%s+)",L" %1ий %2 "},
	{L"%s+(Переулок)%s+(.*)ий%s+",L" %2ий %1 "},
	{L"%s+(.*)ий%s+(.*Переулок%s+)",L" %1ий %2 "},
	-- {L"(проспект|бульвар|проезд|тупик|переулок) (.*)ий",L"%2ий %1"},
	{L"%s+(Проспект)%s+(.*)ый%s+",L" %2ый %1 "},
	{L"%s+(.*)ый%s+(.*Проспект%s+)",L" %1ый %2 "},
	{L"%s+(Бульвар)%s+(.*)ый%s+",L" %2ый %1 "},
	{L"%s+(.*)ый%s+(.*Бульвар%s+)",L" %1ый %2 "},
	{L"%s+(Проезд)%s+(.*)ый%s+",L" %2ый %1 "},
	{L"%s+(.*)ый%s+(.*Проезд%s+)",L" %1ый %2 "},
	{L"%s+(Тупик)%s+(.*)ый%s+",L" %2ый %1 "},
	{L"%s+(.*)ый%s+(.*Тупик%s+)",L" %1ый %2 "},
	{L"%s+(Переулок)%s+(.*)ый%s+",L" %2ый %1 "},
	{L"%s+(.*)ый%s+(.*Переулок%s+)",L" %1ый %2 "},
	-- {L"(проспект|бульвар|проезд|тупик|переулок) (.*)ый",L"%2ый %1"},
	{L"%s+(Шоссе)%s+(.*)ое%s+",L" %2ое %1 "},
	{L"%s+(.*)ое%s+(.*Шоссе%s+)",L" %1ое %2 "},

--; коррекция ошибок предыдущего преобразования
	{L"Миклухо-Маклую%s+(.*)",L"%1 Миклухо-Маклая "},
		{L"Николую%s+(Улицу)%s+(.*)",L"%1 Николая %2"},

	{L"%s+",L" "},
	{L"^%s",L""},
	{L"%s$",L""},

}

local replace_str = {
	{L"улицу(.*)",L"улица %1"},
	{L"Дорогу(.*)",L"Дорога %1"},
	{L"трассу(.*)",L"трасса %1"},
	{L"линию(.*)",L"линия %1"},
	{L"аллею(.*)",L"аллея %1"},
	{L"набережную(.*)",L"набережная %1"},
}

local replace_sentence={
	{L"\. *[Dd]ann",L", dann"},
	{L"(%p)+ *(%p)+",L"%1 "},
	{L"%s+(%p+)",L"%1 "},
	{L" +",L" "},
		{L"/",L"  до "}, 
}

local replace_sentence_lat_TMC={
	{L"(%p)+ *(%p)+",L"%1 "},
	{L"%s+(%p+)",L"%1 "},
	{L" +",L" "},
	{L"TS",L"ц"},
	{L"YU",L"ю"},
	{L"YA",L"я"},
	{L"KH",L"х"},
	{L"SHCH",L"щ"},
--	{L"IY",L"ий"},
	{L"[zZ][hH]",L"ж"},
	{L"[jJ][oO]",L"ё"},
	{L"[cC][hH]",L"ч"},
	{L"[sS][hH]",L"ш"},
	{L"[jJ][eE]",L"э"},
	{L"[jJ][uU]",L"ю"},
	{L"[jJ][aA]",L"я"},
	{L"'",L"ь"},
	{L"[aA]",L"а"},
	{L"[bB]",L"б"},
	{L"[cC]",L"ц"},
	{L"[dD]",L"д"},
	{L"[eE]",L"е"},
	{L"[fF]",L"ф"},
	{L"[gG]",L"г"},
	{L"[hH]",L"х"},
	{L"[iI]",L"и"},
	{L"[jJ]",L"й"},
	{L"[kK]",L"к"},
	{L"[lL]",L"л"},
	{L"[mM]",L"м"},
	{L"[nN]",L"н"},
	{L"[oO]",L"о"},
	{L"[pP]",L"п"},
	{L"[qQ]",L"я"},
	{L"[rR]",L"р"},
	{L"[sS]",L"с"},
	{L"[tT]",L"т"},
	{L"[uU]",L"у"},
	{L"[vV]",L"в"},
	{L"[wW]",L"щ"},
	{L"[xX]",L"х"},
	{L"[yY]",L"й"},
	{L"[zZ]",L"з"},
}

local function get_preposition(str, tbl)
	str = wstring.lower(str)
	for k,value in ipairs(tbl) do
		for _,pattern in ipairs(tbl[k][2]) do
			if wstring.find(str,pattern) then
				return tbl[k][1]
			end
		end
	end
end

----------------------------------------------------------------------------------------------------
----------------------------------------|  G U I D A N C E  |---------------------------------------
----------------------------------------------------------------------------------------------------

local function not_settlement(str)
	str = wstring.lower(str)
	if transform_pattern_match(str,preposition_tbl) then
		return L""
	end
		return get_preposition(str, preposition_insert_tbl)
end

local function signpost_exitnumber(data, idx)
	local exitnumber = data[idx].signpost.exitnumber
	if exitnumber then
		return not_settlement(exitnumber.text) .. transform_and_format(exitnumber, replace_mapinfo)
	end
end

local function signpost_exitname(data, idx)
	local exitname = data[idx].signpost.exitname
	if exitname then
--		return not_settlement(exitname.text) .. transform_and_format(exitname,replace_mapinfo)
		local str=smart_lower_case(exitname.text)
		voice_debug_log(L"TTS: signpost_exitname in: '"..str..L"'", 3)
		local str1=nil
		if exitname.phoneme then str1=transform_and_format(exitname, replace_mapinfo)
		else
			str1 = transform_and_format(str, replace_mapinfo)
			str1 = transform_and_format(str1, replace_for_turns)
			if sc_GetSysEntry("tts", "accusative_case", 0) then str1 = transform_and_format(str1, accusative_case)
			end
		end
		str1=not_settlement(str) .. str1
		voice_debug_log(L"TTS: signpost_exitname out: '"..str1..L"'", 3)
		return str1
	end
end

local function signpost_destination(data, idx)
	local dest = data[idx].signpost.destination
	if dest then
--		return not_settlement(dest.text) .. transform_and_format(dest,replace_mapinfo)
		local str=smart_lower_case(dest.text)
		local str1=nil
		if dest.phoneme then str1=transform_and_format(dest, replace_mapinfo)
		else
			voice_debug_log(L"TTS: signpost_destination in: '"..str..L"'", 3)
			str1 = transform_and_format(str, replace_mapinfo)
			str1 = transform_and_format(str1, replace_for_turns)
			if sc_GetSysEntry("tts", "accusative_case", 0) then str1 = transform_and_format(str1, accusative_case)
			end
		end
		str1=not_settlement(str) .. str1
		voice_debug_log(L"TTS: signpost_destination out: '"..str1..L"'", 3)
		return str1
	end
end

local function signpost_settlement(data, idx) 			--  в "направлении" где символы  '>>'
	local settlement = data[idx].signpost.settlement
	if settlement then
--		local str = transform_and_format(settlement,replace_mapinfo)
		local str=smart_lower_case(settlement.text)
		local str1=nil
		if settlement.phoneme then str1=transform_and_format(settlement, replace_mapinfo)
		else
			voice_debug_log(L"TTS: signpost_settlement in: '"..str..L"'", 3)
			str1 = transform_and_format(str, replace_mapinfo)
			str1 = transform_and_format(str1, replace_for_turns)
			if sc_GetSysEntry("tts", "accusative_case", 0) then str1 = transform_and_format(str1, accusative_case)
			end
		end
		-- Ha van benn gyarilag "richtung"
		if not wstring.find(str1,settlement_preposition) then
			str1=settlement_preposition .. L" " .. str1
		end
		voice_debug_log(L"TTS: signpost_settlement out: '"..str1..L"'", 3)
		return str1
	end
end

local function signpost_roadnumber(data, idx)			--  название трассы M1 ... Mx
	-- Road numberhez nem hasznaljuk a fonemat
--	voice_debug_log(L"TTS: signpost data: '"..print_r(data)..L"'", 3)
--	print_r2(_G)
	local roadnumber = data[idx].signpost.roadnumber
	if roadnumber then
--		return not_settlement(roadnumber.text) .. transform_format_roadnumber_eu(roadnumber.text)
		local str=roadnumber.text
		voice_debug_log(L"TTS: signpost_roadnumber in: '"..str..L"'", 3)
		local str1=transform_and_format(roadnumber.text, replace_roadnumber)
--		voice_debug_log(L"TTS: signpost_number middle: '"..str1..L"'", 3)
		str1=transform_and_format(str1, replace_for_turns)
		str1=not_settlement(str) .. str1
		voice_debug_log(L"TTS: signpost_roadnumber out: '"..str1..L"'", 3)
		return str1
	end
end

local function road_name(data, idx)				--  название дороги
	local name = data[idx].road.name
	if name then
--	return not_settlement(name.text) .. transform_and_format(name,replace_mapinfo)
		local str=smart_lower_case(name.text)
		voice_debug_log(L"TTS: road_name in: '"..str..L"'", 3)
		local str1=nil
		if name.phoneme then str1=transform_and_format(name, replace_mapinfo)
		else
			str1 = transform_and_format(str, replace_mapinfo)
			str1 = transform_and_format(str1, replace_for_turns)
			if sc_GetSysEntry("tts", "accusative_case", 0) then str1 = transform_and_format(str1, accusative_case)
			end
		end
		str1=not_settlement(str) .. str1
		voice_debug_log(L"TTS: road_name out: '"..str1..L"'", 3)
		return str1
	end
end

local function road_number(data, idx)			--  название дорог Е101 ...
	local number = data[idx].road.number
	if number then
		local str=number.text
		voice_debug_log(L"TTS: road_number in: '"..str..L"'", 3)
		local str1=transform_and_format(number.text, replace_roadnumber)
--		voice_debug_log(L"TTS: road_number middle: "..str1, 3)
		str1=transform_and_format(str1, replace_for_turns)
		str1=not_settlement(str) .. str1
		voice_debug_log(L"TTS: road_number out: '"..str1..L"'", 3)
		return str1
	end
end

function format_destname(data, idx)
	local t
	if data[idx].signpost then
		t = transform_chain({}, signpost_exitname, 	data, idx)
		t = transform_chain(t,  signpost_exitnumber, data, idx)
		t = transform_chain(t,  signpost_roadnumber,data, idx)
		t = transform_chain(t,  signpost_destination,	data, idx)
		t = transform_chain(t,  signpost_settlement, 	data, idx)
	elseif data[idx].road then
		t = transform_chain({}, road_number, 	data, idx)
		t = transform_chain(t,  road_name, 	data, idx)
	end
	return table_concat(t, L", ")
end

function format_streetname(data, idx)
	local t
	t = transform_chain({}, road_number, 	data, idx)
	t = transform_chain(t,  road_name, 	data, idx)
	return table_concat(t, L", ")
end

function format_sentence(str)
--		 voice_debug_log(L"TTS: Format_sentence: '"..str..L"'", 3)
	for key, value in ipairs(replace_sentence) do
		str = wstring.gsub(str,value[1],value[2])
	end
	return str
end


function format_street_name(streetname)
	if wstring.sub(streetname, 1, 9) == L"for_turns" then
		local str = smart_lower_case(wstring.sub(streetname, 10))
		local str1 = transform_and_format(str, replace_mapinfo)
		if wstring.gsub(str1, L" ", L"") == L"" then
		return L""
		end
		str1 = transform_and_format(str1, replace_for_turns)
		if sc_GetSysEntry("tts", "accusative_case", 0) then
			str1 = transform_and_format(str1, accusative_case)
		end
		return not_settlement(str) .. str1
	else
		return transform_and_format(smart_lower_case(streetname), replace_mapinfo)
	end
end

----------------------------------------------------------------------------------------------------
-----------------------------------|  R O U T E   S U M M A R Y  |----------------------------------
----------------------------------------------------------------------------------------------------

function route_summary_format_road_name(data)
	if data.phoneme then return data.phoneme
	else  -- return transform_format_roadnumber_eu(data.text)
	local str = transform_and_format(data.text,replace_roadnumber)
	return transform_and_format(str,replace_str)
	end
end

function route_summary_format_street_name(data)
	if data.phoneme then return data.phoneme
	else
	return transform_and_format(smart_lower_case(data.text),replace_mapinfo)
	end
end

function route_summary_format_bridge_tunnel(data)
	if data.phoneme then return data.phoneme
	else return data.text
	end
end

function route_summary_format_order(data)
	if data.phoneme then return data.phoneme
	else return data.text
	end
end

----------------------------------------------------------------------------------------------------
--function smart_lower_case_inner(str1, str2)
--	return str1..wstring.upper(wstring.sub(str2, 1, 1))..wstring.lower(wstring.sub(str2, 2))
--end
function smart_lower_case_inner2(str1, str2, str3)
	return str1..wstring.lower(str2)..str3
end
--function smart_lower_case_inner3(str)
--	return wstring.upper(wstring.sub(str, 1, 1))..wstring.lower(wstring.sub(str, 2))
--end
--function smart_lower_case_inner4(str1, str2)
--	return wstring.lower(str1)..str2
--end
function smart_lower_case_inner5(str)
	return wstring.upper(wstring.sub(str, 1, 1))..wstring.lower(wstring.sub(str, 2))
end
function smart_lower_case(str)
--	voice_debug_log(L"TTS: smart_lower_case_in: '"..str..L"'", 3)
	str = format_sentence(str)
	local str1=wstring.gsub(L" "..str..L" ", L"(%a)`([%a%s])", L"%1ь%2")
	str1=wstring.gsub(str1, L"(%a)'([%a%s])", L"%1ъ%2")
	str1=wstring.gsub(str1, L"(%A)(%u)(%A)", smart_lower_case_inner2)
	str1=wstring.gsub(str1, L"(%a%a+)", smart_lower_case_inner5)
	voice_debug_log(L"TTS: smart_lower_case_out: '"..str1..L"'", 3)
	return str1
end
----------------------------------------------------------------------------------------------------
-----------------------------------------|  T R A F F I C  |----------------------------------------
----------------------------------------------------------------------------------------------------

-- 1. Zar az M0 uton, Martonvasar kozeleben. = in die Strasse Numer A1, in der Nahe von Martonvasar./ in der Nahe von der HaupStrasse Numer 33.
-- 2. Zar az M0 uton, Martonvasar es Velence kozt. = in die Strasse Numer A1, zwischen Martonvasar und Velence.
-- 3. Zar a Budai uton, a Budai ut Fiskalis ut keresztezodesben = in der/dem (lsd tabla) Budai ut, in der Kreuzung Budai ut und Fiskalis ut.
-- 4. Zar a Budai uton, Fiskalis ut es 8. ut kozott. = in der/dem Budai ut, zwischen Fiskalis ut und 8. ut.

function traffic_event_supported()
	return true
end

function traffic_event(DescKey, data)
	local str = translate_voice(DescKey)
	local loc = MODEL.regional.is_it_voice_localizable(DescKey)
	ASSERT(loc, "Missing TrafficEvent dictionary.voice key:" .. DescKey)
--
		  if data.roadname then data.roadname.text = format_sentence(data.roadname.text) end
		  if data.from then data.from.text =  format_sentence(data.from.text) end
		  if data.to then data.to.text =  format_sentence(data.to.text) end
--
	---- Roadnumber prioritas
	if data.roadnumber then
		local road = L""..transform_and_format(data.roadnumber.text, replace_roadnumber)
		if data.from and not data.to then
		-- M7 uton Martonvasar kozeleben (M7 ROAD в  районе Martonvásár)
			str =  str..road..L", около "..transform_and_format(data.from, replace_tmc)
		elseif data.from and data.to then
		-- M7 uton, Martonvasar es Velence kozott (M7 ROAD, район Martonvásár и Velence )
			str =  str..L", между "..transform_and_format(data.from, replace_tmc)..L"  и  "..transform_and_format(data.to, replace_tmc)
		else
		-- Egyeb: M7 uton (Другие: M7 ROAD)
			str = str..road
		end
	---- Roadname
	elseif data.roadname then
		-- Text/fonema + prepocicion
		local road = transform_and_format(data.roadname, replace_tmc)
		road = L" "..get_preposition(data.roadname.text, traffic_preposition_insert_tbl)..road
		if data.from and not data.to then
			-- "," menten robbantunk (форматирующие символы)
			local _,_, from, to = wstring.find(data.from.text, L"^([^,]+),(.+)$")
			if from and to then
				str = str..road..L", на пересечении "..from..L"  и  "..to
			else
				str = str..road..L", на пересечении "..data.from.text
			end
		elseif data.from and data.to then
			str = str..L", между "..transform_and_format(data.from, replace_tmc)..L"  и  "..transform_and_format(data.to, replace_tmc)
		else
			str = str..road
		end
	---- Нет ни roadnumber, ни roadname
	else
		if data.from and not data.to then
		-- В районе ....
			str =  str..L" около "..transform_and_format(data.from, replace_tmc)
		elseif data.from and data.to then
		-- Martonvasar es Velence kozott (Martonvásár и Velence) 
			str =  str..L" между "..transform_and_format(data.from, replace_tmc)..L"  и  "..transform_and_format(data.to, replace_tmc)
		else
		-- В противном случае: нет
		end
	end
	str = str..L"."

--	str = transform_and_format(str, replace_roadnumber)
	  str = smart_lower_case(str)

   	voice_debug_log(L"TTS: Out_TMC: '"..str..L"'", 3)
	return str
end

----------------------------------------------------------------------------------------------------
---------------------------------------------|  E T A  |--------------------------------------------
----------------------------------------------------------------------------------------------------
function eta(time)
	local head = L"Прибытие в пункт назначения в  "
	local article
	local min
	local tod -- time of day
	local hour = time.hour
	if hour == 0 then hour = 12 end
	if hour > 12 then hour = hour - 12 end
	if hour == 1 then article = L"от "
	else article = L"к " end
	if time.min ~= 0 then min = L":"..towstring(time.min)
	else min = L"" end
	if time.hour < 3 then tod = L" ночи."
	elseif time.hour < 8 then tod = L" утра."
	elseif time.hour < 12 then tod = L" до полудня."
	elseif time.hour < 20 then tod = L" после полудня."
	else tod = L" ночи." end
	return head..towstring(hour)..min..tod
end

